===================== 2025-03-20 Version 5.8.6 Released =====================

===================== Changes Since Version 5.8.5 ===========================


commit b51884ad027033ee00fbc64ff3aca9499c1f6c75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 20 08:26:32 2025 +0100

    Makefile.defs: version set to 5.8.6

commit a66faa10092aac8c4ec2122ceb77e285a2fecbce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 20 08:21:34 2025 +0100

    pkg/kamailio: version set 5.8.6 for rpms and alpine

commit d6d1641b81e130fa14b8daf617d595fe2818f084
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 20 08:19:59 2025 +0100

    pkg/kamailio/deb: set version to 5.8.6

commit e83be98778dde043df7251155ac63c5d651ed45b
Author: JoÃ£o Capucho <capucho@jcapucho.com>
Date:   Thu Mar 6 02:50:12 2025 +0000

    pua_reginfo: handle_notify - fix AoR key parsing

    - The AoR key generated by handle_notify no longer includes the domain
      of the AoR when usrloc use_domain isn't enabled

    (cherry picked from commit b7e16294ae1bbfe8cc469facf59fc9e3960ff2a4)
    (cherry picked from commit 00544a66aad09faf345d54bef7f464f2749ef548)

commit 89b1f907da5428de79670df28d0fd7135a8379ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 17 09:15:39 2025 +0100

    microhttpd: handle all incoming body data

    - GH #4176

    (cherry picked from commit 96392eda8fac1cb075e7f407c0155085acc92c5f)
    (cherry picked from commit f24315c2bc4ec7b9507516a96603e91ae2ce0fd1)

commit 1d3eed5c186d2b4584459fb5d3fcdd8458a01186
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 16 08:50:52 2025 +0100

    microhttpd: create response with MHD_RESPMEM_MUST_COPY flag

    (cherry picked from commit 1569a7b71af26f5b3cb7cb25de7d2425c75f5587)
    (cherry picked from commit f761cad5b462820af060d6e07410f0dd84c1a52f)

commit c9503124f1e5d066163c505470124b9a1bd4b9e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 15 20:27:22 2025 +0100

    microhttpd: debug message for http response queue

    (cherry picked from commit 7a793a257b12f946e54bca3d3d92b6c07602fb20)
    (cherry picked from commit 813d3ed6a532cc0baa98d27ef9eea579e5ca1688)

commit f807c4d249bff27007dc8898a338ad7be4f45ea7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 12 11:20:11 2025 +0100

    tls: get wss connections as well for selects and vars

    - GH #4167

    (cherry picked from commit 3a3856c68cf0cc04385921f8bbec72420cf8f656)
    (cherry picked from commit b3cb2b38c5d81c48b0b6315cb7feb99d236d15e3)

commit 2b0b8714b7f75d13be6f8156f4f8efbf6401f0b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 12 11:07:15 2025 +0100

    dialog: enforce second bye towards callee for dlg_bye()

    - GH #4169

    (cherry picked from commit 7de1693573fc08e54db1955095d66c495b2051b9)
    (cherry picked from commit 0cbf7eede6dbd3198664160b77d1b4d0337833b8)

commit 0f0b34aaffffbab3e9454f2cbfa03af849868a55
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Mar 11 13:22:38 2025 +0100

    core: fix NAPTR dns cache print

    fix #4173

    (cherry picked from commit df1eff2a52d0670900ee5bf15f2e7a2cd4d74da0)
    (cherry picked from commit 2b3dd3b477afef88421377b703aefe217b9e915b)

commit 0890a38d534e57527f87802b83c2b9d69cea843c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 13:36:52 2025 +0100

    Revert "secfilter: fix secf_check_dst bug"

    This reverts commit 874148e9335fdf22e9187ff3dce524dc0fa21879.

commit 11af1f47dd40d57a38848fbbd358054ee42043a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 09:57:38 2025 +0100

    sl: stats for 1xx replies

    - GH #4144

    (cherry picked from commit f43c132db9b1dc71f623d592fb46d487ba492c7d)
    (cherry picked from commit ed21e7c97677572d732fa1020528fe92f3a9ee35)

commit 83d8ebf769ec1313228e5b89164a13cb9314ab4d
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Fri Feb 21 10:42:58 2025 +0100

    dialog: fixed DLG_FLAG_CHANGED_PROF value and setting DLG_FLAG_DEL

    - GH #4151

    (cherry picked from commit 2b1ca7813cf5014553c807c1a5034c404b3685a5)
    (cherry picked from commit c20ad4abaec2632acfa069a73b1c0b195ccb8334)

commit 211abf00128a20b667a760b89d0ccb60b03692cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 21 10:35:22 2025 +0100

    dialog: get vars via value instead of reference for kemi functions

    - do lock/unlock
    - GH #4151

    (cherry picked from commit 3b213f1d008656682f1733d59f6c3bacd474c4b9)
    (cherry picked from commit ea0fc8e213f6703d87a000216a2cc18764732fce)

commit da3a94f0ce67709806f0aedfd6818e9be65432f8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 16 12:06:57 2025 +0100

    dialog: set keepalive local cseq value to 0

    (cherry picked from commit 5d3ae2acfab38eda88c6369c0db18a286faba2e3)
    (cherry picked from commit 0c09b213cbd0a8b12128fa4fb16c01907684b0a6)

commit 2a076e07ba9a1289ee89f4eba2cba872d65d36df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 16 10:36:57 2025 +0100

    core: socket info - print index values in error message for overflow

    (cherry picked from commit 413c90202975886f4dfcb579a1157a19c3065341)
    (cherry picked from commit be47356fda7ee3862f335fd5b192e54c33dfe85c)

commit 2e5863f54086ae695564861569f009c96b58dbf1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 16 10:23:18 2025 +0100

    registrar: remove unnecessary condition

    (cherry picked from commit 6b7af1beb7fdaaec1b5d069fdfff3e3af5ca43ca)
    (cherry picked from commit dddb8b0c99f2822be5fff2693a105b391480bc77)

commit 9fbc51b7f9d4bcb618f68a2b54427ce17d4362aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 15 15:28:35 2025 +0100

    db_redis: clean the keyname variable

    (cherry picked from commit aae4cb323d4ea9d07b4b8aec61a6c9bc03e2ab83)
    (cherry picked from commit c59d29abbdc65784ea6fbe6eb237dbadd3fb370d)

commit 7e5cf1d7dbcb027dd6aaeca3ad7df582bef2265e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:38:04 2025 +0100

    tsilo: free duplicated ruri and contact on error cases

    (cherry picked from commit d029de6380f8e30e0c82435b820744c21a5fbc78)
    (cherry picked from commit a6e99ff231ca5a42bd053d3a8f2f9d02682ab07d)

commit e3c734871f1858e88617060f859c347788bd23b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:23:39 2025 +0100

    dlgs: return -1 for 0 tags count

    (cherry picked from commit 6a2a82555ee8bbfaca1e825c19d1532f22c2c629)
    (cherry picked from commit 975d3449ae01a9078009772e0e1b86c9a996d982)

commit 99852d486bd4180c4f571864bfccda526f3e259d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:17:23 2025 +0100

    http_client: free dumplicated name in case of errors

    (cherry picked from commit 39ba53a2499dd1f0e080bb011d7438a60ea5faec)
    (cherry picked from commit 7274e353d7c05f5387c64aaf90197c9a8e8d1dd4)

commit e804235ebdd344020891307b838769fbb3ad8385
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 12:03:57 2025 +0100

    call_control: free pv field in case of error

    (cherry picked from commit 8a96379cc1ef7aa42bc4be49834c538a3bffdf14)
    (cherry picked from commit 44764414c48fed1b90580cf62dd33e975f1f7ecd)

commit 23de8c670eea22ae6cce3f3d8e5b9d7d3f7dd9b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 11:39:11 2025 +0100

    sca: free replaces hdr on anchor lump failure

    (cherry picked from commit 01782191418f3d65c4aa5cb273140fec928d153a)
    (cherry picked from commit c8acc1f6e5441fd4514c2b7ead1e2bbe441f7895)

commit eaa0d1af8a46fe9a74d0eb1bbb2fbf2089f4e3fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 10:16:00 2025 +0100

    xmlrpc: removed unnecessary code

    (cherry picked from commit e65b03cdd946d735a3ef33ae3582bcfad464d2c7)
    (cherry picked from commit 6d06293f3fe1c5897a3e01272fdc9ac409925f3d)

commit 83a4165fc62710027ddf006058c66f082d01b51f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 14 08:37:23 2025 +0100

    ctl: refactored error handling and removed unnecessary code

    (cherry picked from commit edbb5b11e9453be3519e6e9a945937307c95709e)
    (cherry picked from commit 691eb2600c1fcf24d0d1f9b2648e7257499537a8)

commit ce55c093d490fd19f10c50e11d12e188b64c1686
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 11:45:06 2025 +0100

    pv: free next field on error when parsing xav* names

    (cherry picked from commit b875e7368dcc8e221007caafa3599c3e354404f7)
    (cherry picked from commit 8b7637140c5362bf90046ccb3b34ea74ef658c0a)

commit 33aebcd3a4f17df390153ad38cf73b4a701fd74f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 11:01:20 2025 +0100

    topoh: check on pointer only for via decode return

    - code reformatted

    (cherry picked from commit d0cd3c4b40fd791143122622a6d74703e1375832)
    (cherry picked from commit c7a4dd132478ff2d5f46c85594a44fee9c570f6d)

commit 33921fd3fc01f95dae2c0a8e7e146c798d8c2338
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:50:32 2025 +0100

    tm: rpc uac - jump to error when failing to create delayed context

    (cherry picked from commit aa081dbd1ee1901c6174ffddd556bda47b6ef732)
    (cherry picked from commit d0df1eef55cd9bb0bca2b0db007d94dbe4e8e95c)

commit 34d093a1e7a60f9d13458fed46a513c5efdeaffa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:42:27 2025 +0100

    tm: jump to error when failing to built content length for uac cancel

    (cherry picked from commit 27e1e9102f07047a3d2c2f28baa708f14be556a6)
    (cherry picked from commit d505c876c534cc4a4b8aff5ef1b5e28b151d8d06)

commit 994bc2e752f2f969d04067329f34b29aadd77934
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:32:51 2025 +0100

    tm: split reverse rte list function

    (cherry picked from commit e85d07e5b42ff25f81b74f68ab412e0ab27e7170)
    (cherry picked from commit a5576fb3476e327ef10135a85cf20f2e720803db)

commit ad7a3cc3751af2417e6000a2d689c35e9dddda36
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:48:33 2025 +0100

    xprint: break on first resolved ip address

    (cherry picked from commit 7c908137826071b8180bd93ff8ba3994be66da3a)
    (cherry picked from commit de5986433283b2fcff09b064420d43327270d390)

commit 90122e3a46169e9f10dc7d8e01638d5f89cfaae5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:43:43 2025 +0100

    ctl: fifo - clean intermediary buffer

    (cherry picked from commit 4c4d7f7967a99d4dd4acdc5e198bce493bf15d67)
    (cherry picked from commit c68522f5c3c59cb915feb873bd3351e57a8db579)

commit 1f6dc4df8572c07280478858087182f273c25fe3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:40:00 2025 +0100

    xmlrpc: clean allocated buffer

    (cherry picked from commit ff712539566c903312ebba2f8e2585f9c80ffdcf)
    (cherry picked from commit e1398e53e9825db6c20590e1576d960ac0c3c429)

commit 184f25c845bffc39d3aabff90d1f5683d0cb009c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 09:18:00 2025 +0100

    xprint: init globals when declared

    (cherry picked from commit b17038ec072b1854fa2fae1c2d4725c1471ef8ac)
    (cherry picked from commit cf3b3849cb2a3c4060281377e2adee09de5d47d9)

commit 5e836af2ff198481bde0485a315bbfdf39043f9d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 17:48:42 2025 +0100

    ctl: free rpc struct in case of error

    (cherry picked from commit 4a71d3c9e6a4f92ef33ce8e62372b2c4dba62a56)
    (cherry picked from commit 5024235f876df4b3239ef746de700ade362cc7b2)

commit f123ebae553624525ca04d34ddd4c9453eac855a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 12:41:26 2025 +0100

    core: check for unexpected long value return by pathconf()

    (cherry picked from commit 2ba6d4ff2727031e7bca5d3d1da016bfe508b8df)
    (cherry picked from commit 718692c6d402b6942e0b1e8ebd8e64b306813495)

commit 42260f34079ddad7662742a64696d2550ee1cce9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 11:30:34 2025 +0100

    core: pass fd - check for unexpected read size overflow

    (cherry picked from commit 6c12477f1dad2279431d703d1a4f63fcfc6543b8)
    (cherry picked from commit ac0a4a5052e9aaf6531130675c8140fdd5c11e97)

commit 77f2671979d0dcd70cdd3f490a0dad00ba5c8fc5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 11 10:25:34 2025 +0100

    tsilo: clean allocated memory on error for append by contact

    (cherry picked from commit 6fb38cb33095c11a1c90d7b88140ac159b9fd5ca)
    (cherry picked from commit f1549b99a69bf0dec4aad564afa1d6e328621752)

commit 874148e9335fdf22e9187ff3dce524dc0fa21879
Author: pepelux <pepeluxx@gmail.com>
Date:   Fri Feb 7 19:08:56 2025 +0100

    secfilter: fix secf_check_dst bug

    (cherry picked from commit 578c2abb36b9101bfc1dddc1505f7239e928b98e)
    (cherry picked from commit 086d228b29ab414a65521da78695786a979ef754)

commit 8473c30705289dd5bf94c6426d2e8ba4c49e19b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 6 08:07:46 2025 +0100

    core: socket info - use unsigned for current size in buffer for get flags

    (cherry picked from commit 462f9730eb55a3abbd50b9170eb6318eb43eb999)
    (cherry picked from commit eed2ccbb658b28433e71a95e9715934aa64c4cfb)

commit 88780735710c688293dcc3e1d52fd8aba2f2bb75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 5 13:30:17 2025 +0100

    textops: catch return 0 when removing via param

    (cherry picked from commit 65645c761e94cedde04f100764d5c506590cb200)
    (cherry picked from commit a88946a84133660d5b2a466a231dff226c9db995)

commit 0f8b36091a64de012377bd2460e299529886a45c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 4 08:05:28 2025 +0100

    msrp: send failure response after referening the buffer

    (cherry picked from commit 5f8adb625b6bae81ef44613d774106bf3a943bb0)
    (cherry picked from commit 4ff58bb3e02b76e2489144867c8b0dc5041dc621)

commit 96945faccf3d689c1a2e90aca3b65bf69926647f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 3 13:36:10 2025 +0100

    core: mem f malloc - additional check when getting to search very big fragments

    (cherry picked from commit ac909a7a019922676076bc47a28a3801c749becc)
    (cherry picked from commit 9d3392a55831124121b078201985c417c9f9982d)

commit 724a58813d50dcfe965e69914fbdc93291811a85
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 1 07:40:11 2025 +0100

    msrp: variable for extra headers used in local replies

    (cherry picked from commit 7a73e08b0e5b4c3fbeb4f097c1f891d06c74651d)
    (cherry picked from commit c29d9d661b3954906cdee7e98a4f9b6502673490)

commit f270f8a6c86cc2541801914223858da13f39de7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 30 11:32:53 2025 +0100

    seas: remove redundant check

    (cherry picked from commit ab1b032771be9adbb1d643cd44beac0e09a31553)
    (cherry picked from commit c8be39750902ad69818f8247898070fce2d6a3a3)

commit f4aed91f5ab78cddbe782e94306c3cf4c49b09c6
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Wed Jan 29 09:12:44 2025 +0200

    janssonrpcc: fixed warning var may be used uninitialized

    (cherry picked from commit 3039c02404e05da05a031f6ccf68913a8c1c80eb)
    (cherry picked from commit ddd98b09c80dc0d15af080e37961b59ecde17689)

commit dfe9da5c1c79612cb6166dfabf89abd1cea9baf7
Author: pinacolada1610 <starinchikova@gmail.com>
Date:   Thu Jan 23 16:21:04 2025 +0300

    tcp: fix for local TCP/TLS socket matching with 'tcp_reuse_port' enabled

    - Changed the logic for matching a listening TCP/TLS-socket in tcp_reuse_port scenario, now it considers local port as well.
    With 'tcp_reuse_port' option enabled, the local port is meaningful and helps to differenciate between sockets on the same IP but different ports.

    (cherry picked from commit 0cb6e35d581398d2c5a7086a0d98b113fbb16138)
    (cherry picked from commit 1e362f2ba51c6ee9a9e005675a30202e42ceb3a7)

commit 270ac18eeb5601fa5043a85961a62a4b2fb466f9
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Jan 29 01:40:24 2025 +0000

    db_oracle: fix warning: passing argument 2 of âdb_do_closeâ from incompatible pointer type [-Wincompatible-pointer-types]

    (cherry picked from commit 577a87861a8566e00f2700dfb227dcc8b26393b4)
    (cherry picked from commit 022940dec70272a19c86604d2fa9af83d8790bb1)

commit 614e056628f6221cde6d6a307109edf489750095
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 27 16:06:04 2025 +0100

    http_async_client: check returned cell inside check_multi_info()

    (cherry picked from commit b16550fa72d23084b4221769fe74b1f3c357c9fd)
    (cherry picked from commit b4718cd7dca8e037664dbc49a1cfac684906ecea)

commit ce3806e6b8ac668f149e655d07467826acb03775
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 27 10:20:49 2025 +0100

    htable: wrapped maco code in do {} while(0)

    (cherry picked from commit 65a296b3478503ed3519ea9156d8f46f5cb9ce2a)
    (cherry picked from commit dfa9239cf6df7644e9fe6b83cfc33aff518a19c6)

commit 7997d33aa6cae817da0e55cca802eb49b145711b
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Tue Jan 14 12:35:21 2025 +0100

    htable: Fix expiry on assignment

    Update cell expiry on assignment for htables w/o updateexpiry (analogue to #4079).

    (cherry picked from commit 75994f40c99ffa2c7c33e5fce5e3d3cd8db7d780)
    (cherry picked from commit b38925b0b3628539840de2b6240da75b9f9f3cc6)

commit 626253c7d41a67fed8c5f3af64caa3c184a509d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 26 18:07:54 2025 +0100

    core/parser/sdp: proper test for media ip separator

    (cherry picked from commit 200cdb318569191cd012dfe99b252f98fe9623b9)
    (cherry picked from commit 9c44aec667fc3c088612dd31935bce2eb082812d)

commit a8f9aa75a08b1fc0bcc66bfc8119e0fe278b1365
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 24 16:48:51 2025 +0100

    presence: do not break on one notify sending failure

    - try all of them, debug message with successful and failure counters
    - GH #4118

    (cherry picked from commit 65e51b776290a1981e9ac27fbe6b47813516bc8b)
    (cherry picked from commit 9e21ce85d0c97679f9e14f9c31108f2dcdad772e)

commit ac730f356aee48488801951290123a758388c1a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 23 11:51:07 2025 +0100

    core: more checks for extract_candidate()

    (cherry picked from commit 3198b66aa5dbda1c6a03f46a610073671cbd5157)
    (cherry picked from commit a5ac9e04b91971da44256373904450501f9a4493)

commit ed3d6809dcc66ac18efb313fbf9e3f7bd130a19d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 19:38:24 2024 +0200

    htable: do not print item name before is computed

    (cherry picked from commit e2193b9cd7f59377c54e0424c0d4a1628a5a60de)

commit fddfbdcce2587e9b40f6c2fe77334d3b3b1dbb6c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 28 11:31:57 2025 +0000

    outbound: Fix flow_token_secret bug

    - flow_token_secret is of type str and not char*
    - check the length of the string instead of memory for initialization

    (cherry picked from commit 046ba41e431fec7fad0c82a9091ea9e27d9f677d)

commit 95feca55b38991e045d57ab8cdb9b75bcdb7070e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 14:50:42 2024 +0100

    outbound: reformat exported structures

    (cherry picked from commit 793a494f5b23f2ef5e82664924c3bed3893105bb)

commit 1b4aa300292dd6bdd64e174111939293fbbd76ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 17:46:16 2025 +0100

    kamctl: renegenerate db creation files

    - GH #4124

commit 0cf639eceb6a8fea50d19184add989e049dfb6ca
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sat Nov 23 22:02:16 2024 +0200

    pkg/kamailio: added support for CentOS 10 [skip-ci]

    (cherry picked from commit cdafda78c9fc98d9d9fdb7f94e77c9bc60ebf4d1)

commit 0e51b497a19c525a89d5fead5e0854b2b18317dd
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Thu Jan 23 14:47:56 2025 +0200

    pkg/kamailio: simplified systemd unit files installation [skip ci]

    (cherry picked from commit c47108eacba1a6cf7e8564a00ff0850f621d29aa)

commit b05e8e854bde2ef4ac4c40f227e0794f1a6583ff
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 11 00:09:02 2024 +0100

    db_unixodbc: fix incompatible-pointer-types warning

    > dbase.c: In function 'db_unixodbc_close_impl':
    > dbase.c:261:32: error: passing argument 2 of 'db_do_close' from incompatible pointer type [-Wincompatible-pointer-types]
    >  261 |         return db_do_close(_h, db_unixodbc_free_connection);
    >      |                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    >      |                                |
    >      |                                void (*)(struct my_con *)
    > In file included from val.h:34,
    >                  from dbase.c:33:
    > ../../lib/srdb1/db.h:495:40: note: expected 'void (*)(struct pool_con *)' but argument is of type 'void (*)(struct my_con *)'
    >   495 | void db_do_close(db1_con_t *_h, void (*free_connection)(struct pool_con *));
    >       |                                 ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    > make[2]: *** [../../Makefile.rules:101: dbase.o] Error 1

    related #4064

    (cherry picked from commit 7f24bc09863220b4c14e2046708c10ff0891c038)

commit cd68ed205895b981d61d84de5138e25329455cd9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 10 23:58:06 2024 +0100

    db_sqlite: fix incompatible-pointer-types warning

    fixes #4064

    (cherry picked from commit 06cc2560e5358468178ef3e5c795a8a0ec67b693)



===================== 2025-01-23 Version 5.8.5 Released =====================

===================== Changes Since Version 5.8.4 ===========================


commit 7c2db662b81ede6256a871a783146320a03904c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 23 09:08:43 2025 +0100

    Makefile.defs: version set to 5.8.5

commit 13ef1a559a57087279ea5c0920ad7253e65b7c98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 23 09:04:34 2025 +0100

    core: extended logs for subst lumps

    (cherry picked from commit d307fee57b7a8a7e0b5ccf0956464a159e156b73)

commit 2f7ff72109cb4097c095d86bc5d57d00b3024d7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 23 08:31:59 2025 +0100

    pkg/kamailio/deb: set version to 5.8.5

commit dbb7696bee3c43da69c4a12a9dc0bdf91b71460f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 23 08:30:04 2025 +0100

    pkg/kamailio: version set 5.8.5 for rpms and alpine

commit 6fd7fd2acf7d76e4e8ba7669c170dc837a84848d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 21:43:06 2025 +0100

    core: reworked how rport, received and extra params are added to first via of generated replies

    (cherry picked from commit d613f30214782d47ed0aab8bf2fb55329d87862a)

commit 8eff811614b72fbf80af6d546d65c65e6b59c1a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 21:22:38 2025 +0100

    core: add extra params to first via only for generated replies

    (cherry picked from commit 9045c8d537b8960a18451f870effe2255cb4861d)

commit b6360f4d8549c18efad507bc37ef599d9e3316d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 19:45:20 2025 +0100

    core: add rport to generated replies after first via branch when no incoming rport

    (cherry picked from commit 09d1ba87f4d37c3e13153229c63698f09ca195bc)

commit 132e5324bf9f794ea82df0f12ef094f6c12ee178
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 18:15:19 2025 +0100

    etc/kamailio.org: do record route for REFER

    - it creates a subscription dialog
    - https://datatracker.ietf.org/doc/html/rfc3515#section-2

    (cherry picked from commit cfc9d69435b4bbc53dbe6748e0d22603760c48fd)

commit 76ffc6d3d4053bc43b81c3363e837c10360b0089
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 17:10:05 2025 +0100

    core: parser/sdp - check if still before end of the value

    (cherry picked from commit b96bc11a54f11ec688429c057bf5a90c40c147b3)

commit 9b26093fa5cdf05cf664fa3a03619634ed226a47
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 12:58:18 2025 +0100

    core: socket info - set receive timeout for netlink socket

    - GH #4098

    (cherry picked from commit 6750e2e2f1d6c10f6b5e66897d38657a576a9732)

commit 59a6a469d1627de069abb8b7755776a8e87c9008
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 17 09:29:45 2025 +0100

    parser/sdp: more details in logs for setting fmtp payload

    (cherry picked from commit 81b84ef83f59981b6e5f199055e9ab6a94c58b38)

commit f499cb1fffb0ec8ef7b659ecde90de303fde0553
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 16 10:47:25 2025 +0100

    core: tcp - remove level and function name from log message

    (cherry picked from commit 5fe61ec6dbcd9d2dde3f2bd978dad5130ac5bff9)

commit 50e69e9a269e5d5dba0251f893abc34907a12970
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 15 07:24:29 2025 +0100

    sanity: log as debug when Content-Length is missing for datagram protocols

    - the header is optional for datagram protocols (RFC3261, 20.14)

    (cherry picked from commit e38c7f8bac1aef9890d266fa466cea1561346732)

commit 1d79bd109bd5f1563a23189cfab9ed8e9bb821c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 14 13:16:12 2025 +0100

    siputils: declare iterator out if for loop for C99 compiler

    - for sip_generate_charging_vector()
    - variables declared at the begining of blocks

    (cherry picked from commit 6b0b8cb84b7d0e965d50bdf0dfa5423004879f55)

commit 3772cdfda5c23d5267bac7059ace198418ef3986
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 14 09:46:23 2025 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 8ef52b885212c21f5606c9a00abf6a532da57121
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Fri Jan 10 10:53:19 2025 +0300

    influxdbc: support for FreeBSD build

    (cherry picked from commit abcafe75de7adc524b4a5a3df103f427565f9627)

commit 42aeb526d02ff4414504b28dd7803a27e3553840
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Fri Jan 10 10:52:33 2025 +0300

    Makefile.defs: support for FreeBSD build

    (cherry picked from commit 141f19a95bd0d97f1bd325291aafb844f46c7fd3)

commit e6ceae072f462497584cafe5574298ee52a85538
Author: Alexander Bakker <ab@alexbakker.me>
Date:   Thu Jan 2 14:50:03 2025 +0100

    core: parser - set URI type to TELS_URI_T for user=phone SIPS R-URI

    Fixes an issue where setting the ``$rU`` for a SIPS R-URI containing
    ``user=phone`` would overwrite the scheme to ``sip``.

    (cherry picked from commit 8801cf72c77e9233c789a9a0a1536ac524d5abf6)

commit b69b914ff514b9da92108636cdf206e2f64e7ffa
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Wed Dec 18 17:13:13 2024 +0100

    htable: Fix de-/increment w/ auto expire

    Update item expiration value during de-/incrementation for htables that
    are configured with autoexpire and updateexpire disabled.
    Otherwise an item cannot be used until timer cleaned it up.

    (cherry picked from commit b8062321572e1523bb9478fd2421c5a8bc8314af)

commit c1850aa5a1eb13a1005c077ae538ba27844c73a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 3 12:11:22 2025 +0100

    core: socket info - let the kernet to set nl_pid value inside nl_bound_sock()

    - GH #4094

    (cherry picked from commit 1a6102098f78855283064f82a9075630b92412f3)

commit 7e13eba5399329384ca79df972dbe2ca722092c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 09:41:14 2024 +0100

    siprepo: docs - small typo

    (cherry picked from commit ed61054f3b4064523888897bb22ae4d53b84d949)

commit 1520c3b1f05effa331bf4187d2cd7db3d0c87005
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 08:53:04 2024 +0100

    htable: get current time once for pv counting items

    (cherry picked from commit 9abe414a186e2a6e9041dd03a1a8968f0efa954d)

commit 7c35a85878e0923fcd354dab21b5a347ca8b3e19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 08:19:14 2024 +0100

    htable: skip expired items for pv counting them

    - GH #4080

    (cherry picked from commit d92a990a4040279ed7ee4d71debf2a13fd4d6782)

commit 59bf38394f97c1ed1ed6cfee862d9263791af95c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 19 09:24:41 2024 +0100

    core: info log when no r-uri or branches found for print_dset()

    (cherry picked from commit f0095466c2847c996440c45a8f728adc16f09579)

commit 57f18cfdaf9cd338eae9c69b8a4f88bf73c386db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 16 09:32:12 2024 +0100

    auth: export pv_www/proxy_authenticate(...) to kemi

    - GH #4067

    (cherry picked from commit fb1f6397cd58b8186558bfb719f73d9765281ff2)

commit eb865d759f1b4274f602fbfa5bd85e21d3901d8a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 12 12:06:38 2024 +0100

    ims_diameter_server: fix retrieval ``$diameter_response`` value

    ``current_msg_id_repl is only`` changed if ``$diameter_reponse``
    is changed by via ``pv_set_response()``. The event_route is
    executed with a ``fake_msg`` so it will not match if is setted
    outside anyways.

    (cherry picked from commit 7c365f76560b18aca49096121ea55791ce8f3623)

commit ca809718bc64779ecb4371c04c15e1d98af04cc3
Author: Kilian WÃ¶ber <Kilian.Woeber@kontron.com>
Date:   Tue Oct 29 14:43:01 2024 +0100

    ims_isc: bugfix: firstflag incorrect in isc_match_filter

    (cherry picked from commit 2bd70ed7ab8ec4cf59e12be3d561c735d84f2dea)

commit 533f8ef3406a6fe299c2184cfd31098266a2a1fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 12:23:41 2024 +0100

    pua_dialoginfo: rename short global variable

    (cherry picked from commit 92f899f3689f0f0b291590e82e61751b76b2539c)

commit 828b666ba577f812de8ed472d5775d9c506cabab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 10:22:27 2024 +0100

    core: use one strlen for mod_path

    (cherry picked from commit f385148ff68e2125a2111d9c506022519f17d1c9)

commit e00d184a6ccdb8c34f52aaf96a0481b997dce0cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 09:18:17 2024 +0100

    tm: check the type of contacts xavp value

    - GH #4063

    (cherry picked from commit 3eb9e1d34988ebeba9d4526da8f4d804846a7316)

commit 2ca1c47e066800323dd72daed8a47cfa61fa2d5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 9 19:04:25 2024 +0100

    lib/srdb1: new and free connection callbacks expect one parameter

    - new connection is executetd with a database id and free connection
      with a pool con
    - compiler warnings:
    src/lib/srdb1/db.c:322:23: warning: passing arguments to a function without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
      322 |                 con = new_connection(id);
    src/lib/srdb1/db.c:361:18: warning: passing arguments to a function without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
      361 |                 free_connection(con);

    (cherry picked from commit 8e398b8675079e1baac7c7575e70283175cdebe2)

commit 538d8b756594aa6a03aea34f5afd624b2a6ae56f
Author: Matthias Urlichs <matthias@urlichs.de>
Date:   Fri Nov 29 17:01:45 2024 +0100

    app_python3s: fix exception handling

    Python's C interface contract states that C code must *either*
    raise an exception and return NULL, *or* return a Python object.

    (cherry picked from commit ef73fb876f527c3bde4b425e3ec70d3f613fcb87)

commit b5aceff9d75876908665516d847cf1e7292d850e
Author: Matthias Urlichs <matthias@urlichs.de>
Date:   Fri Nov 29 17:01:45 2024 +0100

    app_python3: fix exception handling

    Python's C interface contract states that C code must *either*
    raise an exception and return NULL, *or* return a Python object.

    (cherry picked from commit 91dc75e65bb2a6643b8b322024416c420caf5d64)

commit 42241e6c054d6d92f6710210ed57425091206437
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 8 21:28:48 2024 +0100

    tm: small updates about timer avp params and compatibility modes

    (cherry picked from commit 5e0bc1a5c9764ce472354a0aa242b7469d79eb7f)

commit 158d1feb8f5ebe4b8a4af34e85c71c11cb144cea
Author: Curt J. Sampson <cjs@cynic.net>
Date:   Wed Dec 4 15:53:36 2024 +0900

    misc: examples/ims/scscf/README - fix typo in .sql filename [skip ci]

    (cherry picked from commit ee81e1e017c62063a5b1fd20ac61c5783ee4eab4)

commit 68e3447e04c06059d47e1f001ae0b34e7f88b2f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 08:03:57 2024 +0100

    xlog: evaluate prefix for kemi functions

    (cherry picked from commit 76e18d0d13a41e93094f9084ac44e0809f91b109)

commit 98f20996606a200f025dd78f96fbb50cd426f756
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 20:19:45 2024 +0100

    xlog: use crit level with prefix for kemi xcrit() and xlog()

    - GH #4048

    (cherry picked from commit a493e2e0006f89d2f8b5e903134407109ef587da)

commit 1ad61f8238ce5966bb68c5d48667ca5800e94dad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 12:39:17 2024 +0100

    ims_ipsec_pcscf: clang format

    (cherry picked from commit c7bb0965bde055aaf76cad526eae248ae2165280)

commit 0363fe3f334840ff028b8a14bba932fa3274a2bd
Author: Lennart Rosam <rosam@sipgate.de>
Date:   Tue Nov 19 23:42:04 2024 +0100

    ims_ipsec_pcscf: Add error logging

    Currently the module initialization fails when the ipsec listen
    interfaces cannot be bound and it does not produce a helpful log message
    for the user. This commit addresses that.

    Co-authored-by: Alexander Couzens <lynxis@fe80.eu>
    (cherry picked from commit 785659417bcc1984f12d5ebe35c134b15d614483)

commit b359bd6c7adf1a287637892c0be0c9897c477d4d
Author: Lennart Rosam <rosam@sipgate.de>
Date:   Tue Nov 19 22:00:07 2024 +0100

    ims_scscf: Add more logging to ipsec_create()

    Currently there are scenarios where ipsec_create() fails with no more
    information in the logs. This should make debugging issues a bit easier.

    Co-authored-by: Alexander Couzens <lynxis@fe80.eu>
    (cherry picked from commit 353b788bb3c78a4c0e8c390decdc420322b4927c)

commit 0259f3a6c8c97121f9f691441c1a600ce3d4a782
Author: souradeep.bera <souradeep.bera@sprinklr.com>
Date:   Sun Nov 24 14:29:57 2024 +0530

    topoh: improve debug info for topoh crash

    - print entire socket address for ease of debugging with empty mask ip

    (cherry picked from commit c6a485b04c2ed14b77e8747ffcd822f0743d56dd)

commit 85d1278034303c597fba4d2db21a9cd227c1730d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 1 09:02:12 2024 +0100

    db_mongodb: use STR_VTOZ() macro

    (cherry picked from commit dca29a87467fd074bcb63a5f20b6834a87fadc5f)

commit 076fb25f515c76a734281094e1b8a0fa095b0d65
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 30 10:39:20 2024 +0100

    ndb_mongodb: mongoc_collection_command_with_opts() for mongodb_cmd()

    - mongoc_collection_command() is deprecated with lib v1.29.0
    - GH #4037

    (cherry picked from commit 3991350b1acdcd8b3cd575cdbc8932b4f8540e13)

commit 871dc9bbc13cea3a328afba0e40cf77862a89d8b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 09:33:58 2024 +0100

    lost: removed use of deprecated xmlKeepBlanksDefault()

    - XML_PARSE_NOBLANKS seems to be used, which is suggested in deprecation
      message
    - GH #4038

    (cherry picked from commit 784f55cdb31de9eda6971e04ee12c2cb88556835)

commit 6f78cc028b0418a20c2b73f97a4fc4af72c7106f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 09:15:59 2024 +0100

    lost: clang format

    (cherry picked from commit 4a9bb81a69fbef11d92d294fa1db0711ff8e78db)

commit 264e23e830072ef3804c974ffa6d85fb4b981370
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 09:13:49 2024 +0100

    lost: use buffer size for snprintf

    (cherry picked from commit be2d3bfe537a692efa8cdc2bd4e4441eed5d0840)

commit d816c822dbd4ee4c910e53a757003bf2a306d02d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 07:53:31 2024 +0100

    ndb_mongodb: fix for deprecated bson_as_json() from v1.29.0

    - GH #4037

    (cherry picked from commit 8e6a8e0baf8a700f36c81d3f808391f03a37c9d1)

commit 9266c0051158b9c65ae49bf9ab478dd94b55d7e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 29 07:33:58 2024 +0100

    db_mongodb: fix for deprecated bson_as_json() from v1.29.0

    - GH #4037

    (cherry picked from commit a4a86bd1a84ee16630660873486ec7d870a4e361)

commit a45daead40a07a4f6e3d9913ba27f9e6cd5f8bde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 14:38:08 2024 +0100

    lib/ims: libxml2 is not needed - removed from makefile

    (cherry picked from commit 5eac8fd5356cc424d87cac4b4102c99e97054414)

commit 40a9c5a96d837e35ecdc166f10476386c3c7e7a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:51:56 2024 +0100

    http_async_client: remove unnecessary str len

    (cherry picked from commit c36dd7e9c8b01aae5f35e8c576188cd34b1f8aa6)

commit 738cd9d4b7c1b14ec77fe2e7fa6422b814c97836
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:39:44 2024 +0100

    keepalive: use memcpy for coping data

    (cherry picked from commit eab6682e4d8bebaf97f85c55b0863ad435e1d133)

commit 7e0310160d1a934e573733b563a5464630881a2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:36:47 2024 +0100

    core: removed unnecessary use of strlen

    (cherry picked from commit 926988487358e1ae3ba79ca999629c452e2d32df)

commit ce55b7d9ee5ee33d4cf9dc60328d6c55e42950e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 10:35:19 2024 +0100

    core: modparam - use memcpy for data cloning

    (cherry picked from commit c2ff02b6d07c0f84dcbe5d0d47de3f12ed791e3a)

commit fab2b2bb1e20e700756dec38a70f6d35393bdfec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 28 08:33:14 2024 +0100

    async: fixed typo in log message

    (cherry picked from commit 78f272da156ff7796dd84697bbf04522b7a08009)

commit b512a9e809a658dc9ac731a359afce8fa8acd049
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 27 15:36:33 2024 +0100

    corez: set sndinfo attributes for corex_sip_reply_out()

    (cherry picked from commit b003a7184a02da5fd6dfe27def8d928d363e36ce)

commit 76bb3b687a171bdbec77a4f7d121f9ac8a690e80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 26 15:41:44 2024 +0100

    jsonrpcs: docs - example for jsonrpc_exec() with rpc params

    (cherry picked from commit 5437ad1a1dd691707e6ea1774e5c8ff6a72d30a7)

commit f026dab48d17e2f9b4391f2a2dd1bbb2fde8e72b
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Tue Nov 19 14:08:33 2024 +0100

    cdp: fixed issues discovered during static code analysis

    This fixes:
    - 4-bytes (typically uint32_t) used for time_t storage (Y2K38)
    - print of time_t with %d instead of %ld
    - reuse of same loop index variable in a sub-loop
    - use of random(), when kam_rand() could theoretically be better
    - copy-paste mistake in sp2/sp parameter, where sp2 was meant and sp is probably NULL

    (cherry picked from commit 1ceeba7364b745b6ca2840e830d006a37460d10e)

commit ea08d49c50d31ed5fc5cdeb786db474a9f069607
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 25 10:27:11 2024 +0100

    core: tcp read - convert ips to different buffers for log messages

    (cherry picked from commit e58dc89324b30f09853a7430620e632ec5efaad5)

commit e7cb341eb09cc4e59f8cc2da85d2baa8d4eb32d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 25 10:16:07 2024 +0100

    core: helper functions to convert ip to string using a pool of buffers

    (cherry picked from commit c82aa6e92d3475bb56db761ba65abb64e8f712fd)

commit c2c3e8f8430f53738192eec996b5506680ae7ec1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 19:59:05 2024 +0100

    core: ppcfg - use define for size of the buffer for  core defined values

    (cherry picked from commit 26d6a518c974cfe509d23e41fe9db6b02f357930)

commit 5766583c17792d64c579599412a3defb1bc4da2c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 21 16:55:45 2024 +0100

    core: use defines for tls threads mode values

    (cherry picked from commit 81450df0c1b247bbd7582c47e00f358f8e20317c)

commit f608b218da40449dd67ebfb83747550c222279d4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 6 19:10:01 2024 +0100

    cnxcc: fix possible mem leaks on errors

    (cherry picked from commit 1bbb1472d8d940814e4658ac0adcdf809ac7f5ab)

commit b7607abc683949d64d01bbf0481fd7aa4f2b2a80
Author: PertsevRoman <pertsev.roman@gmail.com>
Date:   Wed Nov 20 09:11:14 2024 +0100

    db_redis: fix: hiredis-cluster build fix

    - fixed preprocessing issues if WITH_HIREDIS_CLUSTER specified
    - GH #4015

    (cherry picked from commit b14044fac93ef4b43584dd0e14f2b985d41745d6)

commit 1b40c22489d057675259163088a838f473aa7047
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 19 16:20:46 2024 +0100

    rtpengine: doc - fix quote tag

    (cherry picked from commit cc4e51c45d23b4450d082ba606445b515788ba61)

commit 5e4b7044f147d3efbe03b52fc03203e567e47b51
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 19 16:18:01 2024 +0100

    pv: made is_uri_enclosed() condition function inline

    (cherry picked from commit d93e0bc19f577114ef7e07afad3ce329c399a488)

commit 6367a41f64ed165792ffe71ea310fd917947ccba
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Aug 7 16:07:56 2024 +0000

    pv: Ensure URI enclosed in <> when changing Display Name

    (cherry picked from commit 75e17db22afa92929054ccf36c8ca9b5daafccd8)

commit f8ec60e717ba27ab187bf9a0800b46736b000f86
Author: Remco van Vugt <r.vanvugt@raffel.nl>
Date:   Fri Oct 18 14:02:40 2024 +0000

    kazoo: fixed segfault when using kazoo_query

    - Refactored parts of the code to be more readable and DRY
    - Split up functions for 3/4/5 arguments passed to avoid segfault
    - Fixed pseudovar allocation for returning results
    - Tested in 8.5.2

    (cherry picked from commit 5a4b91e92b03160e13ef83ad486fb64fdae71c7f)

commit f465639c69074342b863978417210a75c30502d1
Author: Anton Yabchinskiy <arn@bestmx.net>
Date:   Mon Oct 7 15:32:49 2024 +0200

    modules/snmpstats: exit with ksr_exit() instead of standard exit()

    The former respects the `--atexit=no` from Kamailio command line.

    See note on `atexit` in TLS module "Overview".

    (cherry picked from commit ed5899b8213a28eb5659edfd5b1b9740ba6a5ab5)

commit df933053216b91d83233b12f08c7d1d04a5f1634
Author: Ihor Olkhovskyi <ihor.olkhovskyi@cern.ch>
Date:   Fri Oct 11 11:30:25 2024 +0200

    rtpengine: update doc

    - explicit mention of label= flag
    - add explanations regarding mos_A/B_label_pv parameters
    - typo fixes

    (cherry picked from commit 43f4c0f9455d57f5b4e4963358fe214c85532bc6)

commit 22351aeb5b2a6db5112493da1c29fe7fcafc33fa
Author: Kent <kent@amtelco.com>
Date:   Fri Oct 25 14:44:03 2024 -0500

    lib/srdb1: Allow '/' in database URL passwords

    - Modify parsing of a database URL so that a '/' character is accepted
      as a valid character in the password part of the URL.

    (cherry picked from commit 91abfdf6ebf942cbb0234be36812a9513f92f96b)

commit 4291c952360e9607387a60cb807f4f5ea97f4042
Author: Eik Rentzow <rentzow@gmx.de>
Date:   Fri Nov 15 14:06:34 2024 +0100

    siputils: generated icid-value too short

    - icid-value is only 17 charaters and not unique
    - Re-parsing of generated PCV with icid-generated is 2 characters too short,
      cutting generated-by value or creating false warning

    (cherry picked from commit 66350831872370a5a06f2ee44e8609ceb0164592)

commit fed058976c845a9f6a96a06f074ea23f2a6162fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 18 14:19:38 2024 +0100

    core: socket info - relocate ip address conversion for log message

    (cherry picked from commit 5957ba50c8da1c543272643994190ba015221432)

commit 1aa14dba39125d3736f4f41d6080e2ed1905debb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 17 02:18:29 2024 +0100

    tm: exports get/set t/branch functions to intermodule api

    (cherry picked from commit da33e5bdefb45730f9b0536ec86d0ef7abc8e3d8)

commit 8025e8f1cee8cf24c615a2aa8be7255fca3e0a05
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 15 09:44:54 2024 +0100

    tm: backup/restor current T/branch for rpc reply commands

    (cherry picked from commit db2672636a9f029f624059eb6ef69db86a559ff1)

commit b202ab5c1472edd98ee5bfc600d12e9339113eff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 15 09:36:32 2024 +0100

    tm: rpc_cancel() switch to get/set T/branch helpers

    (cherry picked from commit ec30f5831ed3b6684715103b0242ed220e0159be)

commit 366f33b341d30cd3bc52ad63e1ce918999e34077
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 15 09:33:52 2024 +0100

    tm: small helper functions to get/set current T and branch

    - pair for coherent naming

    (cherry picked from commit 027ca1b2e1d0857ac039ff8fee9fecadd88bbda0)

commit 2c37d7927769f316d33b3e0e9ecab9ae45799ea4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 14 10:51:58 2024 +0100

    tm: backup and restore existing T-references for rpc tm.cancel

    - GH #4011

    (cherry picked from commit 879e074c4517cdda7bbdad343191dcfc9dedcb3c)

commit 348f7118f86421bc4aaac8cc7d353be1f18d7ec6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 14 09:57:52 2024 +0100

    jwt: use JWT_VALIDATION_SUCCESS for validate check

    (cherry picked from commit 76b250c8b4c2b5bd81b5e776e9e726350bb65b7b)

commit bda9e15d85dce8468a78858ca632749e9f4be9c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 13 14:58:16 2024 +0100

    topoh: check if socket name is set for building sockets strings

    (cherry picked from commit 85456e17df760b3d716aa1207a59ef0c3a29b4b4)

commit 143f96074618572829dae46bb59d08a704e34125
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 9 19:54:43 2025 +0100

    pkg/kamailio/deb: refresh files to include new kamailio@.service template

commit 183c4d1168f10d73e16ba605f202077128dbbb95
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Jul 3 15:32:13 2024 +0000

    pkg: Add systemd template for starting multiple kamailio services

    (cherry picked from commit a8cb23903b271a1b78456fed5da8e10474aee405)

commit f65cfc6d6de1c44a0e53bb28f3c38d0b490f7e1c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 7 18:37:52 2025 +0100

    db_redis: stop searching for keys if scan_key is set

    (cherry picked from commit 73914396c127529e7e0d58f3e92170891840cbc2)

commit 1e6738e7f2c554ffa16e11125673c7ea4e092935
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Dec 20 09:02:49 2024 +0800

    tls_wolfssl: update internal submodule to v5.7.4-stable tag

commit 5981059909f6d767fcad60d639dbeff5f54bfe3f
Author: Nikolay Ivanuschak <ivanuschak.nikolay@gmail.com>
Date:   Mon Nov 4 22:58:44 2024 +0300

    http_async_client: fixed crash on curl callback

commit d01fbe59b386ad025466bd13d71495f4c765f85d
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Fri Dec 6 15:05:52 2024 +0200

    pkg/kamailio/obs: added systemd template to start multiple kamailio services

    GH#3904

    (cherry picked from commit b4ec854c0822a61790ea4fa1bc6387cddce4cf35)

commit d33e4bc5fc8b8f482b740bb4fc63ff4c3d7e29ef
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Thu Nov 14 17:47:10 2024 +0200

    pkg/kamailio: packaged jwt module [skip ci]

    (cherry picked from commit 2d745d21764485c725e2beea91b67cbda83c96f3)

commit 6816f992696fe894b3a47cd511a59e1b5a0ed89b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 15 11:09:34 2024 +0100

    doc: update manpage with missing -B option [skip ci]

    (cherry picked from commit 77f03aabd871dbf86c5106a93eb32ce67d7762bf)

commit 701ebefaf630cb7f6039f0030f66f736f384af69
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Nov 14 16:10:38 2024 +0000

    tm: Fix log level

    (cherry picked from commit af0f0000c4755d01f668570bc6db71f2f534a5c0)

commit 67c09d2e470797deb0ac1b28f38293afe3f8c074
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Sep 18 12:04:10 2024 +0000

    tm: move local-request event route to the right location to access CANCEL

    (cherry picked from commit ccc106922802213253f03f181d10fe83aa93da94)

commit c08bade8f570e0505a2498131faded9785c7fae0
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Aug 27 13:59:31 2024 +0000

    tm: Emit request event when cancel is called

    (cherry picked from commit faca8e7a20255d90a4786fd4043005ead9dfc5df)


===================== 2024-11-12 Version 5.8.4 Released =====================

===================== Changes Since Version 5.8.3 ===========================


commit 7d216c69fa226a06f6163a2dd006ec798d57cd95
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 12 10:57:22 2024 +0100

    Makefile.defs: version set to 5.8.4

commit f1b73eab3f6ab5221b65a260a9069a09535a6d86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 12 10:55:41 2024 +0100

    pkg/kamailio: version set 5.8.4 for rpms and alpine

commit b0c5f1340fdedde605aafe57d2a6568b4f170249
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 12 10:54:41 2024 +0100

    pkg/kamailio/deb: set version to 5.8.4

commit 7c3b8823ce7ba1395e5b6c59c7e0c2aa0bbeb900
Author: anmartan <a.martin@zaleos.net>
Date:   Thu Jul 4 09:30:02 2024 +0200

    core: Improved URN parsing according to RFC8141

    - Improved URN parsing to allow consuming URNs that contain 3 or more colons. Previosly URI parser treated some of the colons as separator between host and port causing the URN parsing to fail.

    (cherry picked from commit 6cdd56bb85e1a10ebbb29c2633fb47bf7b56585e)

commit 4d7baba092a0b84ed91171af90ceaee71d0e1e05
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Nov 6 10:31:18 2024 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit bf038a0a84bdecd69d749464880826f8c4b894e6
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Nov 5 16:46:11 2024 +0000

    sst: use proper name for ims dialog module in docs

    (cherry picked from commit 3b3c60f94dd93e460d5bda40c73b2052a4f1bf33)

commit b292837507dd60f45ebc1cca8317b6c0d8c3d369
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Nov 5 16:45:50 2024 +0000

    snmpstats: use proper name for ims module in docs

    (cherry picked from commit 6c408ff8c7b558a725d67898d5f1a8dc3d717c61)

commit a52fe973b064e288d9f150a6c36cb35eecb4a161
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 3 19:38:46 2024 +0100

    timer: docs - updates to examples

    (cherry picked from commit 21c7066842a034d8674e5fac2b7c6fd38b0073e8)

commit 351157cad257986a014dc659231ae0ee48a8d538
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 29 08:20:44 2024 +0100

    core: parser sdp - check body end for extract_ice_option()

    (cherry picked from commit 79d7fae0f26f577356f017cfff5e00c348cf259c)

commit e233bc60092242e886a0336104435cd412c6ddd9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 28 20:52:19 2024 +0100

    timer: export timer_enable(...) to kemi

    - GH #4008

    (cherry picked from commit ad919796b24d0c38af136cbad2563e6f98df4b74)

commit 08b4a6d280f851389252f4016e9032533a82e12d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Oct 27 19:45:07 2024 +0100

    timer: formatted exported structures

    (cherry picked from commit 8e2541ec6126b5665e92cde5eaf17f5a4970cb8d)

commit 72f08c6fff97d3a2498498eb01ce6c11a8e9f41c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 26 19:33:26 2024 +0200

    topos: deal with BYE without contact header for mode 1

    (cherry picked from commit a4f0ee5da93ad64d449c7a95ecad2f3d70aeb975)

commit 18dad74a091e693a0bf939dddf144348409e6402
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 25 20:45:59 2024 +0200

    core: parser sdp - check len gor extracting fmtp

    (cherry picked from commit d10257fbfdbb3e3e73c0fe60a224585822bdd7b3)

commit fa9965d33cec01fd503bb89f2076b93aa173fd18
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 24 17:40:04 2024 +0200

    dispatcher: debug messages for checking active destinations

    (cherry picked from commit 3e5f8deced0cb05710e631601e9098505f1d230a)

commit 19729e29b24915b84079831a37e9ade5b3a9d473
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 23 08:21:16 2024 +0200

    topos: extended error log message

    - ensure headers are parsed for storage record

    (cherry picked from commit a6b924be7fd7d4ce6a92ad5a0247077b09a29474)

commit 61d3cc66f97f283c78bec77244bc61610a191ee2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 23 07:48:34 2024 +0200

    topos: catch ACK without contact that needs no storage updates

    (cherry picked from commit 824e81319b60054feb81c37b3a8be80523f8c95d)

commit ac908d6a4cee146c35c28210fa937aa55f1cda70
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 16:29:58 2024 +0200

    lrkproxy: use core str comparison functions and macros

    (cherry picked from commit c67d8fa0b1015d73b34430f6f8a6afe22ca10cbe)

commit 466c5419634a7cb9c9f3cf38b15f36d603bdc1da
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 16:17:35 2024 +0200

    pipelimit: use core str comparison functions

    (cherry picked from commit 9ee189883549faffb21d3ae113dafd7ad95757af)

commit af963c81775b9c93d37428fe86264cb96b357f05
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 22 16:12:42 2024 +0200

    ratelimit: use core str comparison functions

    (cherry picked from commit c44a349964081d397ab9efa3504737bf369f8cf5)

commit cfb143196d0b727f16add51590bc007badde41cf
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Oct 3 08:28:50 2024 +0000

    db_schema: Add ims_icscf db schema

    (cherry picked from commit e2ea727988828a9683ef112637e25ee4d58032f7)

commit a97199e0114b9cfc0804c3d8f73471f58aec3432
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Wed Oct 2 14:47:43 2024 +0200

     ims_registrar_scscf: fixing em_max_expires

    (cherry picked from commit 3f38206d88af0fae4c64ee3072eb78ea68f813cb)

commit 0408c2cb412f0df0a17b70aa4d15026a9ef3a9a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 22 07:41:08 2024 +0200

    core: parser sdp - check length for rtpmap extract

    (cherry picked from commit c823f41350ab9186a323707e9be32e31922bec17)

commit 255db278f078c8868f28e6451d92b808fc3b6687
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 22 07:34:29 2024 +0200

    jwt: print decode result in error log message

    (cherry picked from commit 0cbb2eb035c7d2a29ae707cde94a2c0573e0ffd5)

commit a688b24ac777cb93306a1a777e687de625d6e4d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 17 08:21:43 2024 +0200

    core: parser sdp - check if body is enough for rtpmap

    (cherry picked from commit c7f89e81504c425a83f3423bc4b4d9d1a8a48909)

commit ba194c482f72618a896864d5a9738def33813050
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 16 11:46:37 2024 +0200

    async: docs updates for async_sleep()

    (cherry picked from commit cce29af41120cf30c4c22979e772d1ca666408c6)

commit 98032a98eaf764140825c4a2c0eb64a927a55c3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 16 10:49:16 2024 +0200

    core: socket info - skip ipv6 link local on interface discovery

    (cherry picked from commit a5b1099c9061551a0b31db8ef88efb2e376b290c)

commit 8c3eb992e07bbb0f0f9a123c124b23d510250c9b
Author: Eik Rentzow <rentzow@gmx.de>
Date:   Tue Oct 8 09:11:53 2024 +0200

    siputils: bug fix for sip_p_charging_vector

    - Bug fix for #3929 and further improvements.
    - New buffer usage for P-Charging-Vector handling.
    - Added $pcv(status) pseudo-var.
    - Added return values for sip_p_charging_vector().
    - Much improved error case handling.
    - Use send interface for icid-genearted-at:
      The icid-generated-at parameter should carry the ip adress of the
      egress interface and not of the interface where the message was received.
      This is in accordance with other SBC solutions.

    (cherry picked from commit d7c8bc5c58f672004894733d0e6d2a7cb00efe7a)

commit 13579e6d39898afbe6064c645d5a0f8ec7a69b62
Author: Eik Rentzow <rentzow@gmx.de>
Date:   Tue Oct 8 07:16:55 2024 +0000

    siputils/doc: updated pcv documentation [skip ci]

    - Updated documentation to reflect the changes to the $pcv pseudo-var
      and the sip_p_charging_vector() function.

    (cherry picked from commit 05a30ed53fc5657a2d86e1c1bdb9277571a8d17e)

commit e650ace5948c76ea2d8eb7eaeebb5c349970447d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 12:37:08 2024 +0200

    core: parser sdp - check field length when extracting the value

    (cherry picked from commit e802f9187383feb7fdd96c4ded44fda403da4535)

commit eb058dba967bb772c8413356163ec6c13533ab6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 12:00:53 2024 +0200

    core: parse sdp - check for body limit on mixed content

    (cherry picked from commit d4bbde619bbf808edebb31e131b3783ba2a4b34d)

commit 0ba1666fec15ed292e7fe1764bfa985ef282d84e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 11:41:02 2024 +0200

    core: parser sdp - check for length of sendrecv attribute

    (cherry picked from commit fc4817064f81ef9a82b1b1468b1b8a4ae352c1f2)

commit a1e79755f4d2827a68f092dea1f138d02ff51f0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 11:02:35 2024 +0200

    siptrace: docs for data_mode param

    (cherry picked from commit 337c06b6b43606536f1d37ebfd6e4240aab9cf5a)

commit 9a24032160de4205585a890c2195c3f587247c2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 11 10:57:05 2024 +0200

    siptrace: added parameter data_mode

    - control if bind address of advertised address are used

    (cherry picked from commit 9d8432f3ffb1f9d07874452e23140be21e75c530)

commit faf27cef7118a35bfab4aed5185148df6b16769b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 9 19:50:48 2024 +0200

    siptrace: use advertise address if set for trace mode 1 callbacks

    (cherry picked from commit 9fb15e2ef93a0d606fa4c6d695a2f13a4b0a8031)

commit fab08023dc425919c77dc960b0944eb876650092
Author: aelezovic <adnan.elezovic@infobip.com>
Date:   Wed Oct 9 12:17:54 2024 +0200

    mongodb: fix cursor error resulting empty result set

    (cherry picked from commit afebe6b2e597755ae37fd37bdf011fbb2fbbf8fe)

commit 66243e19149d3f4324089f4f54bf86089b8b72b9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 15:03:55 2024 +0200

    http_async_client: fix warning deprecated-non-prototype

    > Warning: ./http_multi.h:64:5: warning: a function declaration without a prototype is deprecated in all versions of C and is treated as a zero-parameter prototype in C23, conflicting with a subsequent definition [-Wdeprecated-non-prototype]
    >    64 | int init_http_multi();
    >       |     ^
    > http_multi.c:403:5: note: conflicting prototype is here
    >   403 | int init_http_multi(struct event_base *evbase, struct http_m_global *wg)
    >       |     ^
    > 1 warning generated.

    (cherry picked from commit 2737bb19a363be7c0d67749b75f11c7e9d2d09f3)

commit 844a7a072abf5fad466a20bcae33e1d85844d1f4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 14:58:40 2024 +0200

    sms: fix warning and remove old logic

    > Warning: libsms_getsms.c:107:25: warning: implicit conversion from 'int' to 'char' changes value from 183 to -73 [-Wconstant-conversion]
    >   107 |                         ascii[charcounter] = 183;
    >       |                                            ~ ^~~
    > 1 warning generated.

    (cherry picked from commit ee052fd0a7e7dc703a186a01926a8e64c635d636)

commit 8db46badd40606e910350e4ea3c28f816d3c02b6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 14:27:03 2024 +0200

    kazoo: fix deprecation warning

    fixes #3466

    From https://github.com/alanxz/rabbitmq-c/blob/c3e4176659aac7d0e497da90a46c08c63b98282a/include/rabbitmq-c/ssl_socket.h#L250
    > * \deprecated Since v0.13.0 this is a no-op. OpenSSL automatically manages
    > *    library initialization and uninitialization.

    > Warning: kz_amqp.c:857:3: warning: 'amqp_set_initialize_ssl_library' is deprecated [-Wdeprecated-declarations]
    >                 amqp_set_initialize_ssl_library(1);
    >                 ^
    > /usr/include/rabbitmq-c/ssl_socket.h:249:1: note: 'amqp_set_initialize_ssl_library' has been explicitly marked deprecated here
    > AMQP_DEPRECATED_EXPORT
    > ^
    > /usr/include/rabbitmq-c/export.h:29:46: note: expanded from macro 'AMQP_DEPRECATED_EXPORT'
    > #  define AMQP_DEPRECATED_EXPORT AMQP_EXPORT AMQP_DEPRECATED
    >                                              ^
    > /usr/include/rabbitmq-c/export.h:25:43: note: expanded from macro 'AMQP_DEPRECATED'
    > #  define AMQP_DEPRECATED __attribute__ ((__deprecated__))
    >                                           ^
    > 1 warning generated.

    (cherry picked from commit eeb17678d77548073a59b54c0a08ebdb48b25fa2)

commit 02efd2aad688b2eec0bff7b743ce4b97128f0db1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 14:17:34 2024 +0200

    rabbitmq: remove deprecation warning

    From https://github.com/alanxz/rabbitmq-c/blob/c3e4176659aac7d0e497da90a46c08c63b98282a/include/rabbitmq-c/ssl_socket.h#L250
    > * \deprecated Since v0.13.0 this is a no-op. OpenSSL automatically manages
    > *    library initialization and uninitialization.

    > Warning: rabbitmq.c:574:3: warning: 'amqp_set_initialize_ssl_library' is deprecated [-Wdeprecated-declarations]
    >                 amqp_set_initialize_ssl_library(1);
    >                 ^
    > /usr/include/rabbitmq-c/ssl_socket.h:249:1: note: 'amqp_set_initialize_ssl_library' has been explicitly marked deprecated here
    > AMQP_DEPRECATED_EXPORT
    > ^
    > /usr/include/rabbitmq-c/export.h:29:46: note: expanded from macro 'AMQP_DEPRECATED_EXPORT'
    > #  define AMQP_DEPRECATED_EXPORT AMQP_EXPORT AMQP_DEPRECATED
    >                                              ^
    > /usr/include/rabbitmq-c/export.h:25:43: note: expanded from macro 'AMQP_DEPRECATED'
    > #  define AMQP_DEPRECATED __attribute__ ((__deprecated__))
    >                                           ^
    > 1 warning generated.

    (cherry picked from commit a2f7147dded679d025a902aa12beb048ee714c32)

commit 2ad5b019f6c2a2afee8f0d575f92a02d375c0b54
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 13:26:32 2024 +0200

    ims_usrloc_pcscf: fix warning deprecated-non-prototype

    > In file included from usrloc_db.c:12:
    > Warning: ./usrloc_db.h:131:5: warning: a function declaration without a prototype is deprecated in all versions of C and is treated as a zero-parameter prototype in C2x, conflicting with a subsequent definition [-Wdeprecated-non-prototype]
    > int use_location_pcscf_table();
    >     ^
    > usrloc_db.c:113:5: note: conflicting prototype is here
    > int use_location_pcscf_table(str *domain)
    >     ^
    > 1 warning generated.

    (cherry picked from commit 35a87c98f4e84b65f82376dfb57050f43d0f355f)

commit b55acf4ce764da70f7bd78e05598b681ef92775c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 13:20:18 2024 +0200

    ims_usrloc_pcscf: fix warnings deprecated-non-prototype

    > In file included from pcontact.c:46:
    > Warning: ./pcontact.h:63:5: warning: a function declaration without a prototype is deprecated in all versions of C and is treated as a zero-parameter prototype in C2x, conflicting with a subsequent definition [-Wdeprecated-non-prototype]
    > int new_pcontact(
    >     ^
    > pcontact.c:166:5: note: conflicting prototype is here
    > int new_pcontact(struct udomain *_d, str *_contact, struct pcontact_info *_ci,
    >     ^
    > 1 warning generated.

    > Warning: udomain.c:232:17: warning: passing arguments to 'new_pcontact' without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    >         if(new_pcontact(_d->name, _contact, _ci, _c) < 0) {
    >                        ^
    > 1 warning generated.

    (cherry picked from commit 7dcc8405ccec19132d27516426137e35e464d4ad)

commit 6bec8ed087c308c504da7ad217b55e1b5d81a090
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 13:10:57 2024 +0200

    cdp: fix warning deprecated-non-prototype

    > Warning: peerstatemachine.c:120:19: warning: passing arguments to 'log_peer_list' without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    >                                         log_peer_list(L_INFO);
    >                                                      ^
    > Warning: peerstatemachine.c:182:19: warning: passing arguments to 'log_peer_list' without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    >                                         log_peer_list(L_INFO);
    >                                                      ^
    > Warning: peerstatemachine.c:395:19: warning: passing arguments to 'log_peer_list' without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    >                                         log_peer_list(L_INFO);
    >                                                      ^
    > Warning: peerstatemachine.c:400:19: warning: passing arguments to 'log_peer_list' without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    >                                         log_peer_list(L_INFO);
    >                                                      ^
    > Warning: peerstatemachine.c:420:19: warning: passing arguments to 'log_peer_list' without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    >                                         log_peer_list(L_INFO);
    >                                                      ^
    > Warning: peerstatemachine.c:462:19: warning: passing arguments to 'log_peer_list' without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    >                                         log_peer_list(L_INFO);
    >                                                      ^
    > Warning: peerstatemachine.c:467:19: warning: passing arguments to 'log_peer_list' without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    >                                         log_peer_list(L_INFO);
    >                                                      ^
    > 7 warnings generated.

    (cherry picked from commit f49012d15a06b27875cf6bca211ad953968b5217)

commit fa959e8cfda491612b7a13d1a18772400ddb8b96
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 13:07:37 2024 +0200

    presence: fix warning conflicting prototype

    > Warning: presence_dmq.c:38:5: warning: a function declaration without a prototype is deprecated in all versions of C and is treated as a zero-parameter prototype in C2x, conflicting with a subsequent definition [-Wdeprecated-non-prototype]
    > int pres_dmq_send_all_presentities();
    >     ^
    > presence_dmq.c:487:5: note: conflicting prototype is here
    > int pres_dmq_send_all_presentities(dmq_node_t *dmq_node)
    >     ^
    > 1 warning generated.

    (cherry picked from commit 03e49d4e1d806f39ee6aadaedd183a6578108d96)

commit 170d35f1f14f71f69bdfa6586997def8ddbdfd11
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 13:01:03 2024 +0200

    tm: fix warning uninitialized variable

    > Warning: t_fwd.c:1919:46: warning: variable 'port' is uninitialized when used here [-Wuninitialized]
    >                                         ret = forward_request_uac(p_msg, &host, port, &dst);
    >                                                                                 ^~~~
    > t_fwd.c:1843:21: note: initialize the variable 'port' to silence this warning
    >         unsigned short port;
    >                            ^
    >                             = 0
    > 1 warning generated.

    (cherry picked from commit ce4107a6f654a4bc4462efb90f3cc5e8c73bf9ed)

commit b553882d8d87d3891f387832fe2d56223ef03624
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 8 10:59:16 2024 +0200

    core/rand: fix -Wdeprecated-non-prototype

    > Warning: core/rand/isaac/rand.c:28:6: warning: a function definition without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    > void isaac(ctx) randctx *ctx;
    >      ^
    > Warning: core/rand/isaac/rand.c:81:6: warning: a function definition without a prototype is deprecated in all versions of C and is not supported in C2x [-Wdeprecated-non-prototype]
    > void randinit(ctx, flag) randctx *ctx;

    (cherry picked from commit 9475837b209c91366e8bb40416552b02c13aaf3a)

commit 1d216f8764ebb0e8f78764e3778f34ab1cb3fa23
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 30 15:40:47 2024 +0200

    core: socket info - do not use interface index as internal array index

    - there are cases when the interface number is high, even if there are
      only a few real network interfaces, which can result in inability to
      listen on them

    (cherry picked from commit 7acfe7723b4772ca45ce31ae98bf3d0b6948f50a)

commit f3d510f6f1f59bb33ff6e3df08863f6a81d67d5d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 30 12:54:11 2024 +0200

    core: socket info - relocate check for index to get more debugging details

    (cherry picked from commit b7dcbc37aceaefecf9a0f7367526a331d42269ea)

commit 004e0e056178dfbaa1aca6e8d7364417dd115bb4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 25 10:07:44 2024 +0200

    core: print errno on tcp bind failure

    - log message with value of sr_bind_ipv6_link_local

    (cherry picked from commit 621f3132708405939d3a40fb98ae57b793cd246e)

commit 95371808084c547e01daf3ecdc7124c70dde78f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 18 19:22:53 2024 +0200

    core: reqorked check for incompatible modes of bind_ipv6_link_local

    (cherry picked from commit f7045d1c08d37e91ee7e96e415c06b218aee98fd)

commit 8331cb1f87b31f66f87a90e7fbaa2553ea3f2728
Author: Thomas <1258170+ThomasSevestre@users.noreply.github.com>
Date:   Mon Sep 2 20:27:26 2024 +0200

    topos_redis : show redis error for post mortem analysis

    (cherry picked from commit 72889e945041b6475a43c371aa4e20e99f5d1240)

commit 24651787d54746647614be111ee5cb583e3da430
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 18 09:52:32 2024 +0200

    core: use advertise port only when set for via header

    (cherry picked from commit abaf42a735b00af8cbfec90888d2ef3397e5040d)

commit 96ebad5d1a3650961ca6e3cd22d4da0dec0929a6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 16 19:37:03 2024 +0200

    app_jsdt: add support for loong64

    From: liuxiang <liuxiang@loongson.cn>
    > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1060901

    fixes #3976

    (cherry picked from commit 5746db1c5a99eaeaf7f97d520232f014548c912d)

commit 1cd3b749e699f2b83752a5b6c1b29f16084820d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 15:27:42 2024 +0200

    core: proper condition for bind_ipv6_link_local modes

    (cherry picked from commit 99710daa8b05a0a37ef3bb35e2ffd723908037f4)

commit c62a1b6efd10f5c46cf87a9ea33ee4fff2bfdabb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 12:18:54 2024 +0200

    core: use macro to check send_port_str value

    (cherry picked from commit 15d81a0151aa46a20f95fb8c6dc2665d03e741aa)

commit af0ec5445393939288c86e976eba8f530a4100b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 10:42:19 2024 +0200

    core: use advertised port for recv socket only when set

    (cherry picked from commit c09a29369f03f6c5e621a94b5b853047490568aa)

commit e3969c489b24490c667eb4680ee452f191da9577
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 16 09:15:40 2024 +0200

    core: use advertised port only when explicitely set

    - do not fallback to socket port

    (cherry picked from commit 0f423f97607416edcff8d0f1612fad7af29b6064)

commit 240b66b8d9ea9bf58e897bf9b35c4d91beb5c5ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 14 22:07:35 2024 +0200

    core: skip interfaces with index over max iface limit

    (cherry picked from commit fa17af660dc754cd46c747ec8c3216ef52fd4fcc)

commit 499be2dcbefe30be2ed616064a04bc0b6ee42b29
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Sep 13 22:07:26 2024 +0200

    ldap: remove unused variable in child_init

    fixes #3974

    > ldap_mod.c: In function âchild_initâ:
    > ldap_mod.c:156:13: warning: unused variable âretâ [-Wunused-variable]
    >   156 |         int ret = 0;

    (cherry picked from commit a078f14050b6d31bfbcd3562306923c0c4ad73e3)

commit 54c6ac01e98866905c8654a42873f023c4e1ec7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 13 08:50:35 2024 +0200

    core: check for incompatible modes for bind_ipv6_link_local

    - a few more debug messages

    (cherry picked from commit 86770d203bde6859284ec8862be66d78efd2715a)

commit 9947b5a548ff1802de70acccc1d8306d1b6ed76d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 12 16:23:02 2024 +0200

    core: socket info - set address also for link local items

    - updates to log messages

    (cherry picked from commit fd95b95035a7da088a94888132326d463191da83)

commit 4647ecd9c20a79967a8beed14262ad74dfdba661
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 12 10:34:55 2024 +0200

    core: check for items with emtpy address when discovering the network interfaces

    - it may be returned on some OSes, preventing to start

    (cherry picked from commit bd4c068ee9c8e18dc76f8154d3fa4c438972b79c)

commit 081e17b925a019c9971bf1296bc9a70d8df9d8ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 12 10:10:33 2024 +0200

    core: log message about interface flags made info

    - small updates to a couple of error messages

    (cherry picked from commit 15823c3eda3a332d22d9132a873d755aa024892f)

commit 62a76d2fe3547ef6701e8b86f195396158f15660
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 10 18:01:57 2024 +0200

    core: option to skip auto-bind on ipv6 local link

    - set bind_ipv6_link_local=2

    (cherry picked from commit 2bcd29a7a2981670baea0b7fb2e8454b5ad9f4d7)

commit 4cb602385b4bb7b9df5cff9aac60ea0fa4f02f8f
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Wed Sep 4 11:55:57 2024 +0300

    core: parser - use sip_parser_log

    Silencing messages that tend to appear when processing HEP.

    (cherry picked from commit e6a3b3554af01e5141ba063df408a06b28261927)

commit f6b6aeb9297b6782655199de9bcb82cc79de50a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 5 11:28:08 2024 +0200

    registrar: safety check for uri and remove duplicated aor extract

    - follow up of changes from previous commit

    (cherry picked from commit 60165196ad3144597c24eb9f7bb7fb0cd56f8c25)

commit 32987e68f85500e2b37134c7a542ab7cefce5384
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 5 09:01:52 2024 +0200

    core: try to lookup connection for WSS when TCPCONN_MATCH_STRICT is set

    - URIs have always transport ws, but most likely the connection is wss
    - GH #3969

    (cherry picked from commit aa794581ecf105b5313d2f5b8bcfe516ab337936)

commit 065e0514144f4e4f160ae15b515948c83711ff57
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 13:02:19 2024 +0200

    registrar: use parsed uri parameter when provided for save()

    - instead of to-uri, aor being built from uri parameter

    (cherry picked from commit 21e2d96672ccbe65eebdf64f839a1ce465a11b7c)

commit 6c88ef7c6abc45f72571aaa713f1d0dfb2d626e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 12:43:59 2024 +0200

    auth_xkey: use memcpy() instead of strncpy()

    (cherry picked from commit 29686758e1ce51abb8d8dd5bebb0d7fa1a019dc6)

commit d5f13655909632a4f6e58ebb6ea2a13655511270
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 23:24:49 2024 +0200

    registrar: when provided, use host part from uri parameter

    - instread of the To URI, which can be different

    (cherry picked from commit 1c2cb9980082a6a1a8e3986330d9b80c49ef7801)

commit 113ff4b080546a7cd7c06f1ebc1ba303e329b309
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 23 08:59:47 2024 +0200

    pkg/kamailio/deb: support Ubuntu 24.04 (Noble Numbat) [skip ci]

commit 672c3e75c4679681c1ddfb42f852682d93e42c31
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 08:54:32 2024 +0200

    tm: remove extra + used before MAXFWD_HEADER_LEN

    (cherry picked from commit 307d6db88c218ffd5dc9d6e7de6425ac4ef24748)

commit ab3530e753dece24e7b2851b0943fa23154d62ef
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Sep 13 22:08:17 2024 +0300

    pkg/kamailio: fixed python module build on RHEL based dists

    (cherry picked from commit b1c9dac2c382a98997d5771921af5aa3235876c0)

commit 98e094331d09b573985e98a54ff442166bc86594
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Aug 29 16:11:22 2024 +0800

    app_python3: bump to 3.12 for el8/el9

    (cherry picked from commit 4d87f29248d36d873784827204f272116050343d)

commit be1fe948b188ba84ec542e5622377d3772463e5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 19:36:34 2024 +0200

    nathelper: add_contact_alias() with parameters to enclose ipv6 in square brackets

    - the add_contact_alias() without parameters was doing it already
    - discovered while investigating GH #3968

    (cherry picked from commit 744e5ac9678c0c9ef07bfb0de44c7c478a2debdc)

commit 3c89405ed74152fd59365ad7dacb144092f5516a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 18:54:22 2024 +0200

    nathelper: check if alias ipv6 has already square brackets

    - GH #3968

    (cherry picked from commit 6e01172a138d395fa3f7c3f25238647934137dba)


===================== 2024-09-04 Version 5.8.3 Released =====================

===================== Changes Since Version 5.8.2 ===========================

commit 38b407b353131b74032892e6eb0269731d00145f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 09:49:06 2024 +0200

    pkg/kamailio: version set 5.8.3 for rpms and alpine

commit 6b0e0e0dd0415077371a45a63dc00b13f9611d7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 09:47:28 2024 +0200

     Makefile.defs: version set to 5.8.3

commit abedff80d532b3b9896ff46fd28e1c9a68da0702
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 4 09:46:17 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 4f891e5343ba74b4ca459285438c2a064a363a60
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 3 18:08:44 2024 +0200

    secsipid: docs update about libsecsipid installation

    (cherry picked from commit 7abbc93d8db807077ca2afc10b026be0835f4b65)

commit 60423dbe90d3603fa98e0aaf161b7bef7f8b2a23
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Aug 30 12:52:46 2024 +0200

    http_client: clang-format

    (cherry picked from commit fde8bd21dca9c8b45b314b04b21f742363f028b1)

commit 6ee9bc2f34f9b20b576510e2e81a96bbfcc5a3be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 30 11:36:29 2024 +0200

    sca: remove function name from log message

    (cherry picked from commit 4a57efa0f7ed2560420e10d0fe70037a14a12c12)

commit d86350ea9078b89677323ac86053b0f37b7d1722
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 4 09:30:26 2024 +0200

    pkg/kamailio/deb: set version to 5.8.3

commit 9e0f6acc23313f5b25300660b6a4b75aab5bd168
Author: Michel Pelletier <michel@voip.ms>
Date:   Wed Aug 28 12:49:46 2024 -0600

    app_python3: Fixes Kemi TypeError thrown when latency_limit_action is exceeded.

    Replace PyBytes_AsString(..) calls with calls to PyUnicode_AsUTF8(..) in the PY_VERSION_HEX >= 0x030B0000 block of apy_kemi.c.
    The PyBytes_AsString expects a Bytes value but receives a Unicode value instead, thus causing the TypeError exception.

    (cherry picked from commit 6cae3661419d8d79fc8fb0463f6787b06911fa9d)

commit 661b2670168530c21ee4dd23fcb29abf8b5bc3ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 28 10:51:44 2024 +0200

    usrloc: mark contacts with keepalive sent

    - properly detect if the contact record has to be expired or not

    (cherry picked from commit 6502872d35d9bd7043bf54cd1d640dd64ae87115)

commit 2dbc8b5bf3353fdd3b05f265075e6a3cac8c02d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 27 14:30:17 2024 +0200

    core: use defined type for flags inside build_req_buf_from_sip_req()

    - partial backport from 9ff1080cc6452343e6bc2de00350b2f7bcecf6d2

commit a9769ca3692f11fe36e86b29af37d94f9f0fc4c6
Author: Andrii Pogrebennyk <andrii@ng-voice.com>
Date:   Wed Aug 21 11:17:40 2024 +0200

    pua_reginfo: free pkg memory after getting the content of each XML attribute

    - free the memory from the state XML attribute that was returned and immediately
      used in another function call without freeing leaving one small mem leak;
    - add comments but keep the dead code regarding parsed but unused attrs.

    (cherry picked from commit ed6730aa64e0e7c1580584d6f808e76a665e5882)

commit 6a22677e281de00dc0088ad23d7c7a5ca6e69f84
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Aug 22 11:20:17 2024 +0200

    pua_dialoginfo: reformat exported structures more human friendly

    (cherry picked from commit 748da56717800c36c43bb6fe3739011f3d3105e0)

commit b2bfdd8eb6b40b1e70a2876cee46890813a0c699
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Aug 22 11:06:47 2024 +0200

    pua_dialoginfo: add section ID's to documentation

    (cherry picked from commit aba56a5aa3b8fa4f07d0c52cd7fd2d56103ca56c)

commit f32d67f1b4b08a8cc8dbae917e1a2d0c08adeb93
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 17 17:08:31 2024 +0200

    msilo: removed duplicatred exported function

    (cherry picked from commit b712ddc4db9a9c1bb30b236a0a86082108b23f07)

commit ee5853b4eab6553821113ff64e9eed24a5c9d6b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 17 16:30:21 2024 +0200

    msilo: added fixup free functions to exports structure

    (cherry picked from commit b6dea98ada293a3bbad004aa1b194d4bf44a60ab)

commit e9d5d37271e03cdec6cf87647e488c3b4f175258
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 14 18:37:06 2024 +0200

    phonenum: add fixup free functions to exports structure

    (cherry picked from commit 7d2fd09103680454aaaba30f5e46f83b362513eb)

commit 92e999228eb75856911386d280ab48389aeb7d3f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 13 21:01:51 2024 +0200

    phonenum: export match_cn() to kemi

    (cherry picked from commit e9dd041ce6af9ee4b9cc2e29b4417787a8056776)

commit 57b9c66cb7811c045caceb2f61047e07a108aabc
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Mon Aug 5 12:14:04 2024 +0200

    cdp: Error log caused crash

    (cherry picked from commit 4aaaca60ef2207100dd3f4e16ae63428aadc7dc5)

commit a024fb3c028b8df18a9b855fff99bcddc3a61ef2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 09:07:36 2024 +0200

    corex: switch to unsigned long long for iflag lookup

    (cherry picked from commit 072c44330297c653675b5078fb0facdc399a5ab4)

commit d102f40856512d2c51707bf5ec5a6c949c550890
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 08:55:08 2024 +0200

    corex: proper check for iflag lookup return code

    (cherry picked from commit fdb0ef987ca2b013104b06ece006f67bf8ae07d3)

commit e14522cab01eba9c5fa636a7c0f6ed40200c6871
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 30 08:44:03 2024 +0200

    corex: small formatting of iflag list

    (cherry picked from commit 70606e3ea575228b3ccc662d6f9048aa0eb899ce)

commit 2e4920fd292b6f1d064a75503dd3be3ca27fdeb5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 29 10:07:43 2024 +0200

    cplc: use long long constants for operations

    (cherry picked from commit 49a9c0a0f391c2e9fc45dff7c37a087dde0f7ba3)

commit bc8ea1022718c94fbdf9bb93c35759e1a6ce3cde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 28 18:44:45 2024 +0200

    core: tcp - use long long constants for operations

    (cherry picked from commit fc2f34e8bab022b0c99e8313aee3e4a87c1f2e52)

commit 1eb7db2f18724b91d18c6b30b529b51117d176b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 27 18:16:40 2024 +0200

    db_berkeley: buffer size set to the argument of strftime()

    (cherry picked from commit e86d6ee30227a3fc5cff98e7983d4a80f0c42c4b)

commit dfc2531cf7db70e315613b3242d1b5b41ac20857
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 19:49:57 2024 +0200

    core: cfg select - check res when getting the variable

    (cherry picked from commit 3333611a3ef9078cbcb9867db88921f0c48fce1b)

commit bbfb24d3cb841b37e6e1b84892b68daf6c237c46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 19:00:29 2024 +0200

    xprint: return on mod init error case

    (cherry picked from commit 660a019263b81d318700c205531bf4e042c912cf)

commit f8201e6d4848081a2dd564e0d5b216fca47ef3f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 25 10:58:40 2024 +0200

    janssonrpcc: free new servers list on error

    (cherry picked from commit b4efe7725728392d0c8921c006d6fbc6455e9b8f)

commit 61eb4fe44e66a952ba14e39e1c664878ef52919d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 25 08:44:15 2024 +0200

    core: cfg select - check res before initializing

    (cherry picked from commit a6c415713bb209b03ff110d4ae891173d04ac471)

commit 5baf49a179194ba0eaa5e7f4caba613c72859b0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 24 10:43:18 2024 +0200

    jsonrpcc: declare variables are the beginning of function

    (cherry picked from commit 7ba313f6f96ffa6042c163027c0c7bb65106fef7)

commit c447bf60d528d8fdc1f5aee52a796ed5f77b2f5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 24 10:37:21 2024 +0200

    jsonrpcc: free allocated pkg buffer on error

    (cherry picked from commit 796bcc038d7885e01dbad34abc68bf612062c533)

commit f57accd1820b26b40f14d420465402188cb13df1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 23 11:57:48 2024 +0200

    erlang: init xavps for safety destroy on error

    (cherry picked from commit 29510872607deb3238411b358c422d004fb307b7)

commit e016d1ada08edca0adacd42ffa67ffd3c8c2c384
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 22 11:01:16 2024 +0200

    utils: jump to error on pkg allocation failure

    (cherry picked from commit 34749ab13b31504358761c964f794b283931394c)

commit dd4d5e44a60a658772e8288d94193596f7a982a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 21 22:41:45 2024 +0200

    tls: check lenght when parsing pv alt name

    (cherry picked from commit 79a668b8bdb0e085adb3581d718e5fd5ae73e2e4)

commit 4732a4a88df9f4cbd2260564b94269157b3c0647
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 21 22:23:29 2024 +0200

    tls: remove uselss pv format parsing in pv_parse_alt_name()

    (cherry picked from commit 7c06997a1b6e77ae0642d369f532219dc35ef8e0)

commit e006c2c53d6b013253f6a95b96c0f81f016bc440
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 20 20:02:07 2024 +0200

    xprint: check to avoid double free

    (cherry picked from commit 5a1f80f266069dbc453b44a856f225c254e7c050)

commit fa8f0a401980f5dccdfe35983fb5b55040ef9e9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 19 19:59:20 2024 +0200

    topoh: 0-init alocated structures

    (cherry picked from commit dc71c0a5791ebc1306648b5ed338613050e32f5c)

commit 39d4d48abf9e3e2e1edd2f22780fb1bf233c9697
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 19 19:53:47 2024 +0200

    core: removed unnecessary destroy

    (cherry picked from commit 20f2096d314253e7e74688da664de2830289a276)

commit 445659c38bd54e26d085d8c5b07bfb8edba7762e
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Thu Jul 18 13:48:42 2024 +0300

    tcpops: fix memory leak in $tcp(conid)

    - reference counter to tcp session not decremented, so shm for session never free

    (cherry picked from commit acf50d86b502af36e3635d61745feaa5c577231d)

commit 7ca33c475b52703216f7d8d4e6c78530a8d7e723
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 12:29:05 2024 +0200

    core: remove unnecessary check after using the structure

    (cherry picked from commit 84ea36b4b79c07c4fc0a8c9e119184433353764e)

commit d69e65fa4e9448701729ac8f41b069dad294a51e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 12:17:10 2024 +0200

    core: set digit 0 in the md5 buffer in case of error inside char_msg_val()

    (cherry picked from commit 15b2a5467f11e009ae4efad1ee29af860326095f)

commit 92a3cc4549073d70b1b229149b29017e3a9cf06f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 18 12:00:47 2024 +0200

    core: init res inside select_cfg_var()

    (cherry picked from commit a471d34d6162387a1427f5d0c5b3c6079a2b0bdc)

commit b307c7eb8e58b43dca41deb3493b0888ec7e9aa4
Author: emvondo <106535097+emvondo@users.noreply.github.com>
Date:   Thu Jul 18 09:10:33 2024 +0100

    siprepo: fix int params and wrong copy data in siprepo_msg_async_pull (#3919)

    * siprepo: fix int params and wrong copy data in siprepo_msg_async_pull

    ---------

    Co-authored-by: emvondo <bycl2332@orange.com>
    (cherry picked from commit a3a63655dbcbf1bc8067f34c36f4a7295b2a1745)

commit 0ffd281b77ac48f24c04655cd962b4870ee00ba3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 13:56:30 2024 +0200

    dispatcher: remove reference to MI in comments

    (cherry picked from commit 8c3b5ab3818c86b90b02e20aa4631654e0b51745)

commit fc29c81bbc6e3fb0709e3367e2f1d803b2bf0669
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 16 08:27:42 2024 +0200

    core: remove unnecessary cleanup when locating a module

    (cherry picked from commit eda03789f693bb72ec4ee05a8b2b4723e5080504)

commit 89339b1fa6f08024a44d898ed9877f08911e4f68
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Fri Jul 12 13:30:41 2024 +0200

    nathelper: fixed handle_ruri_alias() for alias being an IPv6

    (cherry picked from commit 52ab6f3dcf5ad8d967be8bdecaa64ef31cbfbe33)

commit 743ebe918b89a42ce94b10fb9dc2fe2a807eb88b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 14 09:00:01 2024 +0200

    evrexec: remove unnecessary safety exit loop

    (cherry picked from commit d5076b557728b3f9d80df391ae71e2eab2c896dc)

commit ffa4eeded62507f15e4e9b26aa5b3ba519fa6513
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 12:05:40 2024 +0200

    pua: use long for time value diff operation

    (cherry picked from commit fc8bee5b87e95e43bda2635e65457b2025eab6f9)

commit a3f40f3c407d34b25717416b3ac500e61f9300cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 11:49:10 2024 +0200

    rls: remove unnecessary assignment

    (cherry picked from commit c97145862119e9001874cd07de9b20ad8e96ff54)

commit e11c132cbf57ea1ae6289e734f601104ba83fc25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 08:06:36 2024 +0200

    stun: check message len for response

    (cherry picked from commit 87e1a4a7f5d565a59a362f22e9372697f2f2f2af)

commit 164d1ecca7e94beba24013f31276bdc1f2ee04a1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 17:26:33 2024 +0200

    sipcapture: add missing headers for inet_ntop()

    fixes #3927

    (cherry picked from commit fe505c9654541ec60f14e5a50896bb11751e61e4)

commit 685f45c4adf911ac41c14b55ad36dd4b8b51897c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 13:40:24 2024 +0200

    dialplan: remove pcre2_free() warning

    related to #3851

    (cherry picked from commit 70563ca0629a8de5aa5427b003f441e6c3a40c6a)

commit 64a01ebec255ece59be3683bab421b35505d745d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 13:38:10 2024 +0200

    lcr: remove pcre2_free() warning

    related to #3851

    (cherry picked from commit 310b631007082f553117d126b6b9bd915be596ac)

commit 1946e35c4d144fba3067d3fee5d1bd030dc4a609
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jul 18 13:36:09 2024 +0200

    regex: remove pcre2_free() warning

    related to #3851

    (cherry picked from commit b86030cfbd66ba95f33f312595edae29e2b5cde0)

commit dbe51dc4ee53f6e4f00450745db709a9d741c481
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jul 9 10:53:07 2024 +0800

    db_mysql: fix check for enum MYSQL_OPT_SSL_CA for CentOS 7/5.5.x

    - MYSQL_OPT_SSL_CA is an enum not a macro
    - base check on MYSQL_VERSION_ID - 50568  used in CentOS 7

    Addresses #3910

    (cherry-picked from commit 92cfedaaffb034db536f3bcf68695b433db92706)

commit 3161964efba19e5e7bd730bf656d019cac2c6ed8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jul 1 09:16:18 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit ca3d4b3515024732805038509dd0d9f0b60ab273
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 27 10:07:11 2024 +0200

    cnxcc: check if final pulse is 0

    - avoid dividing with it in such case
    - GH #3859

    (cherry picked from commit 7061a79fe64066dd5a6598e38d714bd40bf2eabc)

commit f59f980d03b884f2494892eb4d007293b7ad4e34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 26 07:22:38 2024 +0200

    core: dns cache - check warnings made debug

    (cherry picked from commit 754f9ae28c9a731fc0bfd6d08411bf0913a7dbfc)

commit 4fa5fc10370d81d534d75b034322a6250c7e2557
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 24 10:22:25 2024 +0200

    core: removed duplicated break

    (cherry picked from commit 588b9c710b6555371bc8bbee21e474466bb099dd)

commit 70cf3ebd2b52c341a90c9b9b6149985667a6b96c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 22 17:52:34 2024 +0200

    textopsx: docs - note about @hf_value2 select

    (cherry picked from commit d13c741d90c3887cdf144a9094a78c0c7cb9856d)

commit 7bf787d00f9f7ed8a2d758219d6d1413b2b5c975
Author: Dragos Vingarzan <vingarzan@gmail.com>
Date:   Fri Jun 21 10:54:36 2024 +0200

    textopx/doc: fixed hard-to-read documentation for textopsx

    - was missing line-wraps in examples list, hence very hard to read

    (cherry picked from commit 48d97c1941f660aa396b5ef100584611cf92ad21)

commit 4c75991aa662bddc1bbe65c83f7861cb72a65a61
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 19 15:00:12 2024 +0200

    db_mysql: switch warn to dbg for log messages for opt_ssl_ca option

    fixes #3884

    (cherry picked from commit be5172a84b02a1ab4fc7e97e7dc0813056302bdd)

commit ec27c0207a364fd4f563707b740877ab77bfb5a5
Author: Victor Seva <vseva@sipwise.com>
Date:   Wed Jun 19 10:12:10 2024 +0200

    rabbitmq: don't try to use ssl_socket functions to a tcp_socket

    fixes #3883

    (cherry picked from commit 3a803770d4fb80347ba70dac94625b0e9aeab44d)

commit e430a7b5eac9311cde1ea6a4d6f9fddacebe7302
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jun 19 11:16:19 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 7360ab7fbe672259c7433b1a5199467d24183d79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 19 10:43:12 2024 +0200

    db_mysql: switch warn to dbg for log messages for opt_ssl_mode

    - GH #3884

    (cherry picked from commit 8f98317e92da61160a1c416e0da45938a205d358)

commit 1a6907f11b1c8455c14cd24f3a55aff7a3aa0184
Author: H.Yavari <hyavari@senasoftware.com>
Date:   Tue Jun 11 13:21:32 2024 -0700

    ims_usrloc_pcscf: Update the module document

    - Fixing the db_url param value from int to string in admin document.

    (cherry picked from commit 04e065af3d46e4b0def5ed3de6502442466f04bc)

commit 9cbe3176f5c8c298956ed2d4b83818ceb64af528
Author: H.Yavari <hyavari@senasoftware.com>
Date:   Tue Jun 11 13:05:00 2024 -0700

    ims_icscf: add missing documents for database params

    - Adding missing ims_icscf database parameters to admin documents.
    - Change the default value for ims_icscf db_url to Kamailio default db_url value.

    (cherry picked from commit 57087e42f1b1cae86132c558aa9497f4839af7e0)

commit c73ea949c046697916fd86eaf614b59075264b73
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Jun 4 10:44:34 2024 +0200

    ims_ipsec_pcscf: update security params of newly created ipsec tunnel in contact

    (cherry picked from commit bf863877f666dd8350e855bf933270b2fd8ad0fd)

commit f861301003d96fec599bef936c2e1f181b170d9f
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Jun 4 10:43:52 2024 +0200

    ims_registrar_pcscf: fix typo in comments

    (cherry picked from commit d17b97a864585782e03eedada6d226550630f7bb)

commit 2606c4e07e598ea41cb5a8814e3587bf49f94c1e
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Thu May 2 12:28:11 2024 +0300

    siptrace: add SND_F_FORCE_SOCKET flag if send_sock_name/send_sock_address config parameters are used

    - send_sock_name/send_sock_address is ineffective for tcp based transports if SND_F_FORCE_SOCKET flag is not set

    (cherry picked from commit 1b97a0271b27794263b3eff61f4acfa81e66069f)

commit be76a51422df3294c533accae1b6a621ee9d3a7d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 12 10:13:56 2024 +0200

    tls: remove confusing error message when trying to print socket for <default> server

    > CRITICAL: <core> [core/ip_addr.c:232]: ip_addr2sbuf(): unknown address family 0
    > NOTICE: tls [tls_domain.c:1176]: ksr_tls_fix_domain(): registered server_name callback handler for socket [:0], server_name='<default>' ...

    (cherry picked from commit 87c8290ab934fd27f8baebabaf66d1fb4168ba72)

commit bdb3f32991f756b852d4bc695dc44e634e5ffc6c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 13 18:21:47 2024 +0200

    pkg/kamailio/deb: refresh fix for tls_wolfssl

commit 65873cd2cdd390ce10ec99888fb35b0095a90c65
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 13 17:01:36 2024 +0200

    pkg/kamailio/deb: fix tls_wolfssl packaging

    * packages can't have '_' in name
    * distinguish grp module and deb module name
      '_' => '-' so tls_wolfssl => tls-wolfssl

    (cherry picked from commit 1d82805ef084d90e5ea14e4894f3e5076e29e2f3)

commit 8a027b99cf8dc4f7e889aa7644f1f7699c7cb08e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 16:21:34 2024 +0200

    core: tcp - change log levels for failing to set source for tcp connections

    - it is not possible always and it can fill the logs

    (cherry picked from commit 15403a543d83e337ee578ad37dc1d84316e4cf16)


===================== 2024-06-12 Version 5.8.2 Released =====================

===================== Changes Since Version 5.8.1 ===========================

commit 5a090532b2e702ae758b384b54550fed5ddddfdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 10:02:55 2024 +0200

    Makefile.defs: version set to 5.8.2

commit 2ce09cbd669753266bba8659073320af6f53664b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 09:40:58 2024 +0200

    pkg: deb specs updated for v5.8.2

commit f3daac3024c6a623fa9021d92f77daf2cf866c8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 08:57:25 2024 +0200

    pkg/kamailio: version set 5.8.2 for rpms and alpine

commit 955c6e02ed0e31a4c7f148518bf44edb12c37a07
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Jun 8 20:31:20 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 8ef8db05dbc3a4cf5246354ce31dff18180a8e12
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri Jun 7 14:00:43 2024 +0000

    pua_dialoginfo: Fix ruri length

    (cherry picked from commit 2c7c2d215ec9277fa706053579a38f058f15ae85)

commit ed0cdf3a3c85a8d05aacec8917fe35a24dcdd62e
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Jun 7 13:24:17 2024 +0200

    ims_ipsec_pcscf: Fix typo

    (cherry picked from commit 16e1b38fcc1593ad09eb03d86cd056ab8ff7f7f7)

commit 5571ea0ff8877a8a19b3fb76030af19b59f141db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 4 16:29:50 2024 +0200

    dmq_usrloc: reformat exported structures

    (cherry picked from commit e94812149c6f2867a5b23f1218a9af139590bf51)

commit e8dc8506dbc4d8964e02c3be175d7f18f5fe69a4
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Jun 4 09:37:01 2024 +0000

    nathelper: remove magic constant

    (cherry picked from commit 3d187336f22e30800acefd28e4d0f98e0f677a49)

commit eb4ec6f9305e334d9749e1fd56ad195c383cef77
Author: codenot <codenot@msn.com>
Date:   Wed May 29 10:10:28 2024 +0800

    nathelper: fixed handle_ruri_alias_mode(1) cannot proper handle multi alias

    (cherry picked from commit 8e0b2e4b6450fa50bd573fa013dc888aaaccd2bf)

commit 5999529be9ac2187dad465518bea3dee1b06d0f7
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri May 24 08:03:49 2024 +0000

    core/resolve: Check dns_cache_init and choose appropriate functions

    (cherry picked from commit 06d583e356351ae9d8a559c9f5de3e57fb128a38)

commit eb4a8e326b10d0c3e922cc524d8f46d2ba7e6eff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 2 21:28:19 2024 +0200

    iims_registrar_scscf: include header for common c functions

    - GH #3855

    (cherry picked from commit b508ef253cf996a5efd8bf13ded0c804f3557ada)

commit 54f9adb03ebbacf35eb0785dc46b55ce5dd00deb
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Mon Jun 3 08:48:40 2024 +0200

    geoip2: Reload database before accessing it

    Re-add reloading of database.

    GH #3861

    Fixes: 293193c55c ("geoip2: clang format module file")
    (cherry picked from commit 51dcab019a42e5b1f3b81247ca71ffcaf46180de)

commit c27094b8288b7a949fbfc766eb9223c0085340ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 2 04:58:23 2024 +0200

    geoip2: clang format module file

    (cherry picked from commit 293193c55caaf5d0c39dc456babe92f574b58b3b)

commit 45f2e2670a3eac768b97b58eeec228b06273050a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 2 04:51:33 2024 +0200

    geoip2: keep global structure per process

    - parsing db file allocates private memory
    - reworked reload to rely on a global counter
    - GH #3861

    (cherry picked from commit baccbe0298f9fa46db285505bc4386f997de5a47)

commit ae3be6af4ea8d50c29fe8e523c9548217956849a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 1 07:50:45 2024 +0200

    geoip2: rename global lock variable

    (cherry picked from commit 4bd619d3517f129362de3ce50eed2620d5002b42)

commit 2cc901e8be63791432a49f87d434eeb009e48d28
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jun 1 07:39:54 2024 +0200

    geoip2: do not close global MMDB_s on destroy

    - GH #3861

    (cherry picked from commit e066613cac308d1129baebc47d7c245b36eba4b0)

commit 614b5601170578c2d0eb79e7e5c64e68d80d885b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 31 19:23:41 2024 +0200

    geoip2: init MMDB_s global pointer and check on destroy

    (cherry picked from commit 8ba4ee4e00798ca015adc48542d0e4de8ed9daad)

commit 5c9c13080be2b15252492dca388777d06915045c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 30 16:24:03 2024 +0200

    regex: fix pcre2 migration

    instead of reserving an array in pkg_mem and later
    copy the pointers to shm_mem just use shm_mem in
    the first place.

    fixes #3812

    (cherry picked from commit d89333748662c0e7c72e3579d41fd14ef05c0fee)

commit ebc8acef7617a69dcc06b163c47e88a99d835f9e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 29 10:18:44 2024 +0200

    siputils: free head of params list for get_uri_param()

    - GH #3857

    (cherry picked from commit 8363208fff7c101a2779ff64783e5b7dbf8ffd7c)

commit 833b93563f43fa95e4bfdd175b144670b66a11cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 29 10:15:21 2024 +0200

    siputils: free head of params list for get_uri_param()

    - GH #3857

    (cherry picked from commit d72a3fbc903da02ae3b26f3aae2ea228c9f8b255)

commit f4eea76a15b220b15337b60a77f7978b0694b0fd
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Tue May 28 14:17:58 2024 +0200

    rtpengine: Fix extra process in pkg.stats

    When DTMF events socket is not configured, pkg.stats RPC method returns
    an empty entry.
    {
            entry: 13
            pid: 0
            rank: -128
            used: 0
            free: 0
            real_used: 0
            total_size: 67108864
            total_frags: 0
            desc:
    }

    Fixes: 26f6e57c8f ("Register a new worker process for dtmf event listener")
    (cherry picked from commit e67f6048f4883d446df2d88fe7a7d7f2ff6daf8c)

commit 7087ce6aa496de9b6015e5054d8fd70bf2e055b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 28 11:45:37 2024 +0200

    htable: error on not finding htable in pv get

    (cherry picked from commit 24b27214231166366cceb88fcb3724298cc53b32)

commit 9a7e3e54f1c52ee69c68b1165de115894c2afc55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 27 09:11:48 2024 +0200

    htable: error on not finding htable in pv set

    (cherry picked from commit 82cfea317fd8d02a6c94347bc1be18c8a06e580f)

commit deb11ee814e1591698d120a113630aa7a9791ad7
Author: Rick Barenthin <rick@ng-voice.com>
Date:   Thu Apr 25 19:16:58 2024 +0200

    usrloc: delete location_attrs in db_only mode on delete_urecord

    When calling delete_urecord in DB_ONLY mode the location_attrs are not deleted.
    This fix makes sure to delete location_attrs when calling db_delete_urecord is called.

    (cherry picked from commit 6b8f6d3b5d563d91234b8d4b7e155b7e74b9d313)

commit d53843c75da9115a9c3cb6b1b909fd3827b6c437
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 11 17:45:08 2024 +0300

    db_mysql: fixed build on CentOS 7

    (cherry picked from commit 767b3faee3af450d6482b919c81431ea6d707807)

commit 5c4f687d0ed06d6c7a5696917982b1cf03f9c8bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 10 12:45:25 2024 +0200

    sipcapture: use local static buffers for ip address and port

    - GH #3835

    (cherry picked from commit d1f377ff23f491bfd5162cb7bf510759440dd8e5)

commit f9bd2c5a4341913ac3e887e0324a19d5cd071a12
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 9 08:17:15 2024 +0200

    tcpops: reformat exported structures

    (cherry picked from commit 9b087fd618ab6c5cbd6a29c352b09c7198f1b594)

commit c8e4fe87985a413dfe6871463c31375750d3a6f2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 30 14:59:05 2024 +0200

    dialplan: don't call free on empty pcre pointer

    fixes #3851

    (cherry picked from commit 630a6f2c11c10c4f3be3570553d86486942d60fe)

commit c1c8c066b29798189a50dd9b4f27c5af574d991d
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 29 13:37:24 2024 +0000

    db_cluster: Update log levels

    (cherry picked from commit 467dbf3e1be16d5a760178d0801834ac67bad888)

commit 3a34b468ad93904c507bd0fc7ef592b25321807f
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon May 20 11:41:42 2024 +0300

    tm: add mandatory Max-Forwards header to local AC

commit ba7a4901268493f5432d5efd59d6dbd7b422742f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 8 06:58:13 2024 +0200

    etc/kamailio.cfg: remove executable flag

commit 191aec6ef644024741c23776c35fc712aa82a6b5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 7 21:16:19 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 29ef69b8807023e082d7c9880c63bee11d4f3b30
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue May 7 16:14:46 2024 +0000

    sipcapture: fix default DB URL docs

    (cherry picked from commit aeeeb0c2f46c2575639dd725bef78fac64219a07)

commit c3f424bd6c0f8b9a2557cd58a3e3f5ac586d8c99
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 7 19:46:19 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 383a81bb9d81e06ab9da99cdaa3def3b63028040
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 19:32:39 2024 +0200

    tcpops: note about execution of event routes by TCP main process

    (cherry picked from commit be9af338e3afdab1045cdd7c30a72a9ecddcb680)

commit 1ee553a6f406af5eb4838a8c46a992c4099dd30b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 7 17:31:19 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit b5eb4f5ca037239f2ec1d99a16a71af0383f737e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 16:55:24 2024 +0200

    ctl: info log on ECONNRESET (connection reset by peer)

    - not a type of error that can be controlled by kamailio

    (cherry picked from commit 446c75e0e2194b6e42d768d2e3c79b5f0222905f)

commit 24e43d27544bdfa1acfce7ebb8b6e3ba7841fc13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 16:49:49 2024 +0200

    ctl: removed level and function names from log messages

    (cherry picked from commit 65bafaffd6bcfebc508b774cfbb78120e68bb3f0)

commit 11f0cfec4d2fc6043d282cdb2258520559f0fcd1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 4 20:18:18 2024 +0200

    core: parse/contact: jump to error on too many contacts

    (cherry picked from commit f69b22d44cb5abc803c2b58790dd33f2310c1c59)

commit d75dba611808322356fc8d1ebc9f8c30b4124a15
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 14:57:47 2024 +0200

    core: parser/contact - basic validation tests for contact uri

    (cherry picked from commit fc52a54370c085d6fa951da876eee99580677922)

commit 5b97d29f1bbac2656eba506c7fd94b412dfb9b7f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 3 14:36:29 2024 +0200

    core: parser/contact - add limit for max number of contacts

    - defined to 256

    (cherry picked from commit d6b0beb5a219ae57a62e9e7201a6ec1fe66e5a96)

commit 244319c67a191cf1f093b2220fa1a8579179d734
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 2 09:27:41 2024 +0200

    pua: check if local requests are dropped and free the param

    (cherry picked from commit 53e1a29c265df1489c9bd91deddc0719f8ca2092)

commit 46c8e1a5b0e11162eee2c0b201bb535529397a0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 07:00:58 2024 +0200

    uac: check if local requests are dropped and free the param

    (cherry picked from commit 00aac8d48370fac356eecff535835d918c631cc5)

commit 965a02ba4aca9283e4f43f8153ebeb81721835f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 06:20:43 2024 +0200

    presence: check if the local notify was dropped in event route

    - free tm cb parameter on drop
    - related to GH #3403

    (cherry picked from commit d12fc31056cb37aac347ec05f9ada7bafa5f52de)

commit e54b03fc41bc55486430b09d9a4839bcd52278fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 06:08:28 2024 +0200

    pv_headers: print also the new TMCB_LOCAL_REQUEST_DROP in debug function

    (cherry picked from commit 68624c2da093ab789d4e8d35df65ef1bce024bca)

commit a86d7d2bad119fc4cccf5c19719b4457ab066a04
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 06:07:26 2024 +0200

    tm: cb_flags made unsigned for uac_req

    (cherry picked from commit ebd1c6c75a1b832ce85d576aad134b99d47b5738)

commit f9ca6854d88e4fcc161e1083a953f47142fca90d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 05:57:46 2024 +0200

    tm: cb flag to mark local uac on request drop

    (cherry picked from commit f5da773c5fa29edbf9d0e65a83a62f495928ddec)

commit fc54fdcd67e244ad075c54b5f24bb6442998b4cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 1 05:28:18 2024 +0200

    tm: free new buffer on drop for local requests

    - GH #3403

    (cherry picked from commit ee06666c43d96029315dae7618e10d381265a85a)

commit 3aac0c7379577480fb09902bfb31b9aed49e7f88
Author: Jannik <40364587+volkland@users.noreply.github.com>
Date:   Tue Apr 30 12:28:20 2024 +0200

    sipcapture: docs - fix default value for parameter

    (cherry picked from commit 265c948286f2df5136179c95fbb1d7f1255e4c71)

commit 4e98a4ae06ec0bbff408af211680c97e1f41ca11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 30 10:19:35 2024 +0200

    ims_ipsec_pcscf: cascade on options to get the uri for fill_contact()

    (cherry picked from commit 60d2ab6464657abf38136a771c297c6f5536e27a)

commit 4b3620d0f0d7d636bf1d9e4c2b19bf50b8ac9da0
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Mon Mar 4 17:33:50 2024 +0100

    ims_registrar_scscf: free_uint_fixup: fix memleak/freeing the wrong parameter

    The free_uint_fixup() freed the wrong parameter in the past.

    (cherry picked from commit c3e6c1edc7531406208efe2965243e6e81506127)

commit 569662043b656063be97d0ea0e22dd8f6082320e
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Mon Mar 4 17:32:00 2024 +0100

    ims_registrar_scscf: fix typo in function name uint_fixup

    (cherry picked from commit 6f908f05d4691abcb1b3a745048d3cc2a9996676)

commit 8bb9f0601eb94597f3bfab4ede97971de83cc1e7
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Mon Mar 4 17:21:25 2024 +0100

    ims_registrar_scscf: refactor save_fixup4

    Rename function to match argument number.
    Use assign_save_fixup3_async instead of the code copy

    (cherry picked from commit 82a6d7ea6edbaca60879a38c5e74e40920e89342)

commit 4aa0920b2e573661959d5c9149ee04177cae8264
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Fri Mar 1 17:38:21 2024 +0100

    ims_registrar_scscf: fix uninitialized arguments in save()

    The script "save" command can be used with different arguments:
    2, 3 and 4.
    But internally for all save() calls the exact same function is use, w_save().
    When calling save("PRE_REG_SAR_REPLY","location"); as given by the examples,
    kamailio will call w_save().
    Because the command code will cast the function pointer, the w_save() function
    is called with 2 uninitialized arguments *mode, *c_flags.
    mode is unused, seems a legacy argument. c_flags is referenced resulting in a crash
    if not null.

    Use separate wrapper functions to handle different argument number.

    Fixes: a627c9a04a74 ("ims_registrar_scscf: Extend save() with optional flag")
    (cherry picked from commit 20a75004d53a06da0f22b11804a4d83496ad8919)

commit 00f51e28875c209cbf25a47c96e60c9f73add952
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 29 10:08:29 2024 +0200

    ims_ipsec_pcscf: handle tls for replies

    (cherry picked from commit 48dab490965fa7f2f7200d95edd7dbb1407b2536)

commit 9493dc0c895d1dde50239c903fd976c8c6e0325f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 29 06:49:47 2024 +0200

    ims_ipsec_pcscf: updated comments for ipsec_forward() flags

    (cherry picked from commit f7f93828993b5975dfe5f26ad63ba6c489aa69f7)

commit 7e202ec38593462559e81db7b0f97e46567f379d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 29 06:46:56 2024 +0200

    ims_ipsec_pcscf: docs updated for ipsec_forward() flags

    (cherry picked from commit 575b17d23cd5fa060f775bc56b42c735048bc849)

commit 1387c32dfa601496c38f9c10d554c490c867d4d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 29 06:32:07 2024 +0200

    ims_ipsec_pcscf: decouple IPSEC_FORWARD_USEVIA and IPSEC_TCPPORT_UEC for requests

    - both flags should be avaible for use at the same time in
      ipsec_forward()
    - for request IPSEC_FORWARD_USEVIA gets the protocol from the next hop
      address

    (cherry picked from commit ab261540d656ed456bac8876f77f940457a9baf6)

commit 8af0605ade36566597ff691a2adc1e524081a6fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 28 23:28:38 2024 +0200

    ims_registrar_scscf: init variable to fix analyzer warning

    (cherry picked from commit 8558947034f16b162c15eda39d18f5f5df4ef562)

commit 89343b6031f186c59ecd6707109bd0269762075f
Author: Ostap <ostap_mal@hotmail.com>
Date:   Mon Apr 29 00:15:28 2024 +0300

    modules/statsd: ensure statsd failures do not stop execution (#3819)

    * modules/statsd: avoid stopping flow when sending statsd metric fails

    Currently statsd functions return bool: `true` or `false` depending when
    the function succeeds or fails respectively.

    This value gets implicitly converted to `int`: `true` -> `1`, `false` ->
    `0`.

    For Kamailio `1` means succesfull execution, but `0` means to stop
    processing messages, which is not what we want as statsd should not impact
    flow execution. Instead we want to return `-1` which signifies error,
    but the flow continues.

    * modules/statsd: do not fail module initilization when statsd init fails

    statsd_init executes `statsd_connect` which tries to connect to statd
    server.

    If connection fails then kamailio fails to start.
    This is not the desired behaviour as:
    1. Kamailio should continue working even if statsd server is down,
       metrics should not impact runtime.
    2. `statsd_connect` is also re-executed each time we try to send the metric https://github.com/salemove/kamailio/blame/master/src/modules/statsd/lib_statsd.c#L76,
    so it's initial result is not essential.

    Note, that before 5.8 the result of init was already ignored due to
    implicit conversion of `false` to `0`
    until after
    https://github.com/kamailio/kamailio/commit/0186246fce8f0e4bb46b30c05174983cd957a3ba
    was introduced (which could be considered a breaking change even if it
    seemingly fixes a bug in conversion).

    (cherry picked from commit 5e66ba23851f115bcb88d7e3f71f78ab33fc1e30)

commit 620aa3f2a0faf3a4d54908bac0aa3ffcd8376ab5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 26 14:35:22 2024 +0200

    ims_usrloc_scscf: enclose examples in dotted lines for better visibility

    (cherry picked from commit 8506a6fe781e6e0b0b1418f4087db50480db6b57)

commit 1dd7c4038eb9a0c7eec506994a58a56d04e6cee5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 26 14:24:16 2024 +0200

    ims_usrloc_scscf: reformat exported structures

    (cherry picked from commit 15d859e1e96552fca2708cf56047021beae29711)

commit b2352bc1c6f3eff3aba85a087107f4ca29cedc22
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Apr 26 05:54:27 2024 +0000

    uid_auth_db: spelling fix in documentation

    (cherry picked from commit 9f28450312749dfbc021a8cbc23472c8a39d3fef)

commit 0bf03aa1987b9cff2fc0d776605620e26c163609
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Apr 26 05:53:30 2024 +0000

    core: spelling fix in comment and log message

    (cherry picked from commit db176a4918c0b500f5f051cad16fd8d442450ab7)

commit cafe437dcb637b0e571a2d2ffd04d911584404d9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Apr 29 09:24:16 2024 +0200

    tls: clear thread-local variables up to tls_pthreads_key_mark

    - other libraries may set thread-locals via pthread_setspecific
    - assume that tls_pthreads_key_mark demarcates libssl's values
    - only clean thread-local values up to tls_pthreads_key_mark

    Currently only used by app_python[s]

    (cherry picked from commit fe6f4fcde2fa06a3c00479cef169c27dc32ae490)

commit 03ff5051b640d2478dd68ea89ad74d516752ab0f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Apr 25 14:01:16 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e76d755de6482e51c9ddac5bba3834cb58ad79b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 25 13:49:58 2024 +0200

    tcpops: removed unused variable introduced recently

    (cherry picked from commit fe8f052c29528b656062927626f9784b32b7c8f6)

commit 3ff024fd0057d3a9d045d3f20df5d1d7f7c9c7aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 21:34:28 2024 +0200

    regex: reformat exported structures

    (cherry picked from commit 0ebfddd20b43396d602b4c68a88f7c2bc58ed211)

commit c8f685359c411ac43000dd77cbc2e4f95b6cb3f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 12:08:30 2024 +0200

    regex: allocate pcres array

    - GH #3812

    (cherry picked from commit 2cc62133db4f6875f55e73e044f37dafbb2274c2)

commit eaacc171adbcd84fb2b95b4c182cd1e954624e2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:49:23 2024 +0200

    regex: init globals for safer shutdown on failure

    (cherry picked from commit 84517c14ca38a8371c67b858077a42019c2217a8)

commit 794c2edeaffe059bf8de6ab1d3df5db003ed4cb0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:19:30 2024 +0200

    core: fmsg - parse loopback ip when initializing faked msg structure

    - GH #3817

    (cherry picked from commit 66b3c04a9653425b1602c82dd2456a7eb7cf59d1)

commit 7e987d8937349246f2abfa041679f568344ff402
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:42:02 2024 +0200

    pv: use global tcp connection callback for event route on $conid

    (cherry picked from commit f5c05a68ae72881ab0691bb8488112356fc67c79)

commit 069de99576b5f8bff002176331ed2f545afe8158
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:36:35 2024 +0200

    core: tcp - set a global shortcut to tcp connection for event route

    (cherry picked from commit d114d11724dc4157e7e5809504531d26da6bcc57)

commit c9fe59d6cd73179aa75e21b3b215bc0465b182aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:21:20 2024 +0200

    tcpops: reworked some debug messages

    (cherry picked from commit 27e3b7f3f82957c6dc80f2ff89c40bdd87cecb81)

commit db2e96ec2aacde1bd50b65ea6357388bad39e86f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 10:19:29 2024 +0200

    core: tcp - keep connection id on event route cb structure

    (cherry picked from commit 11e7d71e5c2ee9428298658ed3b9a0f625d40f00)

commit 28bbcd5a50f45b8217125481706180a76323dc44
Author: Rick Barenthin <rick@ng-voice.com>
Date:   Wed Apr 17 13:02:02 2024 +0200

    usrloc: check on db delete the return value of memchr

    When inserting into the database the AOR is split at the @ sign and
    if there is no @ sign in the AOR only the domain part is filled and the
    user part is left empty.

    But for deleting this is not done and the query failed to be executed
    and the AOR is not deleted. This PR add this behaviour of only comparing against the
    domain part if the AOR doesn't contain a @ sign.

    (cherry picked from commit 49276a1f43b1a3bf4a8d681888df964000360c79)

commit 3052565e3ce14d5d3c45d790877a562185085548
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Apr 10 11:14:45 2024 +0000

    tcp_main: Match wss protocol

    (cherry picked from commit 175d755c40bc50b78b2cf4f18ad22429289af90d)

commit 7d103cf3887401fca32d95f7ea7ee10f28e9e127
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Apr 10 11:13:32 2024 +0000

    core/forward: Match protocol when forwarding

    (cherry picked from commit d81e5113884b933251499630d112ec5b1150b8a4)

commit a19e6e0e49d9881ab990d23ad31a95773fe1a00b
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 8 09:42:49 2024 +0000

    tcp_main: Update comment docs

    (cherry picked from commit 0a28a93c6e060081267dc686e342d45ef03358e7)

commit 0c070443b585c597d2d6249ac6ac32490d9c7f48
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Apr 8 09:29:57 2024 +0000

    tcp_main: Add proto argument to tcpconn_exists function

    (cherry picked from commit 6779efd430178adff0ae438d178e38c003e4e05c)

commit 2661594bf7f31558e6ac7524f33ebb358aefce21
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri Apr 5 13:23:56 2024 +0000

    tcp_main: Add protocol argument for searching tcp/tls connections

    (cherry picked from commit 4a40b16d4f9bef9bc75d3272c83878e6348aa0b8)

commit d2cf78f5c70977639f3b7f66b852350b764e4b13
Author: vijay kumar <vijay.kumar@exotel.in>
Date:   Sat Apr 13 01:26:13 2024 +0530

    rtpengine: fix pkg mem leak in send_rtpp_command()
    - freed request.s after sending request to websocket

    (cherry picked from commit b4753ae4216b0c960ac094f4be8232fb4d0147b0)

commit 595d3f472179402dce7a51672c2dbfbcf3b54bd5
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Apr 11 10:47:11 2024 +0000

    corex: Fix unknown af in list_sockets

    (cherry picked from commit 8bc64a9e6820243336387d9cd9acf81f24d89993)

commit 800ed174b9402d1b253b2cb4ab04b5fb7030dc8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 5 21:41:21 2024 +0200

    ims_ipsec_pcscf: log error message made info

    (cherry picked from commit 92d3573b500374d100639484e5a84cb640dc6b1d)

commit 8d312ded02559b325cdd691bde61c54148b077a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 5 16:19:42 2024 +0200

    siputils: tel2sip2() - memset to 0 pkg allocs and recompute len of new uri

    (cherry picked from commit d1118064d04bb77c818540e68edf1766db1d560a)

commit 7295607e680ad1dd5290b15dab7fed77c65bfb88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 5 07:54:12 2024 +0200

    core: parser/sdp - rename parameter to suggest better its role

    (cherry picked from commit b03ec73589c12e566b11ce2c653401daa915c805)

commit 855c76780c4399d6d9881ce3c525a7df56e111c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 4 13:40:13 2024 +0200

    sdpops: reformat the codecs map

    (cherry picked from commit 359a442e14a156b0bcf60dc5b2580cbc57924e34)

commit f337f13cdbc7e8805c0130dbae3befaf4b684c7c
Author: Jannik Volkland <volkland@sipgate.de>
Date:   Thu Apr 4 11:06:10 2024 +0200

    ndb_redis: docs - refine docs regarding client certificates [skip ci]

    The created ssl context does not use client certificates [1,2] which is against the default in current Redis configurations [3]. The used Redis server therefore needs to be configured to not use tls-auth-clients [3].

    There is also a small typo in "ac_path" which was fixed to "ca_path".

    [1]: https://github.com/kamailio/kamailio/blob/8047c958b42ea5af2e8f9ede0152f892ac0eea3a/src/modules/db_redis/redis_connection.c#L168
    [2]: https://github.com/kamailio/kamailio/blob/8047c958b42ea5af2e8f9ede0152f892ac0eea3a/src/modules/db_redis/redis_connection.c#L212
    [3]: https://redis.io/docs/management/security/encryption/#client-certificate-authentication

    (cherry picked from commit 6faa180661e799187eff3a498f8b13e96719fa92)

commit bb48da13adfe36716c3d958ed1d9c410424f4d19
Author: Jannik Volkland <volkland@sipgate.de>
Date:   Thu Apr 4 11:03:32 2024 +0200

    db_redis: docs - refine docs regarding client certificates [skip ci]

    The created ssl context does not use client certificates [1,2] which is against the default in current Redis configurations [3]. The used Redis server therefore needs to be configured to not use tls-auth-clients [3].

    There is also a small typo in "ac_path" which was fixed to "ca_path".

    [1]: https://github.com/kamailio/kamailio/blob/8047c958b42ea5af2e8f9ede0152f892ac0eea3a/src/modules/db_redis/redis_connection.c#L168
    [2]: https://github.com/kamailio/kamailio/blob/8047c958b42ea5af2e8f9ede0152f892ac0eea3a/src/modules/db_redis/redis_connection.c#L212
    [3]: https://redis.io/docs/management/security/encryption/#client-certificate-authentication

    (cherry picked from commit 40a50243f0bae782b7acd97cf0a9b1138185068b)

commit 215af59832efc6e485563b55e3af9d209121d0c5
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Mon Apr 8 11:35:38 2024 +0300

    pdb server: allow carrier id 0

    (cherry-picked from commit 60ded00a3b574a08457a696334d11d668595cc0b)


===================== 2024-04-03 Version 5.8.1 Released =====================

===================== Changes Since Version 5.8.0 ===========================

commit e8aa98718d91d0e5af7d757176a180e0f2940417
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 12:23:42 2024 +0200

    Makefile.defs: version set to 5.8.1

commit 69f667fe9b95d09a642cb7edd7f16ce09bbac3f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 12:18:47 2024 +0200

    core: msg translator - duplicate reply via xavp params and handle errors

    (cherry picked from commit 5f83d4f9c447f5a7e3de8336dc0e076b10e43833)

commit 1caec71aeddb7f65afb93bf05cb9e0aae2a2c0cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 12:16:18 2024 +0200

    core: xavp - added missing closing parenthesis in log messages

    (cherry picked from commit 3b09fd343575c56d9658a61efebd4851662de338)

commit 4708758f1c428cc94d1abdf9bb706c7c509efebe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 08:22:44 2024 +0200

    pkg: deb specs updated for v5.8.1

commit 3b00630c8a20cc0f2b2f458742d885ea7e28e05f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 3 08:20:49 2024 +0200

    pkg/kamailio: version set 5.8.1 for rpms and alpine

commit 4e4e935c45ccf32dab9bf5af693a0f52f54684ae
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Apr 1 08:31:34 2024 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e394a05152b29d4009c9cb963bced72526c7651b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 28 08:30:17 2024 +0100

    blst: reformat exported structures

    (cherry picked from commit e39557c96d2f419184c826d779f1a3309acc4269)

commit c0c8ee05ab25256b9154d2056ee04b07f3f2290a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 27 08:19:03 2024 +0100

    smsops: short reference section about variables

    (cherry picked from commit 9a94930ae1168d5df79e3dc1414841cdf23a2eba)

commit b21a7aaa467f2b76a52308557657c65274e34087
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 26 19:17:23 2024 +0100

    smsops: reformat module exports structures

    (cherry picked from commit 9848d43cb367d6901a0b8c727759feb8a8fad930)

commit 3f3c1940788a4713705169f8d96ae9a13ee2bad1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 25 23:25:19 2024 +0100

    db_mysql: right position for define KSR_MYSQL_OPT_RECONNECT

    - follow up of previous commit

    (cherry picked from commit 14dc277e29a170b9ac51e7dda07fa25cbd9be048)

commit 557d7e83c01c930df608b9d96791553d8f2bf724
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 25 23:07:55 2024 +0100

    db_mysql: MYSQL_OPT_RECONNECT is deprecated by MySQL 8.0.34

    - https://dev.mysql.com/doc/c-api/8.0/en/c-api-auto-reconnect.html
    - MariaDB seems to still have it

    (cherry picked from commit da3d6e9a74b63fdb7b1c4063d6be017f1ce42bea)

commit c9edb30ffa0c9544a10d0e72aabe84a1b3b2a103
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 23 21:38:00 2024 +0100

    keepalive: reformat module exports structures

    (cherry picked from commit dd221a6e5162838b979fd38ffdfb750663aef869)

commit 3f44cabcfc0abc83ae1971ac74fbb0bd36829ce4
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Mar 23 09:58:46 2024 +0100

    corex: fix conditions for dns_cache modparam srv attributes

    (cherry picked from commit 8114b2016d032484edafe4edd04fb02d52cfd058)

commit dbf9208f3a402844c9981fb7ed09493a1338dfdd
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Mar 23 09:51:47 2024 +0100

    core: resolve/create_srv_pref_list() - insert at correct position in list

    (cherry picked from commit f35cf8904119dcf582ea2451648de5fef095466b)

commit 0e00ae1db0242fc01e6f8c332e3920fd9465b3f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 22 10:25:48 2024 +0100

    core: socket info - parse advertise ip part to get address family

    (cherry picked from commit 5f901c3557f9f875545d82a7ab00f6d0c5c1fe52)

commit c48fbea981c7b0bd281cd1fc2abedcda41d92c13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 20 13:40:28 2024 +0100

    gcrypt: docs - module name used for section ids

    (cherry picked from commit 68c69966c38b56775a3966d07c33ff94c2a8ba95)

commit 613e2cdfc3ae9242d259bf8b67b6ed715c0c0ad8
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Mar 27 15:48:50 2024 +0000

    file_out: FIx âforâ loop initial declarations error

    (cherry picked from commit ae04ccac92225a1e7b573a28ded555789e8604cd)

commit f4d44a9201a79acf0620a005008f2594ff8d26ee
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Wed Mar 27 15:48:25 2024 +0000

    tls: Fix âforâ loop initial declarations error

    (cherry picked from commit 9f2abc69e27c4b3246628138ec81fced81d7bc7a)

commit 3fac5afc42a606391d6a7c0337ef5e4e136d6b80
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Fri Mar 22 10:24:05 2024 +0000

    file_out: Cast to correct type of str

    (cherry picked from commit 4ada818099b5b7cb7deff1b1ce93b5aacaa1b84e)

commit 028ba8f9d6bc40dcd47e6a0e5b40e5b3e2ea7b17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 11:42:45 2024 +0100

    file_out: additional checks for silenting warnings

    (cherry picked from commit 19894425684504e2a19622ae5a9cdfc565f16fd3)

commit 814f5bdc9ee5d4594ffb0fd72843bca7b5fa79ea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Mar 23 00:00:44 2024 +0100

    dmq: fix inter-lock on error

    triggered by intermittent DNS resolution error. dmq workers
    were getting locked at dmq_notification_callback_f() due to
    this missing lock_release()

    (cherry picked from commit 0d240e4e0dc3184ef37d338ba6872d295d6b16f2)

commit 7bcef8ef487a713f5b6c6fadb7a3166ed41fb136
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 20 13:31:25 2024 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 60fd6c2622c9c5edbe82908c0e461d646225c8a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 17:39:19 2024 +0100

    ndb_redis: break on finding a server via sentinel inside redisc_reconnect_server()

    (cherry picked from commit 951ab118bb7d9955f8e69b66bec1f0c107d474a2)

commit 86df978bc9842687035d6673ee1b71e542dcbd71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 14:29:11 2024 +0100

    ndb_redis: fix index on parsing sentinel address inside redisc_reconnect_server()

    (cherry picked from commit c8f3b496a05ae5bf29341dc7e2630f951d4effc5)

commit a0dfa0ac81ed4aec33863fc20cf5cb3ee077a90c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 14:26:27 2024 +0100

    ndb_redis: clang-format for WITH_SSL code

    (cherry picked from commit e54051d698b059aa168229493dc2d6bf3cdd757c)

commit a7d4ce95b383dc26c547ef9ee07b05d51abc50f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 10:21:51 2024 +0100

    keepalive: small formatting updates and comments to the ka dest structure

    (cherry picked from commit cee82c92b06a026b88fea654944f6146eb5cb4d8)

commit 0b3aa00775a5c0b4b1dc4990f4c26bc637fc6de5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 19 09:51:28 2024 +0100

    keepalive: proper storing of last up/down timestamps

    - GH #3790

    (cherry picked from commit 9e2a0ee545646bd4491ecdbe58d7fea770764b54)

commit 91b0962679092f28abb5022d1505372356460f7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 18 11:02:07 2024 +0100

    acc: more log messages of failure arsing extra acc string

    (cherry picked from commit 04a73ace6572dd5c95a8f50b39b2ce712f7ebe84)

commit 5daadecd248322e5f8eaf15555e46692f3d1c267
Author: Axel Sommerfeldt <axel.sommerfeldt@fastmail.de>
Date:   Fri Mar 8 12:32:07 2024 +0100

    ims_ipsec_pcscf: TLS support in ipsec_forward() improved

    This patch was initially done by Herle Supreeth in his fork but isn't present upstream yet:
    https://github.com/kamailio/kamailio/commit/8b9a2977e111d9adb8595d98ab59f8c8eb033120

    See also: https://github.com/kamailio/kamailio/issues/3772

    (cherry picked from commit 3154a0aba5543cab75153429bc8ec617c3484f71)

commit 7df7508d7d2b7b9495dafab8b515a5721bd669ee
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Mon Mar 11 14:22:37 2024 +0300

    dispatcher: refine documentation
    - more clear documentation for the new ds_is_from_list flags

    (cherry picked from commit 761e963c0f7d9bf1b66c1ef18a409756b919ae2c)

commit 90f8117f9669069b4dab7e9d747dfa06245ec8a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 15 21:24:42 2024 +0100

    ctl: handle int input for double storage

    (cherry picked from commit 1380a4a0d18159c7130b70c0216134a253ad83f7)

commit 0af55b0eac8c3457db859a9c37fea211ece91b8a
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Tue Mar 5 16:30:01 2024 +0200

    pdb server: Return negative carrierid for failures. Clang format

    (cherry-picked from commit 88b698e0f62c39ed60af9f0a4fb3ca2dc6867d8f)

commit 6410f375cd6d1e357afeb9e100bd3a3c51321280
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Tue Mar 5 16:14:11 2024 +0200

    pdb: Return negative carrierid for failures

    (cherry-picked from commit bf78b619ae28924361fb2c757a4d09eb1a39f5cd)

commit d6cd0859158a8013e998ec779e956a550b493934
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Mar 14 16:47:28 2024 +0000

    file_out: Fix var position and initialize

    (cherry picked from commit e36b2232e9b097794845659f71543bc57ef58a35)

commit f9b1cca33a45560f06b2708975c624da9728b6f5
Author: Oded Arbel <oded@geek.co.il>
Date:   Sun Mar 10 19:55:20 2024 +0200

    pkg/kamailio/obs: Allow builders to disable wolfssl module [skip ci]

    Building the WolfSSL module should be optional, even if it is on by default, builders should be able to choose to not need to install 4th party repositories.

    fixes #3781

    (cherry picked from commit 5392dbf8070abf36734d9c857924df91186bc2dd)

commit 45ee72fcf0ae8aeb135196ef8729fe0cea14048e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 9 20:11:07 2024 +0100

    topos: properly handle cases of no user in contact for mode 1

    - contact mode 1 accepted cases with no-user in contact uri but not in
      r-uri, however, requests within dialog can have one's contact in r-uri
      and then processing failed

    (cherry picked from commit 24e410f9a20d004f55bcc79cd10fb35cb26e4570)

commit 772b464552cff0b9ebb769e57fae718c0357ba11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 19:43:49 2024 +0100

    topos: small rearangement by removing else after return in the true block

    - reduce level of indentation
    - a few wraps in curly braces for clearer view of the if block

    (cherry picked from commit b6fccea258e56b7d3195659245713a6d44acb013)

commit 2122afae2a6604c0bc44a43ab37ee274a15a700a
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Mar 12 22:16:23 2024 +0200

    Avoid 'qm_strnstr' defined but not used warning

commit 1928af8f90ebf02f610c0904bc3d24a00aaedb81
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Mar 12 07:54:50 2024 +0200

    core: set null-terminated char for modparam (backport from master)

commit c229e11ba39da40cadaecd1b6aa3ae153e014bb1
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Mar 7 13:32:22 2024 +0200

    pkg/kamailio/obs: packaged README.file_out

    (cherry picked from commit 20edb64247a20a5d6b4b8bfb264b6e31d283b039)



===================== 2024-03-07 Version 5.8.0 Released =====================

===================== Changes Since Version 5.7.0 ===========================

commit 1fa3ba8ee48b6a68f2133544da56e0d68eae8609
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 7 12:29:02 2024 +0100

    Makefile.defs: version set to 5.8.0

    - first in the new 5.8.x series

commit e6b67b13a75a49d9269c53443de7233888c0df00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 7 12:23:09 2024 +0100

    pkg/kamailio: version set 5.8.0 for rpms and alpine

commit 50a0f82eab0a1f9dc5738f022231eba349a46a3a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Mar 7 11:41:19 2024 +0100

    pkg/kamailio/deb: version set 5.8.0 [skip ci]

commit ed99a5e2648c39e29fbbc7842c86425147c607c6
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Mar 7 10:17:15 2024 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 22f274513a98cc081d44a6694e35c3e96844dae3
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Mar 5 14:34:19 2024 +0000

    tls/docs: Update certificate generation docs

    (cherry picked from commit 67785fea8f906236e4a30bc09bb11b3292c46572)

commit 6533c42fc0bba6408376a8f8b41b02b97b04ca1b
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Mar 5 12:52:51 2024 +0000

    tls/docs: Update tls.reload docs

    (cherry picked from commit 4c9cfa7a6a770a693ecb3b840ad042fb201db675)

commit a814df7e828db7be0b34738c2eb78b133c22ddef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 5 20:53:47 2024 +0100

    presence: docs - remove extra section end tag

    (cherry picked from commit ed32512f4594cc0ddc3437e274bcba5acfc16410)

commit 500e5fabf9da31b5fa2949cac90956da99751223
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 15:31:18 2024 +0100

    core: main - init local variables used for cli param parsing

    (cherry picked from commit 8a2894cd6180f904dd37acb4985db4e4935aa434)

commit d45c78eeeaea6a9fc9dcb927436f834392d9d7c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 13:58:35 2024 +0100

    ctl: reset log prefix on reading ctl traffic

    - it may be previously set in process by some event route

    (cherry picked from commit 5b8b2717ee2f57da932132683b27eb33cea3fd59)

commit 42282a2c78fc24ff2b3856983a6dbb188a2912e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 09:07:22 2024 +0100

    acc: cdr - do not free static empty string in case of error

    (cherry picked from commit 0fc0cdd791ce5157232dd2139238708403cdde1d)

commit 4626cb7f0e0b273153ce0004900a92553783a893
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 3 20:57:45 2024 +0100

    core: parser rr - check for rr value before serializing

    (cherry picked from commit 6ee26a3ae3293aaeb4507d5d0b16ad31173cc39a)

commit 089bf63178039b13cde0beccfacab1536af76179
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 12:46:17 2024 +0100

    core: select - handle ws and wss inside select_ip_port()

    (cherry picked from commit d8e0942c9e83c8cad7c182bf41c156ba35bf24d2)

commit 4c78a564c5ad8662014cf686428a37238a6d8476
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 12:41:13 2024 +0100

    core: ppcfg - jump to end when defexp eval does not get a str val

    (cherry picked from commit daac0bdb88f6f732bda7c683af45b90f87fdb7c9)

commit 219c21fe62638e7191dd1b5ad32ba098273e2009
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 09:55:16 2024 +0100

    influxdbc: copy with buffer size limit

    (cherry picked from commit 73c66150c604326c07d454002c12cb221289936a)

commit 0747c18d5c4db2e7e8408ad2c7efa120ec76523e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 09:37:59 2024 +0100

    core: rthreads - init return variable

    (cherry picked from commit 181c602616e13323786335e8e28f182871aa5e9b)

commit c06ea12d0fff50569803ea0fef9486726ab428ce
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Feb 27 21:01:44 2024 +0100

    ims_registrar_pcscf: update registered state to pending registration if contact exists

    (cherry picked from commit 4fb8accc6747ad56fec3dc84d70cb2b8bbd7316e)

commit ab981daa54c1afc1017af16afbb67ef55567e6fa
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sun Feb 25 16:16:14 2024 +0100

    ims_usrloc: make matching of username in contact conditional

    (cherry picked from commit 17bdbd34b1038de936f14c1a41ce55f571e6402a)

commit 8835f04334981b81df7eed6c03e581fcc4070da8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 27 09:50:05 2024 +0100

    tcpops: if connection not found, return attributes from sip msg rcv

    (cherry picked from commit c3d753885b3cd1bc0cb9f46986e5798dfb5f6552)

commit c2ac3ffc907ded71bcde59c3c5c0d6b69e997696
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 27 07:57:22 2024 +0100

    tcpops: variables to get active connection attributes

    (cherry picked from commit 59230a07b8c6a79c4a574890bae775c3d166c471)

commit 50c759030f024dd080c08a3d94127f1d1af544e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 26 14:06:38 2024 +0100

    ndb_redis: init enabled for tcp-main and postchildinit callbacks

    - GH #3768

    (cherry picked from commit 19e5bf3d4cfc2b7d47623e307fff7e60e73e8a18)

commit 2d2006701f491f732ea07b36a48016f7fbe436bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 26 13:09:27 2024 +0100

    microhttpd: docs - note about variables available in the event route

    (cherry picked from commit 993583015b127b0a83603acd352925c8d6e6db70)

commit 3415be29303bbacaf25b646d6c86027e93cf7c7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 25 19:29:24 2024 +0100

    evrexec: reformat exported structures

    (cherry picked from commit 65eef5c5446c1f6870eecf8bbc84d68d12271bc7)

commit 15ffdf7c0721fb5d05772d96e133ac74412c0068
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 25 01:15:28 2024 +0100

    ndb_redis: reformat exported structures

    (cherry picked from commit fb21f89dc544551b1bb65805303131fa990d2f44)

commit dae15377dac1b019f2278baca208162154d5a7ad
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Mar 5 09:59:41 2024 +0800

    tls: NULL safety check

    (cherry picked from commit f6f9d90ada963b53b6552e1a172b8f2fd021c33b)

commit 56aeb0723562409aa97098e51c602bcddc8b6789
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Mar 5 06:47:24 2024 +0800

    etc/kamailio.cfg: document tls_threads_mode = 2 to use atfork handler

    (cherry picked from commit 5b4926b04ba0fcd8f65f5709789abd83181a381a)

commit 0ba1ff1d430e5e51c7745d7eb1242dcae2557db9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Mar 4 22:00:14 2024 +0800

    tls: new option tls_threads_mode = 2

    - use pthread_atfork to force all thread-locals
      to 0x0 after fork()

    (cherry picked from commit 464299c202f3ba963aed821b777075397e843856)

commit 0a565d34b98b7ec4de0524a3e216e8d907661181
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Mar 4 21:49:10 2024 +0800

    core/rthreads.h: add new option tls_threads_mode = 2

    - add global handling of thread-locals with
      tls_threads_mode = 2
    - this will run a pthread_atfork handler to reset
      all thread-locals to 0x0
    - alternative solution to running functions
      in thread executors
    - requires tls.so to be loaded to be effective

    (cherry picked from commit e7f040f219b46592081a6053b4ed1ae0d0552b1a)

commit 3d80bc811c75eb0cbcf0f4aee8929a5082b4de6a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 20:46:16 2024 +0800

    tls: basic OpenSSL 3 support of provider keys (replaces ENGINE)

    - initial support for v3 provider keys (replaces ENGINE from v1.1.1)
    - can be disabled behind build flag -DOPENSSL_NO_PROVIDER
    - provider keys start with /uri: e.g
      private_key = /uri:pkcs11:token=NSS%20Certificate%20DB;type=private;object=Fork-Test-c67cc0e0
    - global config:
      provider_quirks: 0 | 1
      - 0 - default
      - 1 - create a new OSS_LIB_CTX* in the child

    This integration does not load any providers itself and depends on
    the usual

    export OPENSSL_CONF=my-openssl.cnf

    to configure providers.

    (cherry picked from commit 69883dd381368ca219cc52140e71d571775f95d5)

commit 6ee443731a23032fce9a32ce9609ae5b7c6bd171
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 21:41:11 2024 +0800

    tls: remove unused ENGINE define

    (cherry-picked from commit 73e7123c2dd19b82db167ceee93444e43f70f446)

commit 8e81774d5a71c06906df84fb4809bcfb73bd532e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 2 08:13:40 2024 +0100

    tlsa: removed the map files used in the past for tls engine

    - sync with code of tls module

    (cherry picked from commit d443a1e37d85e0eec6f6c9875bb8e821b34c8d6b)

commit 9d42e4aacab4a7bf18192701cd66cba95c2c98dd
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 2 08:29:31 2024 +0800

    tls: clean-up of ENGINE

    - remove tls_map.* - not needed anymore
    - install an ENGINE in each worker SSL_CTX
      no need to replicate to all processes

    Cherry-pick from 5933893b91

commit 0ddbd961e91abf3e967285d80cc1c6f8d2aa5cf9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Mar 1 08:06:13 2024 +0800

    tls: make explicit ENGINE deprecation in OpenSSL 3

    Cherry-pick from 0c68a5511e

commit f53c6b49e158203ba0783ec6a6fbadd76c5fdde9
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 29 19:01:14 2024 +0800

    tls: fix OpenSSL 1.1.1 engine keys

    Cherry-pick from e535cc5eb2

commit 59ab58551e5895b710893985d0072c8c510c672c
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Tue Feb 27 11:50:54 2024 +0000

    file_out: Fix leaks

    (cherry picked from commit 8af509ae280b2ef155f1946acac5a7d977bb5c14)

commit 6721fb7aae373d42c4059a630fc79815d2f709b7
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Mon Feb 26 11:17:19 2024 +0000

    file_out: Add header guards

    (cherry picked from commit 967fb30b14fb63bcb396956f9e9ed0ca92028682)

commit bc4c206999094ed74e77c73f5537e857111d0a30
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 12:38:09 2024 +0800

    http_async_client: libssl refactor thread executors for curl

    Cherry-pick from 6a0c86bba8

commit 533989406d0fa1e57ff007fd8d7f702f5831dacd
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:45 2024 +0800

    xcap_client: libssl thread executor for curl_global_init()

    Cherry-pick from f5164b39c8

commit 49c3290fc6eb50de0b08661c50ff42663ff3de6b
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:31 2024 +0800

    http_client: libssl thread executor for curl_global_init()

    Cherry-pick from f58225950c

commit 5d4fae5c24eb4f13d585e1af4cb1753ea5a784c5
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:01:14 2024 +0800

    http_async_client: libssl thread executor for curl_global_init()

    Cherry-pick from 514635dc3e

commit ce17fee304e9ffa5046194a0827f771742113640
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:00:35 2024 +0800

    core/rthreads.h: add thread executor for curl_global_init()

    Cherry-pick from db05449932

commit b1a308801430a5561c4c13c1d4602fe5d5542cf8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 27 05:03:10 2024 +0800

    Revert ac4f1be039 - split into per module commits

commit ac4f1be039809d68483fe39e94b0803da1661a48
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Feb 26 10:25:19 2024 +0800

    OpenSSL integration: manage curl_global_init(...) used by modules

    - http_client, http_async_client, xcap_client use libcurl
    - call curl_global_init in a thread executor as it invokes
      OpenSSL functions on Debian 12
    - clang-format

commit b98718c28f72b1372a62b17174b43c403fa6b729
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 25 20:42:14 2024 +0800

    tls: fix OpenSSL 1.1.1 compatibility

commit aa8fcf9ec76e7c4543db22de6de5ef62374c80be
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 25 12:56:19 2024 +0800

    tls: fix restore early init

commit 49a9d8a4fb2f8a03d478aed2a405f812d2c2c5e8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Feb 25 08:03:17 2024 +0800

    tls: restore early init for other modules that use TLS

    Client modules (e.g. dispatcher) that require outbound TLS
    may race if tls init is too late.

    Restore tls init to PROC_INIT with a thread executor.

    Addresses GH #3765

    Cherry-pick from 706d7b7ff3

commit 5af33b2e0ddc1098919008d44ab91959bc7dfb80
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 23 21:24:19 2024 +0100

    pkg/docker: set branch 5.8 and refresh [skip ci]

commit fbdca3da6293aba548989e3ab9d600be338199b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 23 20:43:33 2024 +0100

    github: set branch to 5.8 [skip ci]

commit 3566edd00ea729bb187b160a80b54fe92e2bbe4d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 23 20:05:34 2024 +0100

    pkg/kamailio/deb: version set 5.8.0~rc0

commit faddcecbf04a0221aa4a2531141571246d043060
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 23 19:35:27 2024 +0100

    Makefile.defs: version set to 5.8.0-rc0

    - entering the phase to prepare releasing next major version series
      5.8.x

commit 716319089c3e7bbc4caf9a2454235d77c3a9f88b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 23 19:24:55 2024 +0100

    Makefile.defs: version set to 5.8.0-pre1

    - marking end of first phase of testing

commit 7e22636bb2797f6ed9cac677678a7a1bfc4f2537
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 23 12:53:39 2024 +0100

    dispatcher: rename interal define to reflect better is a mix of matching

    - rather than a full address matching

commit 17536b1064b40c305f28c4c19392504afc0b9701
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Thu Jan 4 18:28:56 2024 +0300

    dispatcher: added two new flags to mode parameter of ds_is_from_list function for more strictly matching

    - Two new flgs added:
      DS_MATCH_SOCKET (8) to take in account socket/sockname attribute of gw
      DS_MATCH_TRY_FULLADDRSOCK (16) try to find the most complete "address/protocol/port/local socket" combination for all dispatcher targets

commit 6948a3cc1f81cd468eae92518215d0fe9178b1e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 23 12:18:07 2024 +0100

    microhttpd: added the header return option for pv

commit 998a790563fcba9d6263c18f83f59e9080c78af0
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Feb 22 17:46:00 2024 +0000

    file_out: Refactor

commit 06d0596ef34f1c213cc28442594bb6f1ebae46b4
Author: Xenofon Karamanos <22965395+xkaraman@users.noreply.github.com>
Date:   Thu Feb 22 13:11:54 2024 +0000

    file_out: Prefix can use PVs

commit ff8229b58d6f91bae527bc2f5912c7d291c55268
Author: falshunov <37283637+falshunov@users.noreply.github.com>
Date:   Thu Feb 22 08:56:00 2024 +0000

    microhttpd: fixed typo in the documentation [skip ci]

commit e54152e06e4a097ac17522e282f26b277ecae4da
Author: Torrey Searle <torrey.searle@wavecrest.com>
Date:   Wed Feb 21 08:05:10 2024 +0100

    tools/kemi: fix bug in mock

    remove stray debug print statement that results in generated code
    being invalid

commit e3e6fd75bdd688acebf0ec8a1b7efa6fcada1de6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 19 22:24:21 2024 +0100

    core: tcp - skip checking when tcp_accept_iplimit is 0

commit dad7f3ff3af02d086c1cb3f915f1502bca127d58
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Feb 19 20:30:45 2024 +0000

    file_out: small extensions to the module docs

commit a722d4cba1ab18f481bfe8353cebc0c6fa1a7ebb
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Feb 19 14:04:58 2024 +0000

    file_out: Add a prefix paramater

commit 22581f95690415681ea233c97923137e46fb55ae
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Feb 19 13:56:34 2024 +0000

    file_out: Free allocated memory

commit d2459f4a9978e6b42ba99212b77dd856005df0d7
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:38:24 2024 +0000

    file_out: Fix fixup functions to handle all string.

commit d3fbee58cb5505130ea73cfa0143adfd470d2c27
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:27:33 2024 +0000

    file_out: Improve logging

commit 6ac4148d3d7e6ea772438b7c5b42807175e5888a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:26:02 2024 +0000

    file_out: Free message when done

commit e4163d287e1c8c617ef9f21452a88f09c040bd47
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:25:32 2024 +0000

    file_out: Switch to str type for string handling

commit e15a15cf8ce0c09aa6b26200dd2bce0e3933b6cd
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:12:19 2024 +0000

    file_out: Add initial Readme and improve docs

commit 107d8c9ae4cb1191d9e0132a42acad8af4cc66c9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 16 09:27:59 2024 +0000

    file_out: Change default base folder format

commit 1e4236445167d837a89d54ce6bee5ef14aef568e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 19:49:10 2024 +0800

    db_mysql: libssl thread guard for db_mysql_query (and libmysqlclient)

    This function is observed to call SSL_read() when compiled with
    libmysqlclient.so.21 (but not libmariadb.so.3).

    Apply a thread executor just in case.

commit 87ef83d23f68a43fc5265a81330cbeed6205f922
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Feb 14 08:31:13 2024 +0100

    modules: readme files regenerated - db_mysql ... [skip ci]

commit c89fe41b1583af74cdf7e20d2357d7c90990839f
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 15:17:26 2024 +0800

    db_mysql: fix typos

    The option opt_ssl_ca is a string not integer.

    The comment for ea81e6cb should show the code fix as
    mysql_options(ptr->con, MYSQL_OPT_SSL_CA, (void *)db_mysql_opt_ssl_ca)

commit a61bfe9fb8357cedf5cb22e2698ec5d817fcfe5a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Feb 14 08:16:19 2024 +0100

    modules: readme files regenerated - db_mysql ... [skip ci]

commit eafd93f0576504ea03fe6b5e3898506072218cef
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 14:59:52 2024 +0800

    db_mysql: update docs for opt_ssl_ca

commit ea81e6cb8b2b2d896de7a07ce191876f9f182673
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 14 14:15:10 2024 +0800

    db_mysql: new module param opt_ssl_ca to configure CA certs

    ERROR: db_mysql [km_my_con.c:200]: db_mysql_new_connection():
    driver error: SSL connection error: CA certificate is required
    if ssl-mode is VERIFY_CA or VERIFY_IDENTITY

    When opt_ssl_mode = 4 | 5 libmysqclient
    requires that the trusted CAs be configured.
    Fixed with:
    mysql_options(ptr->con, MYSQL_OPT_SSL_CA, (void *)db_mysql_opt_ssl_mode)

    Note: libmariadb3  doesn't require this setting
    and uses the system trust store.

commit c4e4b266ad6852bacdb4513e9cc79166ac661f23
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Feb 12 10:17:15 2024 +0100

    modules: readme files regenerated - influxdbc ... [skip ci]

commit 7e1f521f2086b50b3ad73bc19ea98deb18686e82
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 11 16:17:47 2024 +0100

    influxdbc: docs for a couple of existing functions

commit f2772bd0248a1e75a82f4cad55280fa2b4f98578
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 10 22:27:30 2024 +0100

    influxdbc: function to add double value as divison of int numbers

commit ce437384ce13bb78b01d3d18f9ddfdd6b8e37fa5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 9 08:02:26 2024 +0100

    core: helper fixup functions for (str, str, int) parameters

commit 44fcca3596438841c0752d39dedfbe7de07a30c5
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 8 15:10:22 2024 +0000

    file_out: Update docs

commit 62e3069f484ea28745bce93dd5e1e7634c336f6b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 8 14:31:13 2024 +0000

    file_out: Add support for multiple files, extensions and interval

commit 3e1a7bb5f6143383b1f486b8c67c3bf97cb32a3f
Author: tsearle <torrey.searle@wavecrest.com>
Date:   Fri Feb 9 10:17:58 2024 +0100

    tools/kemi: update kemi_mock for python (#3751)

    fixes code generation when python keywords are uses
    fixes formating issues of generated code
    fixes crash from pv.setl reporting parameters as null instead of 'none'

commit 6918c9e34b826f8d8c7fb1746851055fa35f8ece
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Feb 9 10:01:34 2024 +0100

    modules: readme files regenerated - ldap ... [skip ci]

commit e7397acb86db5cf0a214fe7f2812e21130e7b2f6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Feb 7 12:23:30 2024 +0000

    ldap/docs: Add connect_mode docs

commit 3120d1dfcfa393b90272526e6fe2efb3aa32a19d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Feb 6 14:39:15 2024 +0000

    ldap: option to start even when connecting to server fails

commit 7043a581c4cfe05d6f9a0161368a61f7c67e326c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 12:50:03 2024 +0800

    db_mysql: libssl thread guard for db_mysql_close

commit c393d5d5d167bdbf9a2f465effdc761195ed1279
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:41:45 2024 +0800

    db_unixodbc: libssl thread guards for db_unixodbc_(close|free_result|query)

commit e33911f5edbac36f54b6371f9b952b57488bcced
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:18:16 2024 +0800

    db_postgres: libssl thread guard for db_postgres_close

commit 4baa76cd3e0d4052baf037c663a898fd11c54514
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Feb 8 07:30:48 2024 +0800

    core/rthreads.h: thread wrapper for db_XXXX_query

commit 5844207ce42ef830fe560e408c6e807184c8d31e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 8 16:31:19 2024 +0100

    influxdbc: functions for kemi framework

commit c8306ceb46c201172f84f72e5566922c22578fc2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 7 20:10:34 2024 +0100

    influxdb: added missing for sub start and end

commit fb7c4ec9a33d8147094aa664ce3c96b6c3cb7d35
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 7 14:08:01 2024 +0800

    core/rthreads.h: fix missing returns

commit 1a2993ca370da35c34abae1cb44086492faa0ade
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 7 05:54:35 2024 +0800

    core/rthreads.h: fix missing return

commit e52bc4ba41417362c79da1cd3d41b283aabc4eb8
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Feb 7 05:49:14 2024 +0800

    Sample etc/kamailio.cfg: add tls_threads_mode to config

commit aa15489f0a8de4a27197602d771fe02cf5745287
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 21:43:22 2024 +0800

    core/rthreads.h: use global ksr_tls_threads_mode to constrain thread
    wrapping

    - 0: run wrapped function directly
    - 1: run wrapped function in thread for process#0 else run directly
    - 2: always run wrapped function in thread

commit 4d6e37fa048a1aaa2d2fc6655985b4bcb9754258
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 6 14:24:08 2024 +0100

    core: added tls_threads_mode global parameter

    - control how to execute functions that may be using libssl3 behind

commit 475b4da798fce232eba6834c3cb05e3c97e12d03
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 11:09:04 2024 +0800

    Sample etc/kamailio.cfg: tls should be loaded first if used

commit d638c774ed816eec800e72ba2546004215cfe097
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:29:55 2024 +0800

    db_postgres: handle SSL and submit query

commit 51d9f92eca3ef1044052581c9438af6e643652a1
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:29:41 2024 +0800

    db_mysql: handle SSL and submit query

commit 7d917e6649be7188bb9ab152ada75bc7199b2980
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:23:16 2024 +0800

    db_unixodbc: handle SSL and submit query

commit ba921b2112e87625fba5789d1b049161bb611073
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Feb 6 00:22:52 2024 +0800

    core/rthread.h: add prototype for db queries

commit 2ab212ccf0b4ecd7a0671235641e2a80feb251ff
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Feb 5 16:32:00 2024 +0100

    modules: readme files regenerated - influxdbc ... [skip ci]

commit 10b86323cc47f29b41c21fd601d5b309cca050e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 5 16:18:47 2024 +0100

    influxdbc: convert string value to double

commit ba2d0e171b0171ba98bc7219a420dcda7677d366
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 4 08:30:50 2024 +0100

    influxdbc: docs for several parameters and functions

commit faaad7e0e654359e744d0c18253cc0dc84cd906e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 3 16:06:06 2024 +0100

    rtpengine: docs for ping_mode parameter

commit 81605f9289364a273a7b904d12972a6d01dc6207
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Feb 4 17:53:48 2024 +0200

    pkg/kamailio: RPM packaged new modules

commit 8bdd9ca4b3c3d4f9f2f201b0a9e0ad9a61eee41d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Feb 3 10:53:33 2024 +0100

    outbound: fix build on xenial

    > outbound_mod.c: In function 'mod_init':
    > outbound_mod.c:122:2: error: too many arguments to function 'mod_init_openssl'
    >   mod_init_openssl(NULL);
    >   ^
    > outbound_mod.c:82:13: note: declared here
    >  static void mod_init_openssl(void)
                 ^

commit b8c0a3757eb282ddb9e4878deb7120c4efd7f571
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Feb 3 10:41:43 2024 +0100

    db_mysql: fix build for stretch

    * mysql_optionsv is not there. We still use the deprecated flavour
    * MYSQL_OPT_SSL_ENFORCE is not there

commit 2cb2e5c99c3e565762820ef702404ae5ec59a6c9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Feb 3 09:47:46 2024 +0100

    Revert "db_mysql: fix build for older releases"

    it doesn't fix anything

    This reverts commit f0e73eabee3be198dbad2e50752d9889e4aa8e5f.

commit 80214d2f878b3f2d7547060c9d4bd578a9e1a837
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 2 15:21:14 2024 +0100

    pkg/kamailio/deb: version set 5.8.0~pre0

commit 976670db1313e96a859009288abbf1ea97583357
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 2 14:44:13 2024 +0100

    pkg/kamailio/deb: remove mono from wheezy

commit 015da378ab8b4ce5ced8b05f9c51e809ec11e53e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 2 14:19:30 2024 +0100

    pkg/kamailio/deb: no libpcre2-dev on older releases

commit f0e73eabee3be198dbad2e50752d9889e4aa8e5f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 2 08:33:14 2024 +0100

    db_mysql: fix build for older releases

    > km_my_con.c: In function 'db_mysql_new_connection':
    > km_my_con.c:132:4: warning: implicit declaration of function 'mysql_optionsv' [-Wimplicit-function-declaration]
    >      mysql_optionsv(ptr->con, MYSQL_OPT_SSL_ENFORCE, (void *)&(int){1});
    >      ^~~~~~~~~~~~~~
    > km_my_con.c:132:29: error: 'MYSQL_OPT_SSL_ENFORCE' undeclared (first use in this function)
    >     mysql_optionsv(ptr->con, MYSQL_OPT_SSL_ENFORCE, (void *)&(int){1});
    >                              ^~~~~~~~~~~~~~~~~~~~~
    > km_my_con.c:132:29: note: each undeclared identifier is reported only once for each function it appears in
    > ../../Makefile.rules:100: recipe for target 'km_my_con.o' failed

commit 1fcf99817580379d3e7550d1d874050a3e0315bc
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 2 13:16:08 2024 +0000

    file_out: make worker sleep period configurable, to allow to adapt performance parameters

commit 82593a09f8ef6d53e7e88238c057bbcdd9ab287b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Feb 2 10:56:41 2024 +0100

    core: properly handle drop() action for kemi engines

    - GH #3718

commit a226823910735c315fc31df0e46132710db38def
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 2 09:27:10 2024 +0100

    influxdbc: fix compile warnings

commit b85471a7c28324fcb890961a1ad67810bfbb8ac4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 2 08:56:52 2024 +0100

    Makefile.defs: version set to 5.8.0-pre0

    - mark start of testing for v5.8.x series

commit 8c5e97589fc0fed121ee6e8ca4adbf9ec63ad2eb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 2 08:55:38 2024 +0100

    Makefile.defs: version set to 5.8.0-dev3

    - mark end of development for v5.8.x series

commit 03e60c809a0ac26b402bdf1154d6ec7b0476f26a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 2 07:35:48 2024 +0100

    Makefile.groups: added file_out to extra group

commit 49bc5b266dad33e418e8895e9ed7ead46e254016
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 21:32:18 2024 +0100

    rtpengine: new modparam to disable pinging rtpengines at startup

commit 40b735216c610cae2da5b0758af31b1d3ade4731
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 21:19:11 2024 +0100

    rtpengine: optional ping parameter for rpc reload command

    - specify if ping should be done to rtpengines at reload time

commit df3d1e5cb80b7a6ac6ce93b582352aaa8e6fd369
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 1 19:41:22 2024 +0000

    file_out: use name instead of index for file_out function parameter

commit 6478ac00e9bf1180092010b0df4656630d4550c2
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Feb 1 19:33:38 2024 +0000

    file_out: adjust syntax of examples to standard

commit a6892009361ceff1475b568a2317b5d8a7c889cc
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Feb 1 19:25:12 2024 +0000

    file_out: fix error in XML include for README

commit 4c144ac1ad40008b5bd9396aa18d7630145b4c4c
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Feb 1 19:22:53 2024 +0000

    file_out: small doc adaptions

commit dd5c9a5204eb946e731550a0ee7f3046c7065515
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 1 19:15:17 2024 +0200

    file_out: Module to log custom strings to files (GH #3741)

    * add new module to log custom strings to files (GH #3741)
    * support for multiple files and also file balancing
    * smaller refactorings will be done afterwards (use string in function for names with internal matching, make worker sleep also configurable
    * a round of tests has been done, but it will be certainly tested more in the next days

commit f0ef9d29e8736e7eb7e7e2c62485704d3506fbdd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 13:48:41 2024 +0100

    Makefile.groups: added influxdbc module to extra group

commit ff94b5a691c525ed5687ad76bbf5436a8d877768
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 13:47:28 2024 +0100

    influxdbc: added functions to push string and double values

commit 4efd1fc33ceb5dc33b01020968b0d7281e902d1f
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Thu Feb 1 14:00:14 2024 +0200

    p_usrloc: Add new modparam 'preload'

    Useful when using kemi with p_usrloc, in order to preload
    location table.

commit 46e04c65dfa07ada122ad2132e9a7a841bc1e8ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 1 08:08:23 2024 +0100

    influxdbc: initial doc files

commit dc6930581ab21df13c086fdb6f69130adf0e00f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 31 17:57:19 2024 +0100

    influxdbc: new module - client connector for influxdb

commit 0833a72d4b70d224ab02c90b7b94648db7f52c73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 31 10:13:48 2024 +0100

    db_mysql: proper macro to check mysql version id

commit 94f6df509bf77c19c745749716a9e075ec17f3c7
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 14:07:11 2024 +0800

    outbound: use core/rthreads.h

commit 8a1c383f6af5bc0547e32430a4469333160b93e6
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 07:42:34 2024 +0800

    db_postgres: use core/rthreads.h

commit 733a268114261d49ed11aec83fe39ea8c34a0b69
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 07:42:05 2024 +0800

    db_mysql: use core/rthreads.h

commit b71ce6e5733ab08b84ff09481ada91e5fca43a33
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 07:41:37 2024 +0800

    db_unixodbc: use core/rthreads.h

commit f8909163c47c8776d23373fad688586f02d31e67
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 07:40:54 2024 +0800

    core: add infrastructure to run functions in threads

commit 1e87f96ad3a85b35935f14db36626036469cb6b0
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 22:12:18 2024 +0800

    tls_wolfssl: un-break jammy using libwolfssl32

commit dad7c857eaab613deed27ab687ddd0b1fdf8001b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 30 14:32:10 2024 +0100

    modules: readme files regenerated - db_mysql ... [skip ci]

commit 2bcc32a14e63d895077071715b0321fbdcdb8a33
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 21:12:50 2024 +0800

    db_mysql: update docs for MariaDB Connector/C builds

commit d772b4c24a3a4995b93287ccf8eac9b80d1a5bac
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 30 16:49:32 2024 +0800

    db_mysql: enable TLS when building with mariadb-connector-c

    - mariadb-connector-c requires at least one non-NULL configuration
      value to use TLS
    - emulate MySQL SSL_MODE_XXXX options

commit e470f67c9aaaeb2dc39f49a1b5abb3352b45ad13
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 30 10:43:33 2024 +0100

    github: [skip ci] enable dependabot for devcontainers

commit 8e2a1a36f14a18834d1a98e8483b4595a533abff
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jan 29 21:22:54 2024 +0000

    github: [skip ci]: bump wolletd/clang-format-checker from 1.10 to 1.11

    Bumps [wolletd/clang-format-checker](https://github.com/wolletd/clang-format-checker) from 1.10 to 1.11.
    - [Release notes](https://github.com/wolletd/clang-format-checker/releases)
    - [Commits](https://github.com/wolletd/clang-format-checker/compare/v1.10...v1.11)

    ---
    updated-dependencies:
    - dependency-name: wolletd/clang-format-checker
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...

    Signed-off-by: dependabot[bot] <support@github.com>

commit 520b9dce03d695cd1d95432e6bf52ed47d046cd4
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jan 29 21:22:56 2024 +0000

    github: [skip ci]: bump ammaraskar/gcc-problem-matcher

    Bumps [ammaraskar/gcc-problem-matcher](https://github.com/ammaraskar/gcc-problem-matcher) from 0.2.0 to 0.3.0.
    - [Release notes](https://github.com/ammaraskar/gcc-problem-matcher/releases)
    - [Commits](https://github.com/ammaraskar/gcc-problem-matcher/compare/0.2.0...0.3.0)

    ---
    updated-dependencies:
    - dependency-name: ammaraskar/gcc-problem-matcher
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...

    Signed-off-by: dependabot[bot] <support@github.com>

commit 3426b153d02d9d8d3e909eff9d18cb14108072ca
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 29 12:06:56 2024 +0800

    db_postgres: init libssl in a thread

commit 5dffb934a2f7f986fdc09e433833991c54612646
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 28 08:19:44 2024 +0800

    db_mysql: init libssl in a thread

commit 2611a4670c65dd32fc1daf6b67e37852936ba69c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 28 07:38:16 2024 +0800

    db_unixodbc: init libssl in a thread

commit 9560e973807bc454dab84bdfd5ac0e300c847864
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 29 20:02:42 2024 +0800

    tls_wolfssl: fix possible uninitialised variable

commit c2f14e0dccbabdd74dbddcbd569c32d0b429617e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 29 10:02:14 2024 +0100

    modules: readme files regenerated - sdpops ... [skip ci]

commit 68331254149a2ef3f2986bb92549cb63bb355989
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 28 17:17:40 2024 +0100

    textopsx: proper define id for body line interator name size

commit 03d93a43a38f2af44640f42e3fd0f8f2a073b108
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 27 10:45:12 2024 +0100

    sdpops: docs for sdp line interator functions and variable

commit ff54f183cdedded4ef9d24d055c755b770b07651
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 27 09:57:24 2024 +0100

    sdpops: added sdp line interator functions and variables

    - walk sdb lines in the message body (also for multipart body)
    - append/insert/remove line of the current iterator
    - variable to get the value of the curent iterator

commit 7b676473d2193b34ba59600eb3ce9c5acd19da1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 27 09:16:39 2024 +0100

    textopsx: reformat module exported structures

commit 0f963a7a1e2aca28611c2238f4c29180a0acd320
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 29 11:26:35 2024 +0800

    tls_wolfssl: clang-format

commit 04ca08d0da622519578c479664a85563ec6db483
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Jan 27 07:09:19 2024 +0800

    tls_wolfssl: fix ring buffer write

commit c286bacad82b84165753187a326952573fe5fc7a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jan 26 11:16:15 2024 +0100

    modules: readme files regenerated - sdpops ... [skip ci]

commit 46e3727368f7e801b3731272d219cefdceebadde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 26 11:02:27 2024 +0100

    sdpops: docs - listed $sdp(c:ip) variable

commit faaefbb02563b8ba0827b23422a363a71259ad1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 26 10:55:43 2024 +0100

    sdpops: added $sdp(c:ip) variable to return connection ip

commit fe9b8f04cacd2ca92bf3fac1dc2fac323b8cf62d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 26 08:27:36 2024 +0100

    sl: format module exports structures

commit cab001e9677670585facf5cf2b7fd0c9889ac069
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 26 08:23:21 2024 +0100

    sdpops: format module exports structures

commit 247e6164cbacdcc5d260e98c1085c84ad93957ee
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 26 09:03:37 2024 +0100

    pkg/kamailio/deb: restore tls_wolfssl for bookworm and jammy

    fixed build error at 43ec11a7e0a37dfdaead873d555b26cb65589bd1

commit 4db5d7eb3fb34ad1282c9ded9b2d05b3f81fd476
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 25 20:11:19 2024 +0100

    core: mem - relocated unfinished memory allocators to archive repository

    - many years without development activity

commit 43ec11a7e0a37dfdaead873d555b26cb65589bd1
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 25 21:44:07 2024 +0800

    tls_wolfssl: allow building with debian libwolfssl35

    - internal submodule is v5.6.6-stable
    - libwolfssl35 is at v5.5.4-stable

commit aaa3b102c62af9ac0abe1aaac12876abaa7ad351
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 25 12:23:47 2024 +0100

    pkg/kamailio/deb: remove support for tls_wolfssl on bookworm/jammy

    > module expects wolfssl ~ v5.6.6-stable which is equivalent to libwolfssl42(5.6.6-1.2) libwolfssl-dev_5.6.6

commit 5d3c11c5e0854ce74424a10a88b0cca4453cee75
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Wed Jan 24 16:30:48 2024 +0800

    tls_wolfssl: clean-up; continue to remove OpenSSL-isms

commit 099eceecab7af118bfa0bdfca68a8c0b30cec6f0
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 24 21:31:18 2024 +0100

    modules: readme files regenerated - ims_charging ... [skip ci]

commit 76cd7979aae176b3fde3b3d73975629b06cd509c
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Wed Jan 24 21:16:08 2024 +0100

    ims_charging: Add option to get and use P-Access-Network-Info for terminating scenario (#3726)

    Add option to configure node functionality for Ro requests

commit ba36c65dfb2a6608dd7d51422a7ed021206bcae3
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 24 17:32:06 2024 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit d26b0bef2e76be55c5cb099520f221487d362b48
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 17:17:23 2024 +0100

    tm: docs - update to use send_reply_error() when t_relay() fails

    - the transaction might be already created and needs a stateful reply

commit 76b7beef6d089272b749aa53f29e100711aa4c50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 10:31:07 2024 +0100

    sl: do not send error reply if message marked with delayed-reply flag

commit 09c75716530f7d8be2671e5823dca5b640cad45a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 10:26:45 2024 +0100

    tm: mark request with delayed reply flag

commit 5c8cfdd803e81a592bf9fdeb208b13404e96da25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 10:23:01 2024 +0100

    core: parser - internal flag to mark delayed local replies

commit 236c56f5f4c11fb867e545f830182b386f0a0c66
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 24 08:21:19 2024 +0100

    tm: prefixed global kill reason variable

commit 3d0e7521c6de4023b6595685fc306129ef57b8ac
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 23 23:13:08 2024 +0800

    tls_wolfssl: clean-up; remove OpenSSL-isms

commit 33b2e513aefe00bf166cdcae360e305615b223da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 23 21:05:41 2024 +0100

    tm: release transaction on kill if a final response was sent

    - do not send another final response for error cases

commit 0f8f4d6926e53ca5e526a11729f6ee6277b185b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 23 14:23:27 2024 +0100

    auth: reformat exported structures

commit aa167c410860732918061106c4a84a7c6b030d69
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 23 14:18:19 2024 +0100

    auth: removed commented code and prefixed short global variable

commit 32089e134413200bf5d1a97f207378b7d10e65a2
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 21 18:17:37 2024 +0800

    tls_wolfssl: refactor custom BIO

    - remove use of custom BIO at the expense of some memory copies

commit 88f27e2b89142652ea1b8f133df1ff403f9f61b2
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 19 12:16:01 2024 +0800

    tls_wolfssl: use shared WOLFSSL_CTX

commit 255e563e94e9536f0e541c3baeec45cbc68fac5b
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 12:38:09 2024 +0800

    tls_wolfssl: clean-up OpenSSL compatibility

    - remove unneeded OpenSSL-isms

commit 100d96bf3819082ac38f8a4fae1f3c64c8d0c5e1
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Jan 22 21:58:56 2024 +0000

    github: [skip ci]: bump tj-actions/changed-files from 41 to 42

    Bumps [tj-actions/changed-files](https://github.com/tj-actions/changed-files) from 41 to 42.
    - [Release notes](https://github.com/tj-actions/changed-files/releases)
    - [Changelog](https://github.com/tj-actions/changed-files/blob/main/HISTORY.md)
    - [Commits](https://github.com/tj-actions/changed-files/compare/v41...v42)

    ---
    updated-dependencies:
    - dependency-name: tj-actions/changed-files
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...

    Signed-off-by: dependabot[bot] <support@github.com>

commit 569b536404afd855742a42320d7c858a8bb4952b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 14:11:29 2024 +0100

    tm: mark request with final reply flag

    - send error function checks flag and returns if set to avoid sending
      more than one final reply in case of failure

commit 1a2477ba348928e6bdff15be765cb907e32cffc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 14:02:47 2024 +0100

    sl: mark request with final reply flag

    - send error function checks flag and returns if set to avoid sending
      more than one final reply in case of failures

commit c3b47e0c5cf4ed405b02aa2d0d4cb31073bab0aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 13:50:08 2024 +0100

    core: parser - flag to mark request when a local final reply is sent

commit 15aafe49a6a022809f278f596812c97dc5404982
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 13:25:04 2024 +0100

    presence: prefix short global variables

commit 7da07508bc74a6a0c87e1dc7993d0061b65e2faa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 22 13:18:15 2024 +0100

    presence: removed unused external variable

commit 050760411bac006c1e6351f179fab7ea6333b3e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 21 21:29:28 2024 +0100

    lib: presence - remove old commented code and adjust comments

commit 0a11489d4b699a62596b2c4626171e8d92e966fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 21 10:20:39 2024 +0100

    lib/srdb2: review and adapt old comments

commit 67f71d1b7c44a7d3ef1ba2917272e2ba36608cd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 20 12:37:12 2024 +0100

    lib/xcap: reviewed and removed old comments and disabled code

commit e8ee31f6bce32050f8caaa8d053ddaea8d99cc1d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 20 12:16:13 2024 +0100

    lib/cds: reviewed and removed old comments

commit 2f7b7a5750815814bedb4b2a6b3716ea72e4d904
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 19 15:40:06 2024 +0100

    github: remove cleanup workflow [skip ci]

    it's removing untagged images that are layers of the tagged ones

commit f59dacf7993da83553cd67de516fc31f493d2a7d
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Fri Jan 19 15:54:15 2024 +0200

    p_usrloc: Add missing api function get_udomain()

    When registrar kemi save()/save_uri() function is called,
    then usrloc api function get_udomain() is called.

    This usrloc api function is missing in p_usrloc module
    and results in a segfault.

commit e506b60c1045cfbd4485434165305fbc2fb57aa9
Author: Stefan-Cristian Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Wed Jan 10 17:20:27 2024 +0200

    xlog: add kemi xlog_facility function

commit 4a2665a8c5ff31d50468bd998ef0853c3ff510cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 10:18:33 2024 +0100

    pv: increase the number of slots for transformations

    - safer handling of chained transformations

commit 59104fe7d57bc8c75c835bbb75d5a1b7d01f6bda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 10:09:46 2024 +0100

    core: increase default pv buffer size to accomodate safer webrtc traffic

commit cc26d25eefac40ec1c7e209e25312eed978cf348
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 09:49:55 2024 +0100

    pv: convert pv value to long for ftime transformation

commit a2bff77c3f7bfee8dae90c3ef20522d480f2e14d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 19 09:44:33 2024 +0100

    jansson: declare variables at the beginning of blocks

commit 8a1613096ad86db125398e50d2ecced5d3ff1978
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 18:48:22 2024 +0100

    core: parser - check diversion pointer before accessing it

commit a972c3bd5287177f8fa73dfb0ed5b2da8e3f4f57
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 18:37:41 2024 +0100

    gcrypt: init allocated buffer

commit 304b8a41464f1bed83d733a3002088b759c7e679
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 18 16:01:19 2024 +0100

    modules: readme files regenerated - kex ... [skip ci]

commit 2ebf19b16987b815b2fc2902bff5ccbea6e90e13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 18 11:44:32 2024 +0100

    kex: reformat exported structures

commit ee191ccd01ec6391c715e22efed2dc6581fe9d72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 17 19:40:23 2024 +0100

    kex: docs for is_myhost()

commit aaec01e0556bf6148ec50795f896af71f9680a70
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 17 17:49:33 2024 +0100

    kex: added is_myhost(uri) - check if host part only is local

    - similar to is_myself() but ignores the port and protocol

commit 79697b4d565665b696ee39021e27d82e716bc176
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 06:47:14 2024 +0800

    pkg: RPM spec missing %description for sqlang

commit d0e7aa5405a293401ad19347cc062d1585d06956
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 06:38:29 2024 +0800

    pkg: RPM spec use automatic dependency for wolfssl

    - wolfssl doesn't follow semantic versioning
    - let RPM figure out the correct runtime library name
      depending on the -devel package used for building
      i.e. based on the package used for pkgconfig(wolfssl)

      e.g. if wolfssl35-devel - then libwolfssl.so.35
      if wolfssl42-devel - then libwolfssl.so.42

commit 5bbb224fdad1770150dd2fc37c69393aeda96d40
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 18 06:21:55 2024 +0800

    tls_wolfssl: clean-upâusing wolfSSL native naming for functions / structs

commit 03456e5e5983e2236b8e182cf3317d14ebf34e18
Author: Elena-Ramona Modroiu <anomarme@users.noreply.github.com>
Date:   Tue Jan 16 16:07:43 2024 +0100

    tls: set parameter name for tls_h_mod_randctx()

    - without it fails to compile on Unbuntu 22.04 with low latency kernel

commit 14828091b06dca86c91659d705a4f58a6fead4d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 16 13:10:34 2024 +0100

    rtp_media_server: use local user for building contact

    - GH #3380

commit 167d8af9ff1c55804a66cc948670ab1d3069e063
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 16 11:02:20 2024 +0100

    core: snexpr - rename some inner blocks variables

commit 6ebe3b612d60e02854c7b88cd241615b50666b00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 16 09:22:29 2024 +0100

    ss7ops: rename local variable that hides the function parameter

commit 695f155f3a127f0bbe220a6b44a0fc3887e1e4be
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Jan 16 09:42:27 2024 +0100

    dialog: don't send the BYE if dialog is in deleted state (#3714)

commit 7e5843e28dc4e331f434381defeb4cef43c5298f
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 16 16:36:25 2024 +0800

    tls_wolfssl: mask outer make DESTDIR=XX if building internal submodule

commit 4df939428555f8c4fde67f7b8638809aca56c9f2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 16 09:33:20 2024 +0100

    github: add default registry credentials [skip ci]

    > https://docs.github.com/en/actions/using-workflows/workflow-syntax-for-github-actions#jobsjob_idcontainercredentials

commit a752fde2fd2eb3615d16eb8940364ceea2f7d79c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Jan 16 16:06:45 2024 +0800

    tls_wolfssl: update to v5.6.6-stable

commit 404b47791678c4eaccd4cfc7a83e0bb97a29b5d3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 15 17:22:06 2024 +0000

    usrloc: synchronize attributes from DMQ (GH #3679)

    - make ucontact_xavp_store static and add some comments
    - change order of xavp operations in ucontact_xavp_store to not overwrite DMQ xavp
    - add logic to receive xavp information from DMQ and save it in the contact

commit d2eb6a9f324a2077d0f4422621aa4d125c72c880
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 15 17:21:39 2024 +0000

    dmq_usrloc: DMQ also copies and sends attributes related to contacts (GH #3679)

commit aa67092e6ea7d8581e11970993607511771c1be6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 15 15:23:55 2024 +0100

    github: fix cleanup matrix definition [skip ci]

commit f3b4f2fe2b88a06cdc49ba473e4b3fc3fbbfd8bf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 15 15:21:06 2024 +0100

    github: add all packages images to cleanup

commit cb520baa9349f86fc104e2c1eed633ea59157b1b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 15 15:03:15 2024 +0100

    github: use CLEAN_PACKAGES secret at cleanup workflow

    kamailio-sync PAT with delete:packages permissions as described
    > https://github.com/camargo/delete-untagged-action

commit fe5c7125c66e37d2db032a63328ad713738a4b0c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Jan 15 21:32:53 2024 +0800

    outbound: update to OpenSSL 3 API

commit 47303fc34d4795edc7b58569fb97e7b0532b0367
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 15 12:07:16 2024 +0000

    Makefile.defs: remove unused define WITH_XAVP, its not used anymore from the code

commit 555530c70f8f7034046e0b81f4a8469ed76bb405
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 15 12:06:54 2024 +0000

    doc/tutorial: remove unused define WITH_XAVP, its not used anymore from the code

commit 6f9620704c661151415ad723e5f0b31f34b70c1d
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 15 12:06:25 2024 +0000

    docs/scripts: remove unused define WITH_XAVP, its not used anymore from the code

commit 2ffeaf6f480cbe1581395519b252c2bf35291ef7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 15 12:15:58 2024 +0100

    usrloc: fix condition for keepalive interval

commit 4d8e888c805ddecdb7227350c1c01e52c235ffb5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 15 10:37:42 2024 +0100

    usrloc: add ka_randomize to ka_interval when checking for keepalive

commit b3e19d8c97c099823ad439167b07ccbb30d05a25
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 14 16:15:49 2024 +0100

    lcr: prefix global variable with short name

commit e6836cf2dc772fd7e5b4322d4243ca3c2177de1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 14 09:11:19 2024 +0100

    registrar: prefix global variables with short name

commit 82ae289d8f549b142aa0631b6225838bbbc1f446
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 13 21:00:32 2024 +0100

    sanity: prefix global variables with short name

commit 7867a29d3f49d6bc149b9f556ae28ce089e841f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 13 19:54:46 2024 +0100

    siptrace: prefix global variables with short name

commit 8dffc45ee91aeed839efb38d17040359dcac953a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Jan 14 14:08:03 2024 +0800

    tls: remove thread-enablement on EVP_RAND_CTX

    - with late initialisation it is not necessary to enable thread locking
      on EVP_RAND_CTX
    - the function remains but is not used in case requirements change
      with OpenSSL >= 3.2

commit 42b9fe9781e6805436227e0e7b88db73767a94b1
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Sat Jan 13 16:26:20 2024 +0100

    src/Makefile.defs: recognize GCC 14 as recent â  not too old compiler

    similar to 87ed3d9c3ae3ecfabe6

commit 1c13e99efb119f75ddbd6a0aa4798cd27accbff5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 20:02:14 2024 +0100

    topoh: prefix global variable

commit cb92b6a23d622b06bcb18195b5c0525fcd273e7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 19:53:57 2024 +0100

    topos: prefix global variable

commit 987e21a914edcebc9eafe21af19c8a476bf73b06
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 19:50:28 2024 +0100

    xhttp: prefix for global variable

commit 0479c40fe6fd6765de92eea8f9e0bf04dea8cbd0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 14:37:02 2024 +0100

    mohqueue: rename local variables to prevent shadowing the global

commit 0ea603413de9505b5312e5930168102e816dced3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 12 13:10:33 2024 +0100

    avp: rename local variable to prevent shadowing the global structure

commit 1671c96462f76d902b4c331c2f51e99cd2e33af1
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 11 17:17:12 2024 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit 1aec0c1397e4230e52f2b9427fdb32b10f649ecb
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 11 14:38:02 2024 +0000

    rtpengine/docs: Add codec-consume docs

commit a40d5b7d65394606f2200a5932284b874e196063
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 11 13:49:40 2024 +0000

    rtpengine: Add support for codec-accept and codec-consume

commit b678e66a974f3f88f5ed05e57e5d898e4715fe0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 11 15:34:33 2024 +0100

    p_usrloc: rename short global variable

commit 302231bf2262ef73a6aad4a2f476df7c9a3c05f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 11 15:23:55 2024 +0100

    ratelimit: rename variables to prevent global structure shadowing

commit 72595fe42d28d3e4a12341b405af63d41f827dc4
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Jan 11 10:30:40 2024 +0000

    http_async_client: use error log level (GH #3706)

commit b50036200c5bc09fd2d412a18585b42d63763b27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 11 08:21:00 2024 +0100

    core: keep listen socket even if advertise address does not resolve

    - the core advertise_address parameter works in the same fashion
    - previously it was starting by skipping the listen, which resulted in
      unexpected runtime list of sockets

commit 29007ada5bc9e07ede3cdbce285f04d1298c0612
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 11 08:03:07 2024 +0800

    tls: historical code comment on repeating SSL_CTX per worker

commit 42bae2a634249fe7d8ba174eaffff0ee547f6d2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 13:41:33 2024 +0100

    registrar: cumpute randmized-range expire value as float and then cast

commit 403ed48995e5eec5a795edd1748f9fe8a9ee520d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 10 13:32:13 2024 +0100

    modules: readme files regenerated - usrloc ... [skip ci]

commit bbb81e5f6ef5744cc9b74302e8ecee6687199872
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 13:16:14 2024 +0100

    usrloc: docs for ka_randomize parameter

commit 5bf1a7ab30f14d989ab185585427c868429224fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 13:07:14 2024 +0100

    usrloc: option to randomize when keepalive is sent

    - default adds a range from 0 to 20 seconds to ka_interval

commit 03f939e3d1a0dbf56791943f90942984984f2d72
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 10 12:47:06 2024 +0100

    modules: readme files regenerated - usrloc ... [skip ci]

commit 36608af81b3ed64b3800be1625647ed0a9e5031d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 12:40:56 2024 +0100

    usrloc: docs for ka_interval parameter

commit 53ace443020075f7ecd12c72f154193c6cfa6af3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 10 12:24:39 2024 +0100

    usrloc: added keepalive interval to set the step for sending

    - the keepalive is not going to be sent before the interval elapsed
    - the keepalive is no longer sent on every timer callback
    - default 40 seconds

commit 5a40d1ef1b484c4fc437a3f0183a101241e80313
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Jan 10 08:52:03 2024 +0100

    http_async_client: exit mod_init if tm is not loaded

commit f485a0c9f138ccfbeb548fa22ea9053afb449875
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 15:32:14 2024 +0100

    pkg: rpm obs spec - removed app_sqlang module from packaging

commit 577fb11010ff61af3c4b567581c0bbc5404654c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 14:06:21 2024 +0100

    htable: read rpc number value as long

    - remove autoconvert for number, it is only for string values
    - GH #3674

commit 3f4844b4ad1190a38eff8b377c89a9554be80e59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 12:39:11 2024 +0100

    siputils: reformat module exported structures

commit 0fcc950dc54990a51fe74616ec2d2972a4e1c094
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 12:32:36 2024 +0100

    siputils: added module prefix to global variables

commit 587c3e337c3cbabed1373b9308065d59392a370d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 9 12:17:06 2024 +0100

    modules: readme files regenerated - gcrypt ... [skip ci]

commit 33a0eeb40cb6be28c7921ccb61dcede1ebce4bad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 12:00:41 2024 +0100

    gcrypt: docs for aes_mode parameters

commit 2024253fac4c4fda48f2b0c5b9a1f9717294aa22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 11:56:50 2024 +0100

    gcrypt: added aes_mode parameter

    - specify AES encryption mode:
      - 0: ECB (GCRY_CIPHER_MODE_ECB) - default
      - 1: CBC (GCRY_CIPHER_MODE_CBC)

commit 977e4f3e4d2a002f8aed55035c4ab6c3ee9ea1b8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 9 11:02:08 2024 +0100

    modules: readme files regenerated - gcrypt ... [skip ci]

commit 4d96966272761816d16b40dc68adf3b24e79fbaf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 10:52:24 2024 +0100

    gcrypt: docs for register_callid parameter

commit fae3632a224cde753c2a6e3d1d2a72b6e9aa9ceb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 9 10:49:48 2024 +0100

    gcrypt: added functions to generate random call-id in uuid format

    - alternative to the option offered by crypto module

commit db8dd08b5506ac40314b70386b9ea83b509e17b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 20:20:36 2024 +0100

    Makefile.groups: added group for gcrypt module

commit 52e82aa79febcdc7aa422756e250d402b61dfe14
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 20:00:26 2024 +0100

    gcrypt: new module for crypto functions

    - uses the GNU libgcrypt library
    - implemented AES256 ECB encrypt/decrypt functions

commit 4df92312166d8aad700007ef0898d0a7c6ba40b7
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 4 11:43:21 2024 +0000

    parser/contact: Change addition order to the end of list

    - Contacts are now added at the end of the list.
    - hfl(Contact)[index] is now returning in the correct order.

commit b3ed254a85bd9528342d07c87791ee00f5d70622
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 8 12:31:30 2024 +0100

    modules: readme files regenerated - siputils ... [skip ci]

commit 257cfe9be9327054fb381a48df9605444ea8e6fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 12:25:32 2024 +0100

    siputils: docs for contact_param_check() function

commit eef07574be8499b517e4c333a36d618c608253ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 12:13:14 2024 +0100

    siputils: new function to check existence of a contact uri param

commit 9d8037bfd71996cfae756a030cdc3dd139162863
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 8 09:17:22 2024 +0100

    lcr: rename function parameters to avoid shadowing the global variable

commit ecca625fd265d0484165d7a56e958a634103b09a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 7 21:06:33 2024 +0100

    rtpengine: renamed function parameters to avoid shadowing the global variable

commit c53a3a0fdee77d6d638f2f50f405ee038288301d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 7 10:58:51 2024 +0100

    siptrace: rename parameters to avoid overlapping with global structure

commit 000404acbf84b0425d8d8e03ece29d525dc56efc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 6 18:50:02 2024 +0100

    smsops: prefix some global variables with module name

commit 69fab0d4005e09b6fd0b905e7c660a8fe62d3659
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 6 16:35:50 2024 +0100

    pdb: pass structure by pointer to debug function

    - avoid copying large parameter value

commit 95d8d9374a0e4385fd549078fcf56ecadef424a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 5 21:35:52 2024 +0100

    msilo: make static and add prefix to global variables with short name

commit 4708f537d7f5d28123b48cd89474a4931dd698ad
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 20:56:39 2024 +0800

    outbound: build, fix missing argument name

commit ef45b7b804a3ba79880afd218f6b3f3962c85ed7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 5 11:55:03 2024 +0100

    tm: free new uac dlg in case of errors

commit 8038fba2dd056193b37a5c2571f2d4d910c47e73
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Jan 4 09:53:29 2024 +0000

    pv_core: Fix negative index bug for hfl()

    Before: -1 yielded null and -2 the last element of a header

commit 1c70775530b1a3a905e8a983610cb0d092b0d240
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 08:09:34 2024 +0800

    tls: thread-local, revert 1a9b0b6361 as double-layer locking is redundant

    - the 2nd lock was put in place as defensive programming for shm contention
    - GH #3695: the underlying issue is early init of thread-locals

commit 798cc26908395d2ba21015684ad6f0ac4f012b2e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Fri Jan 5 07:38:56 2024 +0800

    tls: OpenSSL 3.x/1.1.1 thread-local, clean-up dead code and preprocessor
    blocks

commit 7b531cfe038fae5e3414ac74c4e076c10e32b86c
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:56:00 2024 +0800

    tls: OpenSSL 1.1.1 thread-local, init libssl in thread

    - no need for RAND workaround; default is OpenSSL 1.1.1 RAND
    - linux/pthreads will handle forking

commit 7111687e1107261bcdd7a9f8cc90959754c93272
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:51:15 2024 +0800

    tls: fix compilation with OpenSSL <= 1.1.1

commit 689de2736f5c92f11860e5854ccd95c84239f032
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 21:47:23 2024 +0800

    outbound: OpenSSL 1.1.1 thread-local, init libssl in thread

commit 4742c8131aba878c4fc954e42b656b9d4bafdd24
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 20:11:21 2024 +0800

    outbound: OpenSSL 3.x thread-local, init libssl in thread

commit e49a60e1052c6c1dcebe7f78f2ac970338eabe2e
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jan 4 20:00:09 2024 +0800

    tls: OpenSSL 3.x thread-local, init libssl in thread or PROC_SIPINIT

    - avoid initialising ERR_STATE in rank 0(thread#1)

commit aef9cec329893f58b0c7df5aec2050b6c3cecc60
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Thu Jan 4 13:26:26 2024 +0100

    core: avoid C99 error

commit f67bfe4a183b2b629d3ac741ecb95bcc4b669b37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 4 12:52:50 2024 +0100

    rtpengine: clang-format file and skip-wrap of exported structures

commit aab734e7a31a9df2dc731e849005ce6bb00d534e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 4 12:46:23 2024 +0100

    rtpengine: unsigned error field of 1-bit to prevent signness warnings

commit ad1365935e2f021095e6e14aca03da54d3862d5b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 4 12:20:56 2024 +0100

    kamctl: dbtextdb/dbtextdb_test - do not store unused result of query

commit 42b22b6e2d91d907cbf80b499b9e4380def2e652
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 3 22:18:58 2024 +0100

    lcr: added module prefix to db_url global variable

    - safety for symbols overlapping

commit f0fbf4d74b8090614469b2a6a16f187275c4f067
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 3 22:14:32 2024 +0100

    dmq: rename global variables with short name

    - safety for symbols overlapping

commit ae90cb489cd07aac42994fbaa124966a34cd4514
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 2 16:20:59 2024 +0100

    xhttp_rpc: rename global variable with short name

commit b48c566218b15cac62cd1cc9dc838d241de73efd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 2 10:41:17 2024 +0100

    p_usrloc: rename global variable with short name

commit 4af2452fa9362f4df913003370b0a5279070f372
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 2 10:24:50 2024 +0100

    sms: renamed short global variables with common names

commit 05bcd7a893d2f607943eaa5ab65293e7e273de8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 1 22:23:07 2024 +0100

    uac: global variable made static

    - renamed to avoid symbol conflicts

commit 619c7fe6db9c090ef9645ec8a39d43d00ba215bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 31 14:06:40 2023 +0100

    domainpolicy: removed constant condition

commit 5bbff26ce6e95b841e69f2dffc2214318a748c36
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 31 09:35:08 2023 +0100

    sca: removed if on rc before being set

    - reorder some conditions on range

commit 6c129bdc87352d0d883cc46fce0b78444e619084
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 31 09:22:28 2023 +0100

    ratelimit: removed unnecessary condition

commit a268f073bc9716fefc35248687d793bdcc6d66b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 30 10:15:04 2023 +0100

    core: main - typos in log messages

commit 9410ce3848c1ab7fa8b7ded47d090342fd4cf1c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 30 10:05:29 2023 +0100

    core: cfg.y - check limit for shm size

commit b59607bbcf6ca872e190dfcd9abf8fc5c0f64359
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 30 09:01:21 2023 +0100

    debugger: explicit cast for pointer arithmetic operation

commit 3d2bae3532e496648a902dac853edf013434672f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 29 10:01:51 2023 +0100

    modules: readme files regenerated - siputils ... [skip ci]

commit 3d6fecc6bc6d52f56d0fdd4e075a15032da91421
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 29 09:55:33 2023 +0100

    siputils: docs for tel2sip2() function

commit 366e28627dc7047d4dce2aefe67b5e97b5ae6682
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 29 09:43:10 2023 +0100

    siputils: added tel2sip2() function

    - based on proposal presented at:
      https://github.com/kamailio/kamailio/issues/1173#issuecomment-315198949
    - alternative to tel2sip() which has a simpler approach, but it does not
      follow all the RFC requirements. This is still kept as it proved to be
      useful over the years

    Co-authored-by: Donald Carr <doncarr@gmail.com>
    Co-authored-by: Supreeth Herle <herlesupreeth@gmail.com>

commit 453a8f1e2ae10d765790ddafe92bcaaf7f5b9c32
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 28 16:44:20 2023 +0100

    pike: renamed short common name global variable

commit a12895208595d966cc3d4ab06358c511d0222031
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 28 14:25:51 2023 +0100

    pike: use buffer size parameter in pike_top_print_addr()

commit 159282d6bd05b73961037b753e0a9df5ac9cdbe3
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Mon Dec 25 12:08:34 2023 +0100

    cdp: add destination realm avp only if not present

commit 7b9e90e06f95b4192fb40ed2c4854a8554fac45b
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sun Dec 24 21:33:52 2023 +0100

    cdp: fix disabled parts for openssl version newer than 1.1.0

commit 61d91d7a684df73a328c3062653522a7439d4d61
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Mon Dec 25 11:11:56 2023 +0100

    smsops: fix utf8 to ucs2 conversion

commit 75de09f369abad7192c853e74c99741feadec619
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sun Dec 24 13:46:07 2023 +0100

    ims_ipsec_pcscf: reset destination URI after value is used to decide destination protocol to use

commit 2d00ce546bb0852dc1784d5bc2e794d06f919577
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Wed Dec 20 16:11:56 2023 +0300

    dialog: fixed saving dialogs on shutdown that are already loaded at startup when using db_mode 3

    - The dialogs that loaded at startup are not saved in DB on shutdown, and so not loaded at restart,
      fixes issue #3669

commit c5237830f3e7fbeec403a0190471a066081c1117
Author: Nikolay Ivanuschak <ivanuschak.nikolay@gmail.com>
Date:   Mon Dec 18 22:20:50 2023 +0300

    core: fixed haproxy protocol parser

    fixes GH #3683

commit 23a1d06737fa6d2509b6f88574ad171aa32cf275
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 27 20:20:59 2023 +0100

    dialog: rename function parameter to avoid shadowing of global variable

commit 4b862326cce4b16154353d393d60c8f12762da86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 27 12:09:26 2023 +0100

    timer: rename local variable to avoid shadowing global

commit 9c72487cc5a54d7599e2904251133fc8cc29ed84
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 18:02:40 2023 +0100

    sipcature: rename global variable to avoid shadowing by function parameter

commit 0186246fce8f0e4bb46b30c05174983cd957a3ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 17:51:48 2023 +0100

    statsd: use bool type for local variable to match return of function

commit 934a5dd1347c7b54a2d5e4437e1d3ab581f90596
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 17:42:48 2023 +0100

    xhttp_prom: renamed global ctx variable

    - avoid short name code scanner warning and shadowing with function
      parameter

commit dde74dc1d3413bc677813502aa71d727cbe1e981
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 17:11:34 2023 +0100

    tm: remove redundant check in if condition

    - else branch is already for >= 200

commit 09318b6d0f224cace31d7db925f792b66cefd469
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 26 14:35:05 2023 +0100

    seas: if expression on else not needed

    - evaluation of it is true on else branch

commit 440a9955b4ce21b8c3dae9d6159d24a92ec28e7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 25 22:12:24 2023 +0100

    ss7ops: adapt if expression for uint

    - equal 0 or less than 1 is same in this case

commit 439d451ab3172c1a22f88fd4ba0756ede2318191
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 25 21:41:49 2023 +0000

    github: [skip ci]: bump tj-actions/changed-files from 40 to 41

    Bumps [tj-actions/changed-files](https://github.com/tj-actions/changed-files) from 40 to 41.
    - [Release notes](https://github.com/tj-actions/changed-files/releases)
    - [Changelog](https://github.com/tj-actions/changed-files/blob/main/HISTORY.md)
    - [Commits](https://github.com/tj-actions/changed-files/compare/v40...v41)

    ---
    updated-dependencies:
    - dependency-name: tj-actions/changed-files
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...

    Signed-off-by: dependabot[bot] <support@github.com>

commit 973803b0a3944b9de7ebdc4366b23e933e66ffbe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 19:59:52 2023 +0100

    pkg/obs: removed auth_identity modules

commit 8a07c21b45d8afd0a0b84c09bbac6361a0f979d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 17:23:55 2023 +0100

    pkg/alpine: removed auth_identity module

commit 3bdc56654874b7e94e7052823714440b6457a100
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 17:21:57 2023 +0100

    Makefile.groups: removed auth_identity module

    - relocated to kamailio-archive repository

commit 5192e5d275761ccd1af49d4bf9dd12e1438947b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 24 12:20:57 2023 +0100

    tmx: rework cleaning up on init failure

commit 1b959ead18fc8d7d55b1abe6f03fa3f849b57385
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 23 17:20:40 2023 +0100

    auth_identity: module relocated to kamailio-archive repository

    - module is considered obsolete, not maintained
    - based on precursor specs of stir/shaken, not actually deployed in
      production by carriers
    - located now at:
      https://github.com/kamailio/kamailio-archive/tree/main/src/modules/auth_identity

commit 904a718d15e4a83d752b6d2f0fa692fb10cda4b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 22 15:10:51 2023 +0100

    sms: define size and check lenght for sender and ascii fields

commit 1f5444fd2e25d227ffd70f1087d057a3b8002558
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 22 14:50:59 2023 +0100

    tm: make lookup event_route[tm:local-response] only once

    - related to issue #3064 and PR #3687

commit 61efad28eeb84d8b8f80fe7fd38d7bbb634717f4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 10:02:45 2023 +0100

    seas: fix build warning

    > CC (gcc) [M seas.so]          encode_contact.o
    > encode_allow.c:40: warning: "_GNU_SOURCE" redefined
    >    40 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit 90df744978ee2a83700d36ef88161f00b2220acb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 10:00:32 2023 +0100

    pv: fix build warning

    > CC (gcc) [M pv.so]            pv_xavp.o
    > pv_core.c: In function 'pv_get_cnt':
    > pv_core.c:2841:61: warning: 'ravp' may be used uninitialized [-Wmaybe-uninitialized]
    >  2841 |                                         if(ravp && ravp->val.type == SR_XTYPE_XAVP) {
    >       |                                                    ~~~~~~~~~^~~~~
    > pv_core.c:2776:36: note: 'ravp' was declared here
    >  2776 |                         sr_xavp_t *ravp, *sub_avp;
    >       |                                    ^~~~

commit 86c57ef77848513e3224c73a6d2889e8a2bd6fc3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:58:39 2023 +0100

    db_text: fix build warning

    > CC (gcc) [M db_text.so]               dbt_raw_query.o
    > dbt_raw_query.c:23: warning: "_GNU_SOURCE" redefined
    >    23 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit 8bfd6580533b6d6005cd257632a5c0e575f75e39
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:57:25 2023 +0100

    cfgt: fix build warning

    > CC (gcc) [M cfgt.so]          cfgt_mod.o
    > cfgt_int.c:22: warning: "_GNU_SOURCE" redefined
    >    22 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit 7562aed2b1c33942b508c6cae9aa7db5ab75196e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:56:08 2023 +0100

    benchmark: fix build warning

    > CC (gcc) [M benchmark.so]             benchmark.o
    > benchmark.c:41: warning: "_GNU_SOURCE" redefined
    >    41 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit c413392a3bae1efdc40671b11da83bec173caff5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:53:16 2023 +0100

    jansson: fix build warning

    > CC (gcc) [M jansson.so]               jansson_utils.o
    > jansson_utils.c:23: warning: "_GNU_SOURCE" redefined
    >    23 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit 9d4d9c0afce10d00f65eccb3c9bfd3c508bac336
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:51:28 2023 +0100

    auth_identity: fix build warning

    > CC (gcc) [M auth_identity.so]         auth_dynstr.o
    > auth_crypt.c:29: warning: "_GNU_SOURCE" redefined
    >   29 | #define _GNU_SOURCE
    >      |
    > <command-line>: note: this is the location of the previous definition

commit 84f6ca9b453b33dba321c11e12a0ebc0b9b8dab4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:49:43 2023 +0100

    main: fix build warning

    > CC (gcc) [kamailio]           core/atomic_ops.o
    > main.c:34: warning: "_GNU_SOURCE" redefined
    >   34 | #define _GNU_SOURCE
    >      |
    > <command-line>: note: this is the location of the previous definition

commit 5ebe1758fb3ff03e3a035e7121f40e2539eb2c9c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:32:10 2023 +0100

    ims_qos: fix build warning

    > CC (gcc) [M ims_qos.so]               rx_avp.o
    > [...]
    > /usr/include/fortify/stdio.h:122:16: warning: 'int_port_rctp_a' may be used uninitialized [-Wmaybe-uninitialized]
    > [...]
    > /usr/include/fortify/stdio.h:122:16: warning: 'int_port_rctp_b' may be used uninitialized [-Wmaybe-uninitialized]

commit 59dc9b1ba93d4e6a06f87deabf136787a3ab1cf1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:19:50 2023 +0100

    core: fix build warning

    > core/parser/parse_diversion.c: In function 'parse_diversion_body': core/parser/parse_diversion.c:60:18: warning: the comparison will always evaluate as 'false' for the address of 'uri_b' will never be NULL [-Waddress]
    >   60 |         if(uri_b == NULL) {
    >      |                  ^~
    > core/parser/parse_diversion.c:51:26: note: 'uri_b' declared here
    >   51 |         static to_body_t uri_b[NUM_DIVERSION_BODIES]; /*
    >      Temporary storage */
    >      |

commit ed0f2e77b80a2719957b1ac43a96dfc57b88f98e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:13:28 2023 +0100

    pkg/kamailio/alpine: remove app_sqlang module [skip ci]

    module was moved to kamailio-archive repository

commit 268147a7a7bcf68689a913a94faecc87128187fb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 09:00:08 2023 +0100

    core: fix build warning

    > CC (gcc) [M jansson.so]               jansson_utils.o
    > jansson_utils.c:23: warning: "_GNU_SOURCE" redefined
    >    23 | #define _GNU_SOURCE
    >       |
    > <command-line>: note: this is the location of the previous definition

commit ca4509013a123f02d6d9c09d016fce3fea3e3dbe
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 08:51:39 2023 +0100

    ndb_redis: replace use of grep -P

    PCRE option is been removed in BusyBox #3686

commit 163028549df3abd3173a7c0ac8a9dc666c0e4879
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Dec 22 08:48:21 2023 +0100

    db_redis: replace use of grep -P

    PCRE option is been removed in BusyBox #3686

commit 4c93985437122706bc68143b2f96a9d7f35be16d
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 21 16:08:32 2023 +0000

    pua: fix possible copy/paste error, we should use reginfo_increase_version for reginfo events (GH #3234)

commit ac4fa1129f5fbd1a48aad1b7dc21a2c130ecd164
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 21 16:05:04 2023 +0100

    tmx: use unsigned for bitwise operations

commit 4399fe3966f6774b18e02ea6e54a5ba132c7c4ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 21 13:56:28 2023 +0100

    sms: define buffer size for name field

    - check size before copy and trucate large messages

commit b2045d559ed720789df80f543fc00923a07ada83
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 21 11:54:52 2023 +0000

    pv: remove another redunant variable definition related commit 8ed4165fd3b0a33

commit 0547a4becbc6a48fdc473cfd26cdeedfa2a9317d
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 21 11:34:14 2023 +0000

    pv: remove another redunant variable definition (warning: unused variable âinnerIndexâ)

commit 8ed4165fd3b0a331a4580894e2e7f83456b474fa
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 21 11:23:51 2023 +0000

    pv: remove redunant variable definition (warning: unused variable âinnerIndexâ)

commit 64e4288217d4a9dd2441687b56f5dbd02b8549f4
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Dec 20 10:44:40 2023 +0100

    Makefile.groups: add dlgs and sworker to extra modules

commit 9bb1976b4b7d52542a4de37144194bfc24649222
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 10:06:59 2023 +0100

    Makefile.groups: removed app_sqlang from modules list

commit bab926d0b3eb69b5f15e9a49fdc52c937e164612
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 10:04:24 2023 +0100

    app_sqlang: module relocated to kamailio-archive repository

    - module is considered obsolete, not maintained
    - app_jsdt should be considered a better alternative, or app_lua,
      app_python3/s
    - located now at:
      https://github.com/kamailio/kamailio-archive/tree/main/src/modules/app_sqlang

commit 943ff442d85a041ba0285cc494ce0697f4dbae59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 09:36:57 2023 +0100

    pipelimit: reformat exported structures

commit 5e1f8e6c93dae914665b2e97b38e8a3a0673d1f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 09:33:17 2023 +0100

    pipelimit: renamed global variable with module prefix

    - avoid overlapping global symbols

commit 17e9e3f447867e34b8f320b8b93189f01fbc3f77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 20 09:30:01 2023 +0100

    sipcapture: removed unused global variable

    - renamed local function variable that was conflicting

commit 1068bbbf9a7f2bf96d9ee2cefa1b81fbabac9805
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 19 21:18:03 2023 +0100

    README.md: remove irc reference

commit f036333b756c1021545e70871024561089954a56
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 19 10:50:56 2023 +0100

    ims_dialog: refactored kemi get/set profile functions

    - expect final string values in the parameters, not with
      kamailio-specific variables, they can conflict in the external
      scripting languages and also leak pkg memory

commit 19152caf44360eae533508ecd6f3f9e33af14fb7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 19 09:53:34 2023 +0100

    ims_dialog: reformat exported structures

commit 19572a828ffeb08b190dab5ae4aee93f03d9a7f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 19 08:21:10 2023 +0100

    tm: clearer reply code handling for uac dlg

commit 68f653bfc66d8f4ff2e11f5fc9348f4d2632fe8b
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 18 21:31:57 2023 +0000

    github: [skip ci]: bump actions/upload-artifact from 3 to 4

    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 3 to 4.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/v3...v4)

    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...

    Signed-off-by: dependabot[bot] <support@github.com>

commit b2f1cd6ed2cd5da84fe8ff48db688fc41f129ccb
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 18 21:31:53 2023 +0000

    github: [skip ci]: bump github/codeql-action from 2 to 3

    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 2 to 3.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/v2...v3)

    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...

    Signed-off-by: dependabot[bot] <support@github.com>

commit 0e5b8178de281db5ddfe30af28244a1ebaf12382
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 18 14:06:49 2023 +0100

    msilo: remove redundant condition

commit 2f43510be37c157f800389dfb432b6c52d7435a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 18 12:31:34 2023 +0100

    pv: removed unnecessary condition

commit ca2a9479adf720e67bf50c9d2795cc8937e223dc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 18 12:22:25 2023 +0100

    pv: typo in transformation log message

commit f128db2b85a525ff82c28faffbeec3203f9560c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 17 22:16:05 2023 +0100

    tm: use coherent type int for tm route blocks indexes

commit 678b1a68de86d9539adeaf0262d9735b8d435077
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 16 20:04:08 2023 +0100

    core: srjson - init vars and check scanned values

commit 586ddc6ed3a2b757ad55fb9eb859945b279c415c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 15 21:18:19 2023 +0100

    presence_xml: check for number of read values

commit 68940cc09c999621b1f9a765e190b3207728106e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 15 12:19:25 2023 +0100

    seas: use same type iterator to avoid risk of overflow

commit 2bebff2b27acd8ffa9f9d22409c197b0f0bc168e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 14 21:17:08 2023 +0100

    sms: rework truncating long messages

commit 431b80a1b8313d7457d4bf5fa1770f9465820d39
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 14 19:52:23 2023 +0100

    sms: define size for buffers and check the length on copy

commit a78aeebd66ec63810987555d5bb492fec1979fc8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:52:40 2023 +0100

    smsops: check returned value

commit 49b3b90cd229b7c4da06b61cdfd782450d383cc9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:23:23 2023 +0100

    app_python3: check allocated pointer

commit 077651fa3bfd50e0f654c907f3783b1421497bd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:15:28 2023 +0100

    core: check if conversion could not be done

commit 5d641f56fc1bc342d9be008ecd96959e114fef66
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:08:56 2023 +0100

    registrar: check returned branch pointer

commit 1191ab4e5e03b35714ec1ad9d9bf2dd9665c71fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 12:02:01 2023 +0100

    tm: check get_t() result for consistency

commit 4e2edcb0acdac56a9c5946525e427cdd44d0289e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 11:38:48 2023 +0100

    sipcapture: signed iterator to cover negative condition

commit cae0f9a1302a79d748155401117e934a5a8e272f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 13 11:24:24 2023 +0100

    ratelimit: reorder for safer storage size

commit aaeb54c8b630b4aac50df75ff430ad5baea6746c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 12 15:38:33 2023 +0100

    pkg/kamailio/deb: override lintian error on stretch [skip ci]

commit 3fe9a279abecf6f367ce9fd2d4b085c41c87ad77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 13:08:18 2023 +0100

    pv: remove extra len increment for some uri transformations

commit 185e7f64668cf4e8de3fa83d482e02e90b4fd3e5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun May 21 07:02:17 2023 +0000

    kazoo: fixed rabbitmq-c deprecation warning

commit 1b589c2070973ace082205dc0985363570c5b7f6
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun May 21 07:06:54 2023 +0000

    rabbitmq: fixed rabbitmq-c deprecation warning

commit 071f3f8fd1ffd85d872f6048db4750bbf6441cf3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 12:33:10 2023 +0100

    ratelimit: init variables and check return of fscanf()

commit ecf5ce88a2de9a2f28b87e1f9a0303e59870c1f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 11:40:23 2023 +0100

    nat_traversal: init variables read from string

commit 9cd07110ed59058de27c077574e4a740df068485
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 12 11:24:44 2023 +0100

    presence_dialoginfo: check return for sscanf()

commit 8d3d53f5f698da1357c3475ae136677099b2f702
Author: Sean Bright <sean@seanbright.com>
Date:   Mon Dec 11 10:21:20 2023 -0500

    utils: Prefer `printf` over `echo -e`.

    On Ubuntu, `/bin/sh` defaults to `dash` whose built-in `echo` command
    does not support the `-e` flag. `printf`, on the other hand, supports
    backslash escapes by default so we use that instead.

    In passing, also clean up some messy ANSI escape codes.

commit 14e763fd15a846d4377214521cac06113ba6888d
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 11 21:04:57 2023 +0000

    github: [skip ci]: bump actions/stale from 8 to 9

    Bumps [actions/stale](https://github.com/actions/stale) from 8 to 9.
    - [Release notes](https://github.com/actions/stale/releases)
    - [Changelog](https://github.com/actions/stale/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/stale/compare/v8...v9)

    ---
    updated-dependencies:
    - dependency-name: actions/stale
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...

    Signed-off-by: dependabot[bot] <support@github.com>

commit ee2ad77aa71326d355e299625ebbd31f67f8ed20
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 11 17:17:05 2023 +0100

    modules: readme files regenerated - jsonrpcs ... [skip ci]

commit af49deacad22b9f2d6502649002d51ad2423f005
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 17:08:08 2023 +0100

    jsonrpcs: doc - fix example for tcp_socket parameter

commit 7eb96925c4bb4664cce589050dff3e1c8b98b6f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 15:51:01 2023 +0100

    siptrace: check sscan() return value

commit 1b7ea63df655246b5b6ca123d9ed25d1764d9402
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 15:37:26 2023 +0100

    core: main - check limit for values of -m and -M

commit 75a7d0d8b1340d292aba9b589263619f5a6e11c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 14:19:04 2023 +0100

    core: route struct - use helper macro to get action address

commit 9c336764f567c873e25792efd813be1806d215d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 13:01:18 2023 +0100

    core: cast to variable type action_u_t*

commit 6aa967eb82fa9092f0a32101e44798e4d66fc708
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 11 12:54:25 2023 +0100

    debugger: updated dbg_fixup_get_action() to use helper macro for structure address

commit 1b81cbc9f79354aae604e33ac978dece95c0326c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 10 20:25:54 2023 +0100

    tm: use helper macro to get structure address from member

commit ad2e976d9200bd68c88e4a78edc0d250ba4045ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 10 19:31:54 2023 +0100

    core: helper macro to get enclosing struture from a member address

commit 9db18bc48bff0d230e66973a45c8e72e1b7744e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 9 20:07:37 2023 +0100

    dialog: check first the size

commit e614575d53f5e3b7d3a4796a445728f862e60916
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 9 19:53:46 2023 +0100

    sca: check return for snprintf()

commit 804ee651b45498727196886c97cb55d20b254c4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 22:10:36 2023 +0100

    core: parse privacy recompute lenght of rest to parse

commit 5d97afefd2a8f53072a36b6eb8927c180fb984c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 16:23:03 2023 +0100

    core: xavp - info long when skipping serializing a field

commit 1a9b0b63617afebcee2aecb3b2240d7684ecabc2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 12:34:56 2023 +0100

    tls: init early the local lock for memory

    - needed to done before mod param init_mode is set
    - runtime uses the modparam to do lock/unlock
    - #3668

commit 73536c5fe93f6f4e41eb92de29d054a0ac38536b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 12:21:40 2023 +0100

    core: msg translator - consider af from advertise structure

commit 59592e0499fbb61ec701a1d7901c357ff5ebc4a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 11:53:45 2023 +0100

    core: consider af from advertise structure to build recv socket uri

commit faf24134a00c1b15933f22e8e7702ec8e0dba35d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 11:43:02 2023 +0100

    core: keep address family indication in advertised structure

commit 975bbde5aa0fd4c2ef4063d906e125911d162ed6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 11:36:32 2023 +0100

    core: use advertise proto when building get_rcv_socket_uri()

commit b02a38e66d3bd198e75103727130906b2ff9786c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 8 11:04:27 2023 +0100

    pv: support for Diversion header in $hfl() and $hflc()

commit ced8d46eddb2bda614eaace98437b7dab2d123e3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 8 11:01:39 2023 +0100

    core: parser extended to handle diversion with multiple bodies

    - similar to PAI and PPI

commit 6d14b4e439aec3d046addfa776a4be5f471a33f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 8 10:20:14 2023 +0100

    lib/srdb1: rework store of long long values as number if value fits

    - GH #2106

commit c79f28b11f2683d11aafa72427efb15c95196b8b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Nov 22 15:01:23 2023 +0000

    pv: Add PPI and PAI support to hfl and hflc

commit 10519d199f6cac116399f4473bd82f2b08de72ba
Author: PeÌter BarabaÌs <peter.barabas@securesoft.hu>
Date:   Wed Dec 6 21:16:46 2023 +0100

    uac: fix socket length settings

    - set _uac_req.s_sock.len value to 0 in pv_set_uac_req() method in case of "all" case
    - change setting of _uac_req.s_apasswd.len to _uac_req.s_sock.len in pv_set_uac_req() method in case of "sock" case

commit 4b068f49b618dca5fa85a1687bd9054c1d98ae6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 7 13:00:50 2023 +0100

    tls: rework init mode 1 to set PTHREAD_PROCESS_SHARED

    - pthread mutex set in shm
    - GH #3635

commit 964c21e16ab4da96d989c230ea18d95872257394
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Dec 7 11:41:44 2023 +0100

    pv_headers: rearrange module parameters

    * pvh_ prefix for global variables

commit 890dc5f017084481cd2b0f0d759939393fa115bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 7 08:21:22 2023 +0100

    ims_charging: free local structure in case of errors

commit 8794e509b951658e055cc06374c0e2561debdde3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 6 10:45:10 2023 +0100

    core: tcp - set type for literals usef for time difference

commit 8ca5d90a44166bf1a501680b2e01dfbbab5f5b94
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 6 12:54:50 2023 +0100

    cfgt: rearrange mod parameters

    * use _cfgt_ prefix for init_flag

commit b7b3f94f949feed3cf9e2e3adf3b4596e6e20eac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 6 08:42:41 2023 +0100

    core: xavp - serialize long long values

    - they are printed as unsigned values, same as for long values

commit e0909ab1c890b11204dd38b26283cba5fad289c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 22:00:43 2023 +0100

    topoh: init vars inside th_build_socket_strings()

commit a096684c69bd121ba5e60f682e236f621f0e343b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 6 01:55:11 2023 +0100

    github: devcontainer support force build parameter [skip ci]

commit 6dd5598fc043fe3d2582e643d7d4ef675c9e6480
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 19:30:21 2023 +0100

    phonenum: Makefile - option to set C standard version

    - can be set via option CSTDVER
    - defaults now to c++17
    - GH #3659

commit a9e02966384cbcdf04aa16feb034b87e524352c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 15:08:50 2023 +0100

    core: remove unnecessary condition on msg

    - the structure is already used before

commit 3a02bf42bc182e0eb809e63d8fe828e3ece5f1da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 12:26:22 2023 +0100

    ims_charging: log message on db updated error

commit 4f6a2686c01a65fe3a23e4d2057c7940eedcf12a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 12:18:33 2023 +0100

    topoh: reorder conditions for safety of cleaning on error

    - in the part related to the new th_build_socket_strings() internal function

commit 0d78a1add4292ff1e10347c0199f0d70d31678ea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 5 12:04:36 2023 +0100

    pkg/kamailio/deb: version set 5.8.0~dev2 [skip ci]

commit 6305adef50079891386a048b986fd27e9b6e7ca1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 5 12:00:00 2023 +0100

    Makefile.defs: version set to 5.8.0-dev2

